//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by FernFlower decompiler)
//

package com.tiptimes.ctrl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.tiptimes.model.ActionLog;
import com.tiptimes.model.TeamMessage;
import com.tiptimes.model.UserLogin;
import com.tiptimes.service.ActionLogService;
import com.tiptimes.service.TeamMessageService;
import com.tiptimes.service.UserService;
import java.io.IOException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.json.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpEntity;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping({"/ActionLog"})
public class ActionLogCtrl {
    @Autowired
    private ActionLogService actionLogServer;
    @Autowired
    private UserService userService;
    @Autowired
    private TeamMessageService teamMessageService;

    public ActionLogCtrl() {
    }

    @RequestMapping({"seachActionLog"})
    @ResponseBody
    public Map<String, Object> seachActionLog(String userID, String startTime, String stopTime, HttpServletResponse response, HttpServletRequest request, ActionLog actionLog) throws IOException {
        Map<String, Object> map = new HashMap();
        PageHelper.startPage(actionLog.getStart() / actionLog.getLength() + 1, actionLog.getLength());
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 2) {
            map.put("list", new ArrayList());
            return map;
        } else {
            List<Object> object_temp = new ArrayList();
            List<ActionLog> actionLog_list = this.actionLogServer.listActionLog(userID, startTime, stopTime);
            if (actionLog_list == null) {
                map.put("list", object_temp);
                return map;
            } else {
                if (actionLog_list != null) {
                    Iterator var11 = actionLog_list.iterator();

                    while(var11.hasNext()) {
                        ActionLog sactionLog_list_i = (ActionLog)var11.next();
                        Map<String, Object> map_temp_i = new HashMap();
                        map_temp_i.put("userName", sactionLog_list_i.getUserName());
                        map_temp_i.put("time", sactionLog_list_i.getTime());
                        map_temp_i.put("remark", sactionLog_list_i.getRemark());
                        object_temp.add(map_temp_i);
                    }
                }

                PageInfo<ActionLog> p = new PageInfo(actionLog_list);
                map.put("aaData", object_temp);
                map.put("recordsFiltered", p.getList().size());
                map.put("iTotalRecords", p.getTotal());
                map.put("iTotalDisplayRecords", p.getTotal());
                return map;
            }
        }
    }

    @RequestMapping({"/getUserByAuthority"})
    @ResponseBody
    public Map<String, Object> getUserByAuthority(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 2) {
            map.put("list", new ArrayList());
            return map;
        } else {
            String strData = (String)data.getBody();
            JSONObject jObject = new JSONObject(strData);
            int authority = jObject.getInt("authority");
            List<UserLogin> userLogin_list = this.userService.getUserLoginByAuthority(authority);
            List<Object> object_temp = new ArrayList();
            if (userLogin_list != null) {
                Iterator var11 = userLogin_list.iterator();

                while(var11.hasNext()) {
                    UserLogin userLogin_list_i = (UserLogin)var11.next();
                    Map<String, Object> map_temp_i = new HashMap();
                    map_temp_i.put("realName", userLogin_list_i.getRealName());
                    map_temp_i.put("userID", userLogin_list_i.getUserID());
                    object_temp.add(map_temp_i);
                }
            }

            map.put("list", object_temp);
            return map;
        }
    }

    @RequestMapping({"/getUserBySpaceId"})
    @ResponseBody
    public Map<String, Object> getUserBySpaceId(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 2) {
            map.put("list", new ArrayList());
            return map;
        } else {
            String strData = (String)data.getBody();
            JSONObject jObject = new JSONObject(strData);
            String space = jObject.getString("space");
            UserLogin userLogin = this.userService.listUserLoginByUserID(space);
            if (userLogin == null) {
                map.put("list", new ArrayList());
                return map;
            } else {
                List<TeamMessage> spaceList = this.teamMessageService.listTeamMessageBySpaceMessageID(userLogin.getRealID());
                if (spaceList == null) {
                    map.put("list", new ArrayList());
                    return map;
                } else {
                    List<Object> object_temp = new ArrayList();
                    if (spaceList != null) {
                        Iterator var12 = spaceList.iterator();

                        while(var12.hasNext()) {
                            TeamMessage item = (TeamMessage)var12.next();
                            UserLogin userLogin1 = this.userService.listUserLoginByRealID(item.getTeamMessageID());
                            Map<String, Object> map_temp_i = new HashMap();
                            map_temp_i.put("realName", item.getTeamName());
                            map_temp_i.put("userID", userLogin1.getUserID());
                            object_temp.add(map_temp_i);
                        }
                    }

                    map.put("list", object_temp);
                    return map;
                }
            }
        }
    }
}
