//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by FernFlower decompiler)
//

package com.tiptimes.ctrl;

import com.tiptimes.model.Banner;
import com.tiptimes.model.TopSpaceAppearance;
import com.tiptimes.service.ActionLogService;
import com.tiptimes.service.BannerService;
import com.tiptimes.service.SpaceMessageService;
import com.tiptimes.util.UUIDUtils;
import java.util.HashMap;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.json.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpEntity;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping({"/Banner"})
public class BannerCtrl {
    @Autowired
    private BannerService bannerService;
    @Autowired
    private ActionLogService actionLoginServer;
    @Autowired
    private SpaceMessageService spaceMessageService;

    public BannerCtrl() {
    }

    @RequestMapping({"/saveBanner"})
    @ResponseBody
    public Map<String, Object> saveBanner(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        String userID = request.getSession().getAttribute("userID").toString();
        String userName = request.getSession().getAttribute("userName").toString();
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 2 && authorityID != 1) {
            map.put("result", false);
            map.put("msg", "无权限！");
            this.actionLoginServer.saveActionLog(userID, userName, "保存前端banner，结果：无权限", "");
            return map;
        } else {
            String strData = (String)data.getBody();
            JSONObject jObject = new JSONObject(strData);

            try {
                String img = jObject.getString("img");
                Banner banner = this.bannerService.listBannerByUserID(userID);
                if (banner != null) {
                    banner.setImg(img);
                    this.bannerService.updateBanner(banner);
                } else {
                    banner = new Banner();
                    banner.setId(UUIDUtils.getUUID());
                    banner.setImg(img);
                    banner.setUrl("");
                    banner.setUserID(userID);
                    this.bannerService.saveBanner(banner);
                }

                this.actionLoginServer.saveActionLog(userID, userName, "保存前端banner，结果：保存成功", banner.getId());
                map.put("result", true);
                map.put("msg", "保存成功！");
            } catch (Exception var12) {
                map.put("result", false);
                map.put("msg", "保存失败！");
                this.actionLoginServer.saveActionLog(userID, userName, "保存前端banner，结果：保存失败", "");
            }

            return map;
        }
    }

    @RequestMapping({"/getOneBanner"})
    @ResponseBody
    public Map<String, Object> getOneBanner(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        Map<String, Object> map = new HashMap();
        String userID = request.getSession().getAttribute("userID").toString();
        Banner banner = this.bannerService.listBannerByUserID(userID);
        map.put("banner", banner);
        return map;
    }

    @RequestMapping({"/saveTopSpaceAppearance"})
    @ResponseBody
    public Map<String, Object> saveTopSpaceAppearance(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        String userID = request.getSession().getAttribute("userID").toString();
        String userName = request.getSession().getAttribute("userName").toString();
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1) {
            map.put("result", false);
            map.put("msg", "无权限！");
            this.actionLoginServer.saveActionLog(userID, userName, "保存前端空间外观，结果：无权限", "");
            return map;
        } else {
            String strData = (String)data.getBody();
            JSONObject jObject = new JSONObject(strData);

            try {
                String img = jObject.getString("img");
                String selectColor = jObject.getString("selectColor");
                String fontcolor = jObject.getString("fontcolor");
                String tell = jObject.getString("tell");
                String address = jObject.getString("address");
                TopSpaceAppearance topSpaceAppearance = this.bannerService.listTopSpaceAppearanceByUserID(userID);
                if (topSpaceAppearance != null) {
                    topSpaceAppearance.setImg(img);
                    topSpaceAppearance.setFontColor(fontcolor);
                    topSpaceAppearance.setSelectColor(selectColor);
                    topSpaceAppearance.setAddress(address);
                    topSpaceAppearance.setTell(tell);
                    this.bannerService.updateTopSpaceAppearance(topSpaceAppearance);
                } else {
                    topSpaceAppearance = new TopSpaceAppearance();
                    topSpaceAppearance.setId(UUIDUtils.getUUID());
                    topSpaceAppearance.setImg(img);
                    topSpaceAppearance.setFontColor(fontcolor);
                    topSpaceAppearance.setSelectColor(selectColor);
                    topSpaceAppearance.setUserID(userID);
                    topSpaceAppearance.setAddress(address);
                    topSpaceAppearance.setTell(tell);
                    this.bannerService.saveTopSpaceAppearance(topSpaceAppearance);
                }

                this.actionLoginServer.saveActionLog(userID, userName, "保存前端空间外观，结果：保存成功", topSpaceAppearance.getId());
                map.put("result", true);
                map.put("msg", "保存成功！");
            } catch (Exception var16) {
                map.put("result", false);
                map.put("msg", "保存失败！");
                this.actionLoginServer.saveActionLog(userID, userName, "保存前端空间外观，结果：保存失败", "");
            }

            return map;
        }
    }

    @RequestMapping({"/getOneTopSpaceAppearance"})
    @ResponseBody
    public Map<String, Object> getOneTopSpaceAppearance(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        Map<String, Object> map = new HashMap();
        String userID = request.getSession().getAttribute("userID").toString();
        TopSpaceAppearance topSpaceAppearance = this.bannerService.listTopSpaceAppearanceByUserID(userID);
        map.put("topSpaceAppearance", topSpaceAppearance);
        return map;
    }
}
