//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by FernFlower decompiler)
//

package com.tiptimes.ctrl;

import com.tiptimes.model.Member;
import com.tiptimes.model.SpaceExercise;
import com.tiptimes.model.SpaceFund;
import com.tiptimes.model.SpaceFundUse;
import com.tiptimes.model.SpaceTeacherRecord;
import com.tiptimes.model.TeamMessage;
import com.tiptimes.service.MemberService;
import com.tiptimes.service.ProjectService;
import com.tiptimes.service.SpaceExerciseService;
import com.tiptimes.service.SpaceFundService;
import com.tiptimes.service.SpaceMessageService;
import com.tiptimes.service.SpaceTeacherService;
import com.tiptimes.service.TeamMessageService;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpEntity;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping({"/Index"})
public class IndexCtrl {
    @Autowired
    private MemberService memberService;
    @Autowired
    private TeamMessageService teamMessageService;
    @Autowired
    private SpaceFundService spaceFundServer;
    @Autowired
    private ProjectService projectServer;
    @Autowired
    private SpaceTeacherService spaceTeacherServer;
    @Autowired
    private SpaceExerciseService spaceExerciseService;
    @Autowired
    private SpaceMessageService spaceMessageService;

    public IndexCtrl() {
    }

    @RequestMapping({"/getEducationIndex"})
    @ResponseBody
    public Map<String, Object> getEducationIndex(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 2) {
            map.put("result", false);
            return map;
        } else {
            map.put("spaceMessageNum0", this.spaceMessageService.getSpaceMessageNumByAll(0));
            map.put("spaceMessageNum1", this.spaceMessageService.getSpaceMessageNumByAll(1));
            map.put("teamMessageNum0", this.teamMessageService.getTeamInformationNumByCertification(0));
            map.put("teamMessageNum1", this.teamMessageService.getTeamInformationNumByCertification(1));
            map.put("teamMessagecompanyNum0", this.teamMessageService.getTeamInformationNumByCertificationAndCompanyRegisterIF(0, 1));
            map.put("teamMessagecompanyNum1", this.teamMessageService.getTeamInformationNumByCertificationAndCompanyRegisterIF(1, 1));
            map.put("spaceFundNum0", this.spaceFundServer.getSpaceFundUseNumByCertification(0));
            map.put("spaceFundNum1", this.spaceFundServer.getSpaceFundUseNumByCertification(1));
            map.put("studentNum0", this.memberService.listMemberAllNumBySpaceMessageCertification(0));
            map.put("studentNum1", this.memberService.listMemberAllNumBySpaceMessageCertification(1));
            List<TeamMessage> teamMessage_list0 = this.teamMessageService.getTeamInformationByCertificationSimple(0);
            int intellectualPropertyNum1;
            if (teamMessage_list0 == null) {
                map.put("intellectualPropertyNum0", 0);
                map.put("employmentNum0", 0);
                map.put("financingMoneyNum0", 0);
            } else {
                int intellectualPropertyNum0 = 0;
                intellectualPropertyNum1 = 0;
                double financingMoneyNum0 = 0.0D;
                Iterator var11 = teamMessage_list0.iterator();

                while(var11.hasNext()) {
                    TeamMessage teamMessage_list0_i = (TeamMessage)var11.next();
                    intellectualPropertyNum0 += teamMessage_list0_i.getIntellectualPropertyNumber();
                    intellectualPropertyNum1 += teamMessage_list0_i.getEmploymentNumber();

                    try {
                        financingMoneyNum0 += Double.parseDouble(teamMessage_list0_i.getFinancingMoneyNumber());
                    } catch (Exception var16) {
                    }
                }

                map.put("intellectualPropertyNum0", intellectualPropertyNum0);
                map.put("employmentNum0", intellectualPropertyNum1);
                map.put("financingMoneyNum0", financingMoneyNum0);
            }

            List<TeamMessage> teamMessage_list1 = this.teamMessageService.getTeamInformationByCertificationSimple(1);
            if (teamMessage_list1 == null) {
                map.put("intellectualPropertyNum1", 0);
                map.put("employmentNum1", 0);
                map.put("financingMoneyNum1", 0);
            } else {
                intellectualPropertyNum1 = 0;
                int employmentNum1 = 0;
                double financingMoneyNum1 = 0.0D;
                Iterator var19 = teamMessage_list1.iterator();

                while(var19.hasNext()) {
                    TeamMessage teamMessage_list1_i = (TeamMessage)var19.next();
                    intellectualPropertyNum1 += teamMessage_list1_i.getIntellectualPropertyNumber();
                    employmentNum1 += teamMessage_list1_i.getEmploymentNumber();

                    try {
                        financingMoneyNum1 += Double.parseDouble(teamMessage_list1_i.getFinancingMoneyNumber());
                    } catch (Exception var15) {
                    }
                }

                map.put("intellectualPropertyNum1", intellectualPropertyNum1);
                map.put("employmentNum1", employmentNum1);
                map.put("financingMoneyNum1", financingMoneyNum1);
            }

            map.put("spaceExerciseNum0", this.spaceExerciseService.getSpaceExerciseNumByCertification(0));
            map.put("spaceExerciseNum1", this.spaceExerciseService.getSpaceExerciseNumByCertification(1));
            map.put("spaceTeacherRecordNum0", this.spaceTeacherServer.SpaceTeacherRecordNumByCertification(0));
            map.put("spaceTeacherRecordNum1", this.spaceTeacherServer.SpaceTeacherRecordNumByCertification(1));
            map.put("result", true);
            return map;
        }
    }

    @RequestMapping({"/getSpaceIndex"})
    @ResponseBody
    public Map<String, Object> getSpaceIndex(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        String realName = request.getSession().getAttribute("userName").toString();
        if (authorityID != 1) {
            map.put("result", false);
            return map;
        } else {
            String spaceMessageID = request.getSession().getAttribute("realID").toString();
            List<Member> member_list = this.memberService.listMemberBySpaceMessageID(spaceMessageID, 0, 1);
            if (member_list == null) {
                map.put("memberNumber", 0);
            } else {
                map.put("memberNumber", member_list.size());
            }

            map.put("teamMessageNumber", this.teamMessageService.listTeamMessageSizeBySpaceMessageID(spaceMessageID));
            List<TeamMessage> teamMessage_list1 = this.teamMessageService.listTeamMessageBySpaceMessageIDAndCompanyRegisterIF(spaceMessageID, 1);
            if (teamMessage_list1 == null) {
                map.put("companyRegisterIF", 0);
                map.put("EmploymentNumber", 0);
                map.put("PayTaxesNumber", 0);
            } else {
                map.put("companyRegisterIF", teamMessage_list1.size());
                int EmploymentNumber = 0;
                double PayTaxesNumber = 0.0D;

                TeamMessage teamMessage_list1_i;
                for(Iterator var13 = teamMessage_list1.iterator(); var13.hasNext(); PayTaxesNumber += Double.parseDouble(teamMessage_list1_i.getPayTaxesNumber())) {
                    teamMessage_list1_i = (TeamMessage)var13.next();
                    EmploymentNumber += teamMessage_list1_i.getEmploymentNumber();
                }

                map.put("EmploymentNumber", EmploymentNumber);
                map.put("PayTaxesNumber", PayTaxesNumber);
            }

            SpaceFund spaceFund = this.spaceFundServer.listSpaceFundBySpaceMessageID(spaceMessageID);
            List spaceFundUse_list;
            if (spaceFund == null) {
                map.put("spaceFundNum", 0);
                map.put("spaceFundNumber", 0);
            } else {
                spaceFundUse_list = this.spaceFundServer.listSpaceFundUseBySpaceFundID(spaceFund.getSpaceFundID());
                if (spaceFundUse_list == null) {
                    map.put("spaceFundNum", "0");
                    map.put("spaceFundNumber", "0");
                } else {
                    double spaceFundNumber = 0.0D;

                    SpaceFundUse spaceFundUse_list_i;
                    for(Iterator var23 = spaceFundUse_list.iterator(); var23.hasNext(); spaceFundNumber += Double.parseDouble(spaceFundUse_list_i.getSpaceFundUseMoney())) {
                        spaceFundUse_list_i = (SpaceFundUse)var23.next();
                    }

                    map.put("spaceFundNum", spaceFundUse_list.size());
                    map.put("spaceFundNumber", spaceFundNumber);
                }
            }

            map.put("projectFinancingNum", this.projectServer.getProjectFinancingNumBySpaceMessageID(spaceMessageID));
            map.put("projectApplyLoanBankNum", this.projectServer.getProjectApplyLoanBankNumBySpaceMessageID(spaceMessageID));
            spaceFundUse_list = this.spaceTeacherServer.listSpaceTeacherBySpaceMessageID(spaceMessageID);
            List<SpaceTeacherRecord> spaceTeacherRecord_list = this.spaceTeacherServer.listSpaceTeacherRecordBySpaceMessageID(spaceMessageID);
            if (spaceFundUse_list == null) {
                map.put("spaceTeacherNum", 0);
                map.put("spaceTeacherRecordNUm", 0);
            } else {
                map.put("spaceTeacherNum", spaceFundUse_list.size());
                if (spaceTeacherRecord_list == null) {
                    map.put("spaceTeacherRecordNUm", 0);
                } else {
                    map.put("spaceTeacherRecordNUm", spaceTeacherRecord_list.size());
                }
            }

            List<SpaceExercise> spaceExercise_list = this.spaceExerciseService.listSpaceExerciseBySpaceMessageID(spaceMessageID);
            if (spaceExercise_list == null) {
                map.put("spaceExerciseNum", 0);
                map.put("spaceExercisePeopleNum", 0);
            } else {
                map.put("spaceExerciseNum", spaceExercise_list.size());
                int num = 0;
                Iterator var25 = spaceExercise_list.iterator();

                while(var25.hasNext()) {
                    SpaceExercise spaceExercise_list_i = (SpaceExercise)var25.next();

                    try {
                        num += Integer.parseInt(spaceExercise_list_i.getExerciseNumber());
                    } catch (Exception var18) {
                    }
                }

                map.put("spaceExercisePeopleNum", num);
            }

            map.put("spaceNameByProjectNum", this.spaceMessageService.getSpaceMessageByIntegralNum());
            map.put("realName", realName);
            map.put("result", true);
            return map;
        }
    }

    @RequestMapping({"/getTeamIndex"})
    @ResponseBody
    public Map<String, Object> getTeamIndex(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 0) {
            map.put("list", new ArrayList());
            return map;
        } else {
            String teamMessageID = request.getSession().getAttribute("realID").toString();
            TeamMessage teamMember_list = this.teamMessageService.getTeamInformationById(teamMessageID);
            List<Object> object_temp = new ArrayList();
            if (teamMember_list != null) {
                Map<String, Object> map_i = new HashMap();
                map_i.put("time", teamMember_list.getTeamSetUpTime());
                map_i.put("data", "团队成立时间");
                map_i.put("type", 1);
                object_temp.add(map_i);
                Map<String, Object> map_i2 = new HashMap();
                map_i2.put("time", teamMember_list.getTeamEnterTime());
                map_i2.put("data", "团队入驻时间");
                map_i2.put("type", 1);
                object_temp.add(map_i2);
                Map<String, Object> map_i3 = new HashMap();
                map_i3.put("time", teamMember_list.getCompanySetUpTime());
                map_i3.put("data", "公司成立时间");
                map_i3.put("type", 1);
                object_temp.add(map_i3);
                Map<String, Object> map_i4 = new HashMap();
                map_i4.put("time", this.teamMessageService.getTeamInformationApitudeMinTimeById(teamMessageID));
                map_i4.put("data", "获得第一个资质");
                map_i4.put("type", 1);
                object_temp.add(map_i4);
                Map<String, Object> map_i5 = new HashMap();
                map_i5.put("time", this.teamMessageService.getTeamInformationApplyMinTimeById(teamMessageID));
                map_i5.put("data", "获得第一个知识产权");
                map_i5.put("type", 1);
                object_temp.add(map_i5);
                Map<String, Object> map_i6 = new HashMap();
                map_i6.put("time", this.teamMessageService.getTeamInformationBearpalmMinTimeById(teamMessageID));
                map_i6.put("data", "获得第一个奖项");
                map_i6.put("type", 1);
                object_temp.add(map_i6);
                Map<String, Object> map_i7 = new HashMap();
                map_i7.put("time", this.projectServer.getProjectInformationProjectTimeMinTimeByTeamMessageID(teamMessageID));
                map_i7.put("data", "创建第一个项目");
                map_i7.put("type", 1);
                object_temp.add(map_i7);
                Map<String, Object> map_i8 = new HashMap();
                map_i8.put("time", this.projectServer.getProjectInformationProjectShowTimeMinTimeByTeamMessageID(teamMessageID));
                map_i8.put("data", "创建第一个文案");
                map_i8.put("type", 1);
                object_temp.add(map_i8);
                Map<String, Object> map_i9 = new HashMap();
                map_i9.put("time", teamMember_list.getFinancing100Time());
                map_i9.put("data", "获得融资总额超过百万");
                map_i9.put("type", 2);
                object_temp.add(map_i9);
            }

            map.put("list", object_temp);
            return map;
        }
    }
}
