//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by FernFlower decompiler)
//

package com.tiptimes.ctrl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.tiptimes.model.LoginRemind;
import com.tiptimes.model.MaterialClass;
import com.tiptimes.model.MaterialClassBinding;
import com.tiptimes.model.MaterialInformation;
import com.tiptimes.service.ActionLogService;
import com.tiptimes.service.IntegralService;
import com.tiptimes.service.LoginRemindService;
import com.tiptimes.service.MaterialService;
import com.tiptimes.util.DATEUtil;
import com.tiptimes.util.UUIDUtils;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.json.JSONException;
import org.json.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpEntity;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping({"/Material"})
public class MaterialCtrl {
    @Autowired
    private MaterialService materialService;
    @Autowired
    private ActionLogService actionLoginServer;
    @Autowired
    private IntegralService integralService;
    @Autowired
    private LoginRemindService loginRemindService;

    public MaterialCtrl() {
    }

    @RequestMapping({"/getAllMaterialClass"})
    @ResponseBody
    public Map<String, Object> getAllMaterialClass(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1 && authorityID != 2) {
            map.put("list", new ArrayList());
            return map;
        } else {
            String spaceMessageID = request.getSession().getAttribute("realID").toString();
            List<MaterialClass> materialClass_list = null;
            if (authorityID == 1) {
                materialClass_list = this.materialService.listMaterialClassSustratumByUpClassID(spaceMessageID);
            }

            if (authorityID == 2) {
                materialClass_list = this.materialService.listMaterialClassSustratumByUpClassID("0");
            }

            List<Object> object_temp = new ArrayList();
            if (materialClass_list != null) {
                Iterator var9 = materialClass_list.iterator();

                while(var9.hasNext()) {
                    MaterialClass materialClass_list_i = (MaterialClass)var9.next();
                    String html_table = "";
                    html_table = html_table + "<span style=\"margin-right: 10px;\" class=\"getAllProject_table\" onclick=\"setAllProject_edit('" + materialClass_list_i.getClassID() + "','" + materialClass_list_i.getClassName() + "')\">查看栏目内容</span>";
                    Map<String, Object> map_temp_i = new HashMap();
                    map_temp_i.put("className", materialClass_list_i.getClassName());
                    map_temp_i.put("classNameEnglish", materialClass_list_i.getClassNameEnglish());
                    map_temp_i.put("type", materialClass_list_i.getType());
                    map_temp_i.put("editable", html_table);
                    object_temp.add(map_temp_i);
                }
            }

            map.put("list", object_temp);
            return map;
        }
    }

    @RequestMapping({"/getAllMaterialClassNo"})
    @ResponseBody
    public Map<String, Object> getAllMaterialClassNo(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1 && authorityID != 2) {
            map.put("list", new ArrayList());
            return map;
        } else {
            String spaceMessageID = request.getSession().getAttribute("realID").toString();
            List<MaterialClass> materialClass_list = null;
            if (authorityID == 1) {
                materialClass_list = this.materialService.listMaterialClassSustratumByUpClassIDNo(spaceMessageID);
            }

            if (authorityID == 2) {
                materialClass_list = this.materialService.listMaterialClassSustratumByUpClassIDNo("0");
            }

            List<Object> object_temp = new ArrayList();
            if (materialClass_list != null) {
                Iterator var9 = materialClass_list.iterator();

                while(var9.hasNext()) {
                    MaterialClass materialClass_list_i = (MaterialClass)var9.next();
                    Map<String, Object> map_temp_i = new HashMap();
                    map_temp_i.put("className", materialClass_list_i.getClassName());
                    map_temp_i.put("classID", materialClass_list_i.getClassID());
                    object_temp.add(map_temp_i);
                }
            }

            map.put("list", object_temp);
            return map;
        }
    }

    @RequestMapping({"/getAllMaterialSpace"})
    @ResponseBody
    public Map<String, Object> getAllMaterialSpace(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data, MaterialInformation materialInformation) {
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1 && authorityID != 2) {
            map.put("list", new ArrayList());
            return map;
        } else {
            String spaceMessageID = request.getSession().getAttribute("realID").toString();
            if (authorityID == 2) {
                spaceMessageID = "0";
            }

            PageHelper.startPage(materialInformation.getStart() / materialInformation.getLength() + 1, materialInformation.getLength());
            List<MaterialInformation> spaceMaterialInformation_list = this.materialService.listMaterialInformationBySpaceMessageIDAndOthers(spaceMessageID, materialInformation);
            List<Object> object_temp = new ArrayList();
            if (spaceMaterialInformation_list != null) {
                Iterator var10 = spaceMaterialInformation_list.iterator();

                while(var10.hasNext()) {
                    MaterialInformation spaceMaterialInformation_list_i = (MaterialInformation)var10.next();
                    String html_table = "";
                    if (authorityID == 1) {
                        if (spaceMaterialInformation_list_i.getEducationState() == 1) {
                            html_table = html_table + "<span style=\"margin-right: 10px;color:#c3c3c3\" class=\"getAllProject_table\" >推荐</span>";
                        } else {
                            html_table = html_table + "<span style=\"margin-right: 10px;\" class=\"getAllProject_table\" onclick=\"setAllMaterial_Recommend('" + spaceMaterialInformation_list_i.getInformationID() + "')\">推荐</span>";
                        }
                    }

                    if (spaceMaterialInformation_list_i.getState() == 0) {
                        html_table = html_table + "<span style=\"margin-right: 10px;\" class=\"getAllProject_table\" onclick=\"setAllMaterial_State('" + spaceMaterialInformation_list_i.getInformationID() + "','1')\">不显示</span>";
                    } else {
                        html_table = html_table + "<span style=\"margin-right: 10px;\" class=\"getAllProject_table\" onclick=\"setAllMaterial_State('" + spaceMaterialInformation_list_i.getInformationID() + "','0')\">显示</span>";
                    }

                    html_table = html_table + "<span style=\"margin-right: 10px;\" class=\"getAllProject_table\" onclick=\"setAllMaterial_edit('" + spaceMaterialInformation_list_i.getInformationID() + "')\">编辑</span>";
                    html_table = html_table + "<span style=\"margin-right: 10px;\" class=\"getAllProject_table\" onclick=\"setAllMaterial_delete('" + spaceMaterialInformation_list_i.getInformationID() + "')\">删除</span>";
                    Map<String, Object> map_temp_i = new HashMap();
                    map_temp_i.put("title", spaceMaterialInformation_list_i.getTitle());
                    map_temp_i.put("number", spaceMaterialInformation_list_i.getNumber());
                    map_temp_i.put("startTime", spaceMaterialInformation_list_i.getStartTime());
                    if (spaceMaterialInformation_list_i.getState() == 0) {
                        map_temp_i.put("state", "显示");
                    } else {
                        map_temp_i.put("state", "不显示");
                    }

                    if (99 != spaceMaterialInformation_list_i.getOrder1()) {
                        map_temp_i.put("order1", spaceMaterialInformation_list_i.getOrder1());
                    } else {
                        map_temp_i.put("order1", "");
                    }

                    map_temp_i.put("editable", html_table);
                    object_temp.add(map_temp_i);
                }

                PageInfo<MaterialInformation> p = new PageInfo(spaceMaterialInformation_list);
                map.put("aaData", object_temp);
                map.put("recordsFiltered", p.getList().size());
                map.put("iTotalRecords", p.getTotal());
                map.put("iTotalDisplayRecords", p.getTotal());
                return map;
            } else {
                new PageInfo(spaceMaterialInformation_list);
                map.put("aaData", object_temp);
                map.put("recordsFiltered", 0);
                map.put("iTotalRecords", 0);
                map.put("iTotalDisplayRecords", 0);
                return map;
            }
        }
    }

    @RequestMapping({"/getAllMaterialSpaceClass"})
    @ResponseBody
    public Map<String, Object> getAllMaterialSpaceClass(String classID, HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data, MaterialInformation materialInformation) {
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1 && authorityID != 2) {
            map.put("list", new ArrayList());
            return map;
        } else {
            PageHelper.startPage(materialInformation.getStart() / materialInformation.getLength() + 1, materialInformation.getLength());
            List<MaterialInformation> spaceMaterialInformation_list = this.materialService.listMaterialInformationByClassIDAndOthers(classID, materialInformation);
            List<Object> object_temp = new ArrayList();
            if (spaceMaterialInformation_list != null) {
                Iterator var10 = spaceMaterialInformation_list.iterator();

                while(var10.hasNext()) {
                    MaterialInformation spaceMaterialInformation_list_i = (MaterialInformation)var10.next();
                    String html_table = "";
                    if (authorityID == 1) {
                        if (spaceMaterialInformation_list_i.getEducationState() == 1) {
                            html_table = html_table + "<span style=\"margin-right: 10px;color:#c3c3c3\" class=\"getAllProject_table\" >推荐</span>";
                        } else {
                            html_table = html_table + "<span style=\"margin-right: 10px;\" class=\"getAllProject_table\" onclick=\"setAllMaterial_Recommend('" + spaceMaterialInformation_list_i.getInformationID() + "')\">推荐</span>";
                        }
                    }

                    if (spaceMaterialInformation_list_i.getState() == 0) {
                        html_table = html_table + "<span style=\"margin-right: 10px;\" class=\"getAllProject_table\" onclick=\"setAllMaterial_State('" + spaceMaterialInformation_list_i.getInformationID() + "','1')\">不显示</span>";
                    } else {
                        html_table = html_table + "<span style=\"margin-right: 10px;\" class=\"getAllProject_table\" onclick=\"setAllMaterial_State('" + spaceMaterialInformation_list_i.getInformationID() + "','0')\">显示</span>";
                    }

                    html_table = html_table + "<span style=\"margin-right: 10px;\" class=\"getAllProject_table\" onclick=\"setAllMaterial_edit('" + spaceMaterialInformation_list_i.getInformationID() + "')\">编辑</span>";
                    html_table = html_table + "<span style=\"margin-right: 10px;\" class=\"getAllProject_table\" onclick=\"setAllMaterial_order('" + spaceMaterialInformation_list_i.getInformationID() + "','" + spaceMaterialInformation_list_i.getOrder1() + "')\">排序</span>";
                    html_table = html_table + "<span style=\"margin-right: 10px;\" class=\"getAllProject_table\" onclick=\"setAllMaterial_delete('" + spaceMaterialInformation_list_i.getInformationID() + "')\">删除</span>";
                    Map<String, Object> map_temp_i = new HashMap();
                    map_temp_i.put("title", spaceMaterialInformation_list_i.getTitle());
                    map_temp_i.put("number", spaceMaterialInformation_list_i.getNumber());
                    map_temp_i.put("startTime", spaceMaterialInformation_list_i.getStartTime());
                    if (spaceMaterialInformation_list_i.getState() == 0) {
                        map_temp_i.put("state", "显示");
                    } else {
                        map_temp_i.put("state", "不显示");
                    }

                    if (99 != spaceMaterialInformation_list_i.getOrder1()) {
                        map_temp_i.put("order1", spaceMaterialInformation_list_i.getOrder1());
                    } else {
                        map_temp_i.put("order1", "");
                    }

                    map_temp_i.put("editable", html_table);
                    object_temp.add(map_temp_i);
                }

                PageInfo<MaterialInformation> p = new PageInfo(spaceMaterialInformation_list);
                map.put("aaData", object_temp);
                map.put("recordsFiltered", p.getList().size());
                map.put("iTotalRecords", p.getTotal());
                map.put("iTotalDisplayRecords", p.getTotal());
                return map;
            } else {
                new PageInfo(spaceMaterialInformation_list);
                map.put("aaData", object_temp);
                map.put("recordsFiltered", 0);
                map.put("iTotalRecords", 0);
                map.put("iTotalDisplayRecords", 0);
                return map;
            }
        }
    }

    @RequestMapping({"/saveMaterial"})
    @ResponseBody
    public Map<String, Object> saveMaterial(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) throws JSONException {
        String userID = request.getSession().getAttribute("userID").toString();
        String userName = request.getSession().getAttribute("userName").toString();
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1 && authorityID != 2) {
            map.put("result", false);
            map.put("msg", "无权限");
            this.actionLoginServer.saveActionLog(userID, userName, "保存素材，结果：无权限", "");
            return map;
        } else {
            String strData = (String)data.getBody();
            if ("".equals(strData)) {
                map.put("result", false);
                map.put("msg", "参数错误");
                this.actionLoginServer.saveActionLog(userID, userName, "保存素材，结果：参数错误", "");
                return map;
            } else {
                String spaceMessageID = request.getSession().getAttribute("realID").toString();
                JSONObject jObject = new JSONObject(strData);
                String informationID = jObject.getString("informationID");
                String informationID1 = "";
                String title = jObject.getString("title");
                String content = jObject.getString("content");
                String describe1 = jObject.getString("describe1");
                int order1 = jObject.getInt("order1");
                String startTime = jObject.getString("startTime");
                String img = jObject.getString("img");
                String class1 = jObject.getString("class");
                String exerciseID = jObject.getString("exerciseID");
                String exerciseType = jObject.getString("exerciseType");
                if (order1 == 0) {
                    order1 = 99;
                }

                if ("".equals(title.trim())) {
                    map.put("result", false);
                    map.put("msg", "标题不能为空");
                    return map;
                } else if (describe1.length() > 500) {
                    map.put("result", false);
                    map.put("msg", "描述过长,最多200字");
                    return map;
                } else if ("".equals(describe1.trim())) {
                    map.put("result", false);
                    map.put("msg", "描述不能为空");
                    return map;
                } else if (startTime.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "创建时间过长");
                    return map;
                } else if ("".equals(startTime.trim())) {
                    map.put("result", false);
                    map.put("msg", "创建时间不能为空");
                    return map;
                } else {
                    MaterialInformation spaceMaterialInformation = new MaterialInformation();
                    if ("0".equals(informationID)) {
                        informationID1 = UUIDUtils.getUUID();
                        spaceMaterialInformation.setEducationState(0);
                        spaceMaterialInformation.setInformationID(informationID1);
                        spaceMaterialInformation.setNumber(0);
                        spaceMaterialInformation.setState(0);
                        if (authorityID == 1) {
                            spaceMaterialInformation.setSpaceMessageID(spaceMessageID);
                            spaceMaterialInformation.setSpaceInformationID("0");
                        }

                        if (authorityID == 2) {
                            spaceMaterialInformation.setSpaceMessageID("0");
                            spaceMaterialInformation.setSpaceInformationID("0");
                        }
                    } else {
                        informationID1 = informationID;
                        spaceMaterialInformation = this.materialService.getMaterialInformationByInformationID(informationID);
                    }

                    spaceMaterialInformation.setContent(content);
                    spaceMaterialInformation.setDescribe1(describe1);
                    spaceMaterialInformation.setImg(img);
                    spaceMaterialInformation.setTitle(title);
                    spaceMaterialInformation.setOrder1(order1);
                    spaceMaterialInformation.setStartTime(startTime);
                    spaceMaterialInformation.setExerciseID(exerciseID);
                    spaceMaterialInformation.setExerciseType(exerciseType);
                    spaceMaterialInformation.setState(0);
                    String[] class_arr = class1.split(",");
                    List<MaterialClassBinding> materialClassBinding_list = new ArrayList();
                    String[] var25 = class_arr;
                    int var26 = class_arr.length;

                    for(int var27 = 0; var27 < var26; ++var27) {
                        String class_arr_i = var25[var27];
                        MaterialClassBinding materialClassBinding = new MaterialClassBinding();
                        materialClassBinding.setClassBindingID(UUIDUtils.getUUID());
                        materialClassBinding.setClassID(class_arr_i);
                        materialClassBinding.setInformationID(informationID1);
                        materialClassBinding_list.add(materialClassBinding);
                    }

                    if ("0".equals(informationID)) {
                        try {
                            this.materialService.saveSpaceMaterialInformation(spaceMaterialInformation, materialClassBinding_list);
                            this.integralService.saveIntegral(1, spaceMessageID);
                            map.put("result", true);
                            map.put("msg", "保存成功！");
                            this.actionLoginServer.saveActionLog(userID, userName, "保存素材" + title + "，结果：保存成功", "");
                        } catch (Exception var31) {
                            map.put("result", false);
                            map.put("msg", "保存失败！");
                            this.actionLoginServer.saveActionLog(userID, userName, "保存素材" + title + "，结果：保存失败", "");
                        }
                    } else {
                        try {
                            this.materialService.updateSpaceMaterialInformation(spaceMaterialInformation, materialClassBinding_list);
                            map.put("result", true);
                            map.put("msg", "修改成功！");
                            this.actionLoginServer.saveActionLog(userID, userName, "修改素材" + title + "，结果：修改成功", "");
                        } catch (Exception var30) {
                            map.put("result", false);
                            map.put("msg", "修改失败！");
                            this.actionLoginServer.saveActionLog(userID, userName, "修改素材" + title + "，结果：修改失败", "");
                        }
                    }

                    return map;
                }
            }
        }
    }

    @RequestMapping({"/saveShowMaterial"})
    @ResponseBody
    public Map<String, Object> saveShowMaterial(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) throws JSONException {
        String userID = request.getSession().getAttribute("userID").toString();
        String userName = request.getSession().getAttribute("userName").toString();
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1 && authorityID != 2) {
            map.put("result", false);
            map.put("msg", "无权限");
            this.actionLoginServer.saveActionLog(userID, userName, "保存素材，结果：无权限", "");
            return map;
        } else {
            String strData = (String)data.getBody();
            if ("".equals(strData)) {
                map.put("result", false);
                map.put("msg", "参数错误");
                this.actionLoginServer.saveActionLog(userID, userName, "保存素材，结果：参数错误", "");
                return map;
            } else {
                String spaceMessageID = request.getSession().getAttribute("realID").toString();
                JSONObject jObject = new JSONObject(strData);
                String informationID = jObject.getString("informationID");
                String informationID1 = "";
                String title = jObject.getString("title");
                String content = jObject.getString("content");
                String describe1 = jObject.getString("describe1");
                int order1 = jObject.getInt("order1");
                String startTime = jObject.getString("startTime");
                String img = jObject.getString("img");
                String class1 = jObject.getString("class");
                String exerciseID = jObject.getString("exerciseID");
                String exerciseType = jObject.getString("exerciseType");
                if (order1 == 0) {
                    order1 = 99;
                }

                if (title.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "标题过长");
                    return map;
                } else if ("".equals(title.trim())) {
                    map.put("result", false);
                    map.put("msg", "标题不能为空");
                    return map;
                } else if (describe1.length() > 500) {
                    map.put("result", false);
                    map.put("msg", "描述过长,最多200字");
                    return map;
                } else if ("".equals(describe1.trim())) {
                    map.put("result", false);
                    map.put("msg", "描述不能为空");
                    return map;
                } else if (startTime.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "创建时间过长");
                    return map;
                } else if ("".equals(startTime.trim())) {
                    map.put("result", false);
                    map.put("msg", "创建时间不能为空");
                    return map;
                } else {
                    MaterialInformation spaceMaterialInformation = new MaterialInformation();
                    if ("0".equals(informationID)) {
                        informationID1 = UUIDUtils.getUUID();
                        spaceMaterialInformation.setEducationState(0);
                        spaceMaterialInformation.setInformationID(informationID1);
                        spaceMaterialInformation.setNumber(0);
                        spaceMaterialInformation.setState(1);
                        if (authorityID == 1) {
                            spaceMaterialInformation.setSpaceMessageID(spaceMessageID);
                            spaceMaterialInformation.setSpaceInformationID("0");
                        }

                        if (authorityID == 2) {
                            spaceMaterialInformation.setSpaceMessageID("0");
                            spaceMaterialInformation.setSpaceInformationID("0");
                        }
                    } else {
                        informationID1 = informationID;
                        spaceMaterialInformation = this.materialService.getMaterialInformationByInformationID(informationID);
                    }

                    spaceMaterialInformation.setContent(content);
                    spaceMaterialInformation.setDescribe1(describe1);
                    spaceMaterialInformation.setImg(img);
                    spaceMaterialInformation.setTitle(title);
                    spaceMaterialInformation.setOrder1(order1);
                    spaceMaterialInformation.setStartTime(startTime);
                    spaceMaterialInformation.setExerciseID(exerciseID);
                    spaceMaterialInformation.setExerciseType(exerciseType);
                    String[] class_arr = class1.split(",");
                    List<MaterialClassBinding> materialClassBinding_list = new ArrayList();
                    String[] var25 = class_arr;
                    int var26 = class_arr.length;

                    for(int var27 = 0; var27 < var26; ++var27) {
                        String class_arr_i = var25[var27];
                        MaterialClassBinding materialClassBinding = new MaterialClassBinding();
                        materialClassBinding.setClassBindingID(UUIDUtils.getUUID());
                        materialClassBinding.setClassID(class_arr_i);
                        materialClassBinding.setInformationID(informationID1);
                        materialClassBinding_list.add(materialClassBinding);
                    }

                    if ("0".equals(informationID)) {
                        try {
                            this.materialService.saveSpaceMaterialInformation(spaceMaterialInformation, materialClassBinding_list);
                            this.integralService.saveIntegral(1, spaceMessageID);
                            map.put("result", true);
                            map.put("msg", "保存成功！");
                            map.put("id", informationID1);
                            this.actionLoginServer.saveActionLog(userID, userName, "保存素材" + title + "，结果：保存成功", "");
                        } catch (Exception var31) {
                            map.put("result", false);
                            map.put("msg", "保存失败！");
                            this.actionLoginServer.saveActionLog(userID, userName, "保存素材" + title + "，结果：保存失败", "");
                        }
                    } else {
                        try {
                            this.materialService.updateSpaceMaterialInformation(spaceMaterialInformation, materialClassBinding_list);
                            map.put("result", true);
                            map.put("msg", "修改成功！");
                            map.put("id", informationID1);
                            this.actionLoginServer.saveActionLog(userID, userName, "修改素材" + title + "，结果：修改成功", "");
                        } catch (Exception var30) {
                            map.put("result", false);
                            map.put("msg", "修改失败！");
                            this.actionLoginServer.saveActionLog(userID, userName, "修改素材" + title + "，结果：修改失败", "");
                        }
                    }

                    return map;
                }
            }
        }
    }

    @RequestMapping({"/getOneMaterialSpace"})
    @ResponseBody
    public Map<String, Object> getOneMaterialSpace(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1 && authorityID != 2) {
            map.put("list", new ArrayList());
            return map;
        } else {
            String spaceMessageID = request.getSession().getAttribute("realID").toString();
            String strData = (String)data.getBody();
            if ("".equals(strData)) {
                map.put("result", false);
                map.put("msg", "参数错误");
                return map;
            } else {
                JSONObject jObject = new JSONObject(strData);
                String informationID = jObject.getString("informationID");
                MaterialInformation materialInformation = this.materialService.getMaterialInformationByInformationID(informationID);
                if (materialInformation == null) {
                    map.put("result", false);
                    map.put("msg", "无此素材");
                    return map;
                } else if (authorityID == 1 && !materialInformation.getSpaceMessageID().equals(spaceMessageID)) {
                    map.put("result", false);
                    map.put("msg", "无权限");
                    return map;
                } else {
                    List<MaterialClassBinding> materialClassBinding_list = this.materialService.listMaterialClassBinding(informationID);
                    map.put("result", true);
                    map.put("materialInformation", materialInformation);
                    map.put("materialClassBinding_list", materialClassBinding_list);
                    return map;
                }
            }
        }
    }

    @RequestMapping({"/deleteOneMaterial"})
    @ResponseBody
    public Map<String, Object> deleteOneMaterial(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1 && authorityID != 2) {
            map.put("result", false);
            map.put("msg", "无权限");
            return map;
        } else {
            String spaceMessageID = request.getSession().getAttribute("realID").toString();
            String strData = (String)data.getBody();
            if ("".equals(strData)) {
                map.put("result", false);
                map.put("msg", "参数错误");
                return map;
            } else {
                JSONObject jObject = new JSONObject(strData);
                String informationID = jObject.getString("informationID");
                MaterialInformation materialInformation = this.materialService.getMaterialInformationByInformationID(informationID);
                if (materialInformation == null) {
                    map.put("result", false);
                    map.put("msg", "无此素材");
                    return map;
                } else if (authorityID == 1 && !materialInformation.getSpaceMessageID().equals(spaceMessageID)) {
                    map.put("result", false);
                    map.put("msg", "无权限");
                    return map;
                } else {
                    try {
                        this.materialService.deleteMaterialInformation(informationID);
                        map.put("result", true);
                        map.put("msg", "删除成功");
                        return map;
                    } catch (Exception var12) {
                        map.put("result", false);
                        map.put("msg", "删除失败");
                        return map;
                    }
                }
            }
        }
    }

    @RequestMapping({"/getOneMaterialSpaceExercise"})
    @ResponseBody
    public Map<String, Object> getOneMaterialSpaceExercise(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1) {
            map.put("list", new ArrayList());
            return map;
        } else {
            String spaceMessageID = request.getSession().getAttribute("realID").toString();
            String strData = (String)data.getBody();
            if ("".equals(strData)) {
                map.put("result", false);
                map.put("msg", "参数错误");
                return map;
            } else {
                JSONObject jObject = new JSONObject(strData);
                String exerciseID = jObject.getString("exerciseID");
                String exerciseType = jObject.getString("exerciseType");
                MaterialInformation materialInformation = this.materialService.listMaterialInformationByExerciseID(exerciseID, exerciseType);
                if (materialInformation == null) {
                    map.put("result", false);
                    map.put("msg", "无此素材");
                    return map;
                } else if (authorityID == 1 && !materialInformation.getSpaceMessageID().equals(spaceMessageID)) {
                    map.put("result", false);
                    map.put("msg", "无权限");
                    return map;
                } else {
                    List<MaterialClassBinding> materialClassBinding_list = this.materialService.listMaterialClassBinding(materialInformation.getInformationID());
                    map.put("result", true);
                    map.put("materialInformation", materialInformation);
                    map.put("materialClassBinding_list", materialClassBinding_list);
                    return map;
                }
            }
        }
    }

    @RequestMapping({"/setMaterialSpaceStats"})
    @ResponseBody
    public Map<String, Object> setMaterialSpaceStats(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) throws JSONException {
        String userID = request.getSession().getAttribute("userID").toString();
        String userName = request.getSession().getAttribute("userName").toString();
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1 && authorityID != 2) {
            map.put("result", false);
            map.put("msg", "无权限");
            this.actionLoginServer.saveActionLog(userID, userName, "修改素材状态，结果：无权限", "");
            return map;
        } else {
            String strData = (String)data.getBody();
            if ("".equals(strData)) {
                map.put("result", false);
                map.put("msg", "参数错误");
                this.actionLoginServer.saveActionLog(userID, userName, "修改素材状态，结果：参数错误", "");
                return map;
            } else {
                JSONObject jObject = new JSONObject(strData);
                String informationID = jObject.getString("informationID");
                int state = jObject.getInt("state");
                MaterialInformation materialInformation = this.materialService.getMaterialInformationByInformationID(informationID);
                if (materialInformation == null) {
                    map.put("result", false);
                    map.put("msg", "素材不存在！");
                    this.actionLoginServer.saveActionLog(userID, userName, "修改项目的总状态，结果：项目不存在", informationID);
                } else {
                    materialInformation.setState(state);

                    try {
                        this.materialService.updateSpaceMaterialInformation(materialInformation);
                        map.put("result", true);
                        map.put("msg", "修改成功！");
                        if (state == 1) {
                            this.actionLoginServer.saveActionLog(userID, userName, "修改素材" + materialInformation.getTitle() + "的状态，改为不显示，结果：修改成功", informationID);
                        } else {
                            this.actionLoginServer.saveActionLog(userID, userName, "修改素材" + materialInformation.getTitle() + "的状态，改为显示，结果：修改成功", informationID);
                        }
                    } catch (Exception var14) {
                        map.put("result", false);
                        map.put("msg", "修改失败！");
                        this.actionLoginServer.saveActionLog(userID, userName, "修改素材" + materialInformation.getTitle() + "的状态，结果：修改失败", informationID);
                    }
                }

                return map;
            }
        }
    }

    @RequestMapping({"/setMaterialSpaceOrder"})
    @ResponseBody
    public Map<String, Object> setMaterialSpaceOrder(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) throws JSONException {
        String userID = request.getSession().getAttribute("userID").toString();
        String userName = request.getSession().getAttribute("userName").toString();
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1 && authorityID != 2) {
            map.put("result", false);
            map.put("msg", "无权限");
            this.actionLoginServer.saveActionLog(userID, userName, "修改素材顺序，结果：无权限", "");
            return map;
        } else {
            String strData = (String)data.getBody();
            if ("".equals(strData)) {
                map.put("result", false);
                map.put("msg", "参数错误");
                this.actionLoginServer.saveActionLog(userID, userName, "修改素材顺序，结果：参数错误", "");
                return map;
            } else {
                JSONObject jObject = new JSONObject(strData);
                String informationID = jObject.getString("informationID");
                int order1 = jObject.getInt("order1");
                MaterialInformation materialInformation = this.materialService.getMaterialInformationByInformationID(informationID);
                if (materialInformation == null) {
                    map.put("result", false);
                    map.put("msg", "素材不存在！");
                    this.actionLoginServer.saveActionLog(userID, userName, "修改项目的总状态，结果：项目不存在", informationID);
                } else {
                    materialInformation.setOrder1(order1);

                    try {
                        List<MaterialClassBinding> materialClassBinding_list = this.materialService.listMaterialClassBinding(informationID);
                        if (materialClassBinding_list != null) {
                            Iterator var14 = materialClassBinding_list.iterator();

                            while(var14.hasNext()) {
                                MaterialClassBinding materialClassBinding_list_i = (MaterialClassBinding)var14.next();
                                this.materialService.updateMaterialInformationBySpaceMessageIDAndClassIDAndOrder1(materialInformation.getSpaceMessageID(), materialClassBinding_list_i.getClassID(), order1, informationID);
                            }
                        }

                        this.materialService.updateSpaceMaterialInformation(materialInformation);
                        map.put("result", true);
                        map.put("msg", "修改成功！");
                        this.actionLoginServer.saveActionLog(userID, userName, "修改素材" + materialInformation.getTitle() + "的顺序，结果：修改成功", informationID);
                    } catch (Exception var16) {
                        map.put("result", false);
                        map.put("msg", "修改失败！");
                        this.actionLoginServer.saveActionLog(userID, userName, "修改素材" + materialInformation.getTitle() + "的顺序，结果：修改失败", informationID);
                    }
                }

                return map;
            }
        }
    }

    @RequestMapping({"/setMaterialSpaceEducationState"})
    @ResponseBody
    public Map<String, Object> setMaterialSpaceEducationState(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) throws JSONException {
        String userID = request.getSession().getAttribute("userID").toString();
        String userName = request.getSession().getAttribute("userName").toString();
        String realID = request.getSession().getAttribute("realID").toString();
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1 && authorityID != 2) {
            map.put("result", false);
            map.put("msg", "无权限");
            this.actionLoginServer.saveActionLog(userID, userName, "修改素材推荐教委状态，结果：无权限", "");
            return map;
        } else {
            String strData = (String)data.getBody();
            if ("".equals(strData)) {
                map.put("result", false);
                map.put("msg", "参数错误");
                this.actionLoginServer.saveActionLog(userID, userName, "修改素材推荐教委状态，结果：参数错误", "");
                return map;
            } else {
                JSONObject jObject = new JSONObject(strData);
                String informationID = jObject.getString("informationID");
                int state = jObject.getInt("state");
                MaterialInformation materialInformation = this.materialService.getMaterialInformationByInformationID(informationID);
                if (materialInformation == null) {
                    map.put("result", false);
                    map.put("msg", "素材不存在！");
                    this.actionLoginServer.saveActionLog(userID, userName, "修改素材推荐教委状态，结果：项目不存在", informationID);
                } else {
                    materialInformation.setEducationState(state);

                    try {
                        this.materialService.updateSpaceMaterialInformation(materialInformation);
                        map.put("result", true);
                        map.put("msg", "推荐成功！");
                        if (state == 1) {
                            this.actionLoginServer.saveActionLog(userID, userName, "修改素材" + materialInformation.getTitle() + "的推荐教委状态，改为推荐，结果：修改成功", informationID);
                            LoginRemind loginRemind = new LoginRemind();
                            loginRemind.setAddresseeUserId("0");
                            loginRemind.setContent("素材：" + materialInformation.getTitle() + ",推荐到教委进行审核");
                            loginRemind.setCorrelationID(informationID);
                            loginRemind.setSendTime(DATEUtil.getNewDateYMDHNS());
                            loginRemind.setState(0);
                            loginRemind.setId(UUIDUtils.getUUID());

                            try {
                                this.loginRemindService.saveLoginRemind(loginRemind);
                            } catch (Exception var16) {
                                System.err.println(var16);
                            }
                        } else {
                            this.actionLoginServer.saveActionLog(userID, userName, "修改素材" + materialInformation.getTitle() + "的推荐教委状态，改为不推荐，结果：修改成功", informationID);
                        }
                    } catch (Exception var17) {
                        map.put("result", false);
                        map.put("msg", "修改失败！");
                        this.actionLoginServer.saveActionLog(userID, userName, "修改素材" + materialInformation.getTitle() + "的推荐教委状态，结果：修改失败", informationID);
                    }
                }

                return map;
            }
        }
    }

    @RequestMapping({"/setEducationStateYes"})
    @ResponseBody
    public Map<String, Object> setEducationStateYes(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) throws JSONException {
        String userID = request.getSession().getAttribute("userID").toString();
        String userName = request.getSession().getAttribute("userName").toString();
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 2) {
            map.put("result", false);
            map.put("msg", "无权限");
            this.actionLoginServer.saveActionLog(userID, userName, "修改素材推荐教委状态通过，结果：无权限", "");
            return map;
        } else {
            String strData = (String)data.getBody();
            if ("".equals(strData)) {
                map.put("result", false);
                map.put("msg", "参数错误");
                this.actionLoginServer.saveActionLog(userID, userName, "修改素材推荐教委状态通过，结果：参数错误", "");
                return map;
            } else {
                JSONObject jObject = new JSONObject(strData);
                String informationID = jObject.getString("informationID");
                String class1 = jObject.getString("class1");
                MaterialInformation materialInformation = this.materialService.getMaterialInformationByInformationID(informationID);
                if (materialInformation == null) {
                    map.put("result", false);
                    map.put("msg", "素材不存在！");
                    this.actionLoginServer.saveActionLog(userID, userName, "修改素材推荐教委状态通过，结果：原素材不存在", informationID);
                } else {
                    MaterialInformation materialInformation2 = this.materialService.listMaterialInformationBySpaceInformationID(informationID);
                    int var18;
                    if (materialInformation2 == null) {
                        String id = UUIDUtils.getUUID();
                        materialInformation2 = new MaterialInformation();
                        materialInformation2.setContent(materialInformation.getContent());
                        materialInformation2.setDescribe1(materialInformation.getDescribe1());
                        materialInformation2.setEducationState(0);
                        materialInformation2.setImg(materialInformation.getImg());
                        materialInformation2.setInformationID(id);
                        materialInformation2.setNumber(0);
                        materialInformation2.setOrder1(99);
                        materialInformation2.setSpaceInformationID(materialInformation.getInformationID());
                        materialInformation2.setStartTime(materialInformation.getStartTime());
                        materialInformation2.setState(0);
                        materialInformation2.setTitle(materialInformation.getTitle());
                        materialInformation2.setSpaceMessageID("0");
                        materialInformation2.setSpaceMessageName(materialInformation.getSpaceMessageName());
                        String[] class_arr = class1.split(",");
                        List<MaterialClassBinding> materialClassBinding_list = new ArrayList();
                        String[] var17 = class_arr;
                        var18 = class_arr.length;

                        for(int var19 = 0; var19 < var18; ++var19) {
                            String class_arr_i = var17[var19];
                            MaterialClassBinding materialClassBinding = new MaterialClassBinding();
                            materialClassBinding.setClassBindingID(UUIDUtils.getUUID());
                            materialClassBinding.setClassID(class_arr_i);
                            materialClassBinding.setInformationID(id);
                            materialClassBinding_list.add(materialClassBinding);
                        }

                        try {
                            this.materialService.saveSpaceMaterialInformation(materialInformation2, materialClassBinding_list);
                            this.integralService.saveIntegral(2, materialInformation.getSpaceMessageID());
                            map.put("result", true);
                            map.put("msg", "修改成功！");
                            materialInformation.setEducationState(0);

                            try {
                                this.materialService.updateSpaceMaterialInformation(materialInformation);
                                map.put("result", true);
                                map.put("msg", "修改成功！");
                                this.actionLoginServer.saveActionLog(userID, userName, "修改素材" + materialInformation.getTitle() + "的推荐教委状态，改为通过，结果：修改成功", informationID);
                            } catch (Exception var24) {
                                map.put("result", false);
                                map.put("msg", "修改失败！");
                                this.actionLoginServer.saveActionLog(userID, userName, "修改素材" + materialInformation.getTitle() + "的推荐教委状态，改为通过，结果：修改失败", informationID);
                            }
                        } catch (Exception var25) {
                            map.put("result", true);
                            map.put("msg", "修改失败！");
                            this.actionLoginServer.saveActionLog(userID, userName, "修改素材" + materialInformation.getTitle() + "的推荐教委状态，改为通过，结果：修改失败", informationID);
                        }
                    } else {
                        materialInformation2.setContent(materialInformation.getContent());
                        materialInformation2.setDescribe1(materialInformation.getDescribe1());
                        materialInformation2.setEducationState(0);
                        materialInformation2.setImg(materialInformation.getImg());
                        materialInformation2.setSpaceInformationID(materialInformation2.getInformationID());
                        materialInformation2.setStartTime(materialInformation.getStartTime());
                        materialInformation2.setTitle(materialInformation.getTitle());
                        materialInformation2.setSpaceMessageID("0");
                        String[] class_arr = class1.split(",");
                        List<MaterialClassBinding> materialClassBinding_list = new ArrayList();
                        String[] var28 = class_arr;
                        int var29 = class_arr.length;

                        for(var18 = 0; var18 < var29; ++var18) {
                            String class_arr_i = var28[var18];
                            MaterialClassBinding materialClassBinding = new MaterialClassBinding();
                            materialClassBinding.setClassBindingID(UUIDUtils.getUUID());
                            materialClassBinding.setClassID(class_arr_i);
                            materialClassBinding.setInformationID(materialInformation2.getInformationID());
                            materialClassBinding_list.add(materialClassBinding);
                        }

                        try {
                            this.materialService.updateSpaceMaterialInformation(materialInformation2, materialClassBinding_list);
                            map.put("result", true);
                            map.put("msg", "修改成功！");
                            materialInformation.setEducationState(0);

                            try {
                                this.materialService.updateSpaceMaterialInformation(materialInformation);
                                map.put("result", true);
                                map.put("msg", "修改成功！");
                                this.actionLoginServer.saveActionLog(userID, userName, "修改素材" + materialInformation.getTitle() + "的推荐教委状态，改为通过，结果：修改成功", informationID);
                            } catch (Exception var22) {
                                map.put("result", false);
                                map.put("msg", "修改失败！");
                                this.actionLoginServer.saveActionLog(userID, userName, "修改素材" + materialInformation.getTitle() + "的推荐教委状态，改为通过，结果：修改失败", informationID);
                            }
                        } catch (Exception var23) {
                            map.put("result", true);
                            map.put("msg", "修改失败！");
                            this.actionLoginServer.saveActionLog(userID, userName, "修改素材" + materialInformation.getTitle() + "的推荐教委状态，改为通过，结果：修改失败", informationID);
                        }
                    }
                }

                return map;
            }
        }
    }

    @RequestMapping({"/setEducationStateNo"})
    @ResponseBody
    public Map<String, Object> setEducationStateNo(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) throws JSONException {
        String userID = request.getSession().getAttribute("userID").toString();
        String userName = request.getSession().getAttribute("userName").toString();
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 2) {
            map.put("result", false);
            map.put("msg", "无权限");
            this.actionLoginServer.saveActionLog(userID, userName, "修改素材推荐教委状态驳回，结果：无权限", "");
            return map;
        } else {
            String strData = (String)data.getBody();
            if ("".equals(strData)) {
                map.put("result", false);
                map.put("msg", "参数错误");
                this.actionLoginServer.saveActionLog(userID, userName, "修改素材推荐教委状态驳回，结果：参数错误", "");
                return map;
            } else {
                JSONObject jObject = new JSONObject(strData);
                String informationID = jObject.getString("informationID");
                String rejectReason = jObject.getString("rejectReason");
                MaterialInformation materialInformation = this.materialService.getMaterialInformationByInformationID(informationID);
                if (materialInformation == null) {
                    map.put("result", false);
                    map.put("msg", "素材不存在！");
                    this.actionLoginServer.saveActionLog(userID, userName, "修改素材推荐教委状态驳回，结果：原素材不存在", informationID);
                } else {
                    try {
                        map.put("result", true);
                        map.put("msg", "驳回成功！");
                        materialInformation.setEducationState(0);

                        try {
                            this.materialService.updateSpaceMaterialInformation(materialInformation);
                            map.put("result", true);
                            map.put("msg", "驳回成功！");
                            this.actionLoginServer.saveActionLog(userID, userName, "修改素材" + materialInformation.getTitle() + "的推荐教委状态，改为驳回，驳回原因：" + rejectReason + "结果：修改成功", informationID);
                            LoginRemind loginRemind = new LoginRemind();
                            loginRemind.setAddresseeUserId(materialInformation.getSpaceMessageID());
                            loginRemind.setContent("素材：" + materialInformation.getTitle() + "，推荐到教委进行审核，审核驳回，驳回原因：" + rejectReason);
                            loginRemind.setCorrelationID(informationID);
                            loginRemind.setSendTime(DATEUtil.getNewDateYMDHNS());
                            loginRemind.setState(0);
                            loginRemind.setId(UUIDUtils.getUUID());

                            try {
                                this.loginRemindService.saveLoginRemind(loginRemind);
                            } catch (Exception var15) {
                                System.err.println(var15);
                            }
                        } catch (Exception var16) {
                            map.put("result", false);
                            map.put("msg", "驳回失败！");
                            this.actionLoginServer.saveActionLog(userID, userName, "修改素材" + materialInformation.getTitle() + "的推荐教委状态，改为驳回，结果：修改失败", informationID);
                        }
                    } catch (Exception var17) {
                        map.put("result", true);
                        map.put("msg", "驳回失败！");
                        this.actionLoginServer.saveActionLog(userID, userName, "修改素材" + materialInformation.getTitle() + "的推荐教委状态，改为驳回，结果：修改失败", informationID);
                    }
                }

                return map;
            }
        }
    }

    @RequestMapping({"/getAllMaterialSpaceEducationState"})
    @ResponseBody
    public Map<String, Object> getAllMaterialSpaceEducationState(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data, MaterialInformation materialInformation) {
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 2) {
            map.put("list", new ArrayList());
            return map;
        } else {
            int educationState = 1;
            PageHelper.startPage(materialInformation.getStart() / materialInformation.getLength() + 1, materialInformation.getLength());
            List<MaterialInformation> spaceMaterialInformation_list = this.materialService.listMaterialInformationByEducationStateAndOthers(educationState, materialInformation);
            List<Object> object_temp = new ArrayList();
            if (spaceMaterialInformation_list == null) {
                new PageInfo(spaceMaterialInformation_list);
                map.put("aaData", object_temp);
                map.put("recordsFiltered", 0);
                map.put("iTotalRecords", 0);
                map.put("iTotalDisplayRecords", 0);
                return map;
            } else {
                Iterator var10 = spaceMaterialInformation_list.iterator();

                while(var10.hasNext()) {
                    MaterialInformation spaceMaterialInformation_list_i = (MaterialInformation)var10.next();
                    String html_table = "";
                    html_table = html_table + "<span style=\"margin-right: 10px;\" class=\"getAllProject_table\" onclick=\"setAllMaterial_StateYes('" + spaceMaterialInformation_list_i.getInformationID() + "')\">通过</span>";
                    html_table = html_table + "<span style=\"margin-right: 10px;\" class=\"getAllProject_table\" onclick=\"rejectShow('" + spaceMaterialInformation_list_i.getInformationID() + "')\">驳回</span>";
                    html_table = html_table + "<span style=\"margin-right: 10px;\" class=\"getAllProject_table\" onclick=\"setAllMaterial_Show('" + spaceMaterialInformation_list_i.getInformationID() + "')\">查看</span>";
                    Map<String, Object> map_temp_i = new HashMap();
                    map_temp_i.put("title", spaceMaterialInformation_list_i.getTitle());
                    map_temp_i.put("startTime", spaceMaterialInformation_list_i.getStartTime());
                    map_temp_i.put("editable", html_table);
                    object_temp.add(map_temp_i);
                }

                PageInfo<MaterialInformation> p = new PageInfo(spaceMaterialInformation_list);
                map.put("aaData", object_temp);
                map.put("recordsFiltered", p.getList().size());
                map.put("iTotalRecords", p.getTotal());
                map.put("iTotalDisplayRecords", p.getTotal());
                return map;
            }
        }
    }
}
