//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by FernFlower decompiler)
//

package com.tiptimes.ctrl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.tiptimes.model.Member;
import com.tiptimes.model.TopUserLogin;
import com.tiptimes.service.ActionLogService;
import com.tiptimes.service.MemberService;
import com.tiptimes.service.TopUserService;
import com.tiptimes.util.ExcelUtil;
import com.tiptimes.util.MD5Util;
import com.tiptimes.util.NumberUtil;
import com.tiptimes.util.UUIDUtils;
import java.io.OutputStream;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.json.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpEntity;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping({"/Member"})
public class MemberCtrl {
    @Autowired
    private ActionLogService actionLogServer;
    @Autowired
    private MemberService memberService;
    @Autowired
    private TopUserService topUserService;

    public MemberCtrl() {
    }

    @RequestMapping({"/getMemberAll"})
    @ResponseBody
    public Map<String, Object> getMemberAll(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data, Member member) {
        Map<String, Object> map = new HashMap();
        PageHelper.startPage(member.getStart() / member.getLength() + 1, member.getLength());
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 2) {
            map.put("list", new ArrayList());
            return map;
        } else {
            List<Member> member_list = this.memberService.listMemberAll(member);
            List<Object> object_temp = new ArrayList();
            if (member_list != null) {
                Iterator var9 = member_list.iterator();

                while(var9.hasNext()) {
                    Member member_list_i = (Member)var9.next();
                    String html_table = "";
                    if (member_list_i.getState() == 1) {
                        html_table = html_table + "<span style=\"margin-right: 10px;\" class=\"getAllSpaceExercise_table\" onclick=\"exercise_DIV_exercise('" + member_list_i.getMemberID() + "')\">允许登录</span>";
                    } else {
                        html_table = html_table + "<span style=\"margin-right: 10px;\" class=\"getAllSpaceExercise_table\" onclick=\"exercise_DIV_exercise('" + member_list_i.getMemberID() + "')\">禁止登录</span>";
                    }

                    Map<String, Object> map_temp_i = new HashMap();
                    map_temp_i.put("memberName", member_list_i.getMemberName());
                    if (member_list_i.getMemberSex() == 1) {
                        map_temp_i.put("memberSex", "男");
                    } else if (member_list_i.getMemberSex() == 2) {
                        map_temp_i.put("memberSex", "女");
                    } else {
                        map_temp_i.put("memberSex", "");
                    }

                    if (member_list_i.getTopSource() == 0) {
                        map_temp_i.put("memberType", "注册用户");
                        map_temp_i.put("memberTell", member_list_i.getMemberTell());
                    } else {
                        map_temp_i.put("memberType", "天软用户");
                        map_temp_i.put("memberTell", member_list_i.getTopCASUser());
                    }

                    map_temp_i.put("editable", html_table);
                    object_temp.add(map_temp_i);
                }

                PageInfo<Member> p = new PageInfo(member_list);
                map.put("aaData", object_temp);
                map.put("recordsFiltered", p.getList().size());
                map.put("iTotalRecords", p.getTotal());
                map.put("iTotalDisplayRecords", p.getTotal());
                return map;
            } else {
                map.put("aaData", object_temp);
                map.put("recordsFiltered", 0);
                map.put("iTotalRecords", 0);
                map.put("iTotalDisplayRecords", 0);
                return map;
            }
        }
    }

    @RequestMapping({"/getMemberState"})
    @ResponseBody
    public Map<String, Object> getMemberState(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        String userID = request.getSession().getAttribute("userID").toString();
        String userName = request.getSession().getAttribute("userName").toString();
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 2) {
            map.put("result", false);
            map.put("msg", "无权限！");
            this.actionLogServer.saveActionLog(userID, userName, "教委禁止登录/允许登录用户账户，结果：无权限", "");
            return map;
        } else {
            String strData = (String)data.getBody();
            JSONObject jObject = new JSONObject(strData);
            String memberID = jObject.getString("memberID");
            TopUserLogin topUserLogin = this.topUserService.listTopUserLoginByRealID(memberID);
            Member member = this.memberService.listMemberBymemberID(memberID);
            if (topUserLogin != null && member != null) {
                try {
                    if (topUserLogin.getUserState() == 1) {
                        topUserLogin.setUserState(0);
                        this.topUserService.updateTopUserLogin(topUserLogin);
                        member.setState(0);
                        this.memberService.updateMember(member);
                        this.actionLogServer.saveActionLog(userID, userName, "教委允许登录用户账户:" + topUserLogin.getRealName() + "，结果：修改成功", memberID);
                    } else {
                        topUserLogin.setUserState(1);
                        this.topUserService.updateTopUserLogin(topUserLogin);
                        member.setState(1);
                        this.memberService.updateMember(member);
                        this.actionLogServer.saveActionLog(userID, userName, "教委禁止登录用户账户:" + topUserLogin.getRealName() + "，结果：修改成功", memberID);
                    }

                    map.put("result", true);
                    map.put("msg", "修改成功！");
                } catch (Exception var14) {
                    map.put("result", false);
                    map.put("msg", "修改失败！");
                    this.actionLogServer.saveActionLog(userID, userName, "教委禁止登录/允许登录用户账户，结果：修改失败", "");
                }

                return map;
            } else {
                map.put("result", false);
                map.put("msg", "此账户异常,登录表没此账户信息！");
                this.actionLogServer.saveActionLog(userID, userName, "教委禁止登录/允许登录用户账户，结果：此账户异常,登录表没此账户信息", "");
                return map;
            }
        }
    }

    @RequestMapping({"/SaveMemberLogin"})
    @ResponseBody
    public Map<String, Object> SaveMemberLogin(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        String userID = request.getSession().getAttribute("userID").toString();
        String userName = request.getSession().getAttribute("userName").toString();
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 2) {
            map.put("result", false);
            map.put("msg", "无权限！");
            this.actionLogServer.saveActionLog(userID, userName, "新建用户账户，结果：无权限", "");
            return map;
        } else {
            String strData = (String)data.getBody();
            JSONObject jObject = new JSONObject(strData);
            String userPassword = jObject.getString("userPassword");
            String memberName = jObject.getString("memberName");
            String memberTell = jObject.getString("memberTell");
            if (memberName.length() > 50) {
                map.put("result", false);
                map.put("msg", "名称过长");
                return map;
            } else if ("".equals(memberName.trim())) {
                map.put("result", false);
                map.put("msg", "名称不能为空");
                return map;
            } else if (memberTell.length() != 11) {
                map.put("result", false);
                map.put("msg", "手机号长度异常，请输入正确的手机号");
                return map;
            } else if ("".equals(memberTell.trim())) {
                map.put("result", false);
                map.put("msg", "手机号不能为空");
                return map;
            } else {
                if (!NumberUtil.isChinaPhoneLegal(memberTell)) {
                    map.put("result", false);
                    map.put("msg", "手机号异常！");
                }

                if (userPassword.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "密码过长");
                    return map;
                } else if ("".equals(userPassword.trim())) {
                    map.put("result", false);
                    map.put("msg", "密码不能为空");
                    return map;
                } else {
                    TopUserLogin topuserLogin2 = this.topUserService.listTopUserLoginBymemberTell(memberTell);
                    if (topuserLogin2 != null) {
                        map.put("result", false);
                        map.put("msg", "手机号已存在");
                        return map;
                    } else {
                        String uuid = UUIDUtils.getUUID();
                        Member member = new Member();
                        member.setMemberID(uuid);
                        member.setMemberShowID("");
                        member.setMemberName(memberName);
                        member.setMemberSex(9);
                        member.setMemberTell(memberTell);
                        member.setMemberIDCard("");
                        member.setMemberEmail("");
                        member.setMemberWeixin("");
                        member.setMemberQQ("");
                        member.setMemberType(9);
                        member.setMemberSchool("");
                        member.setMemberMajor("");
                        member.setMemberEducation(9);
                        member.setState(0);
                        member.setTopSource(0);
                        member.setMemberCollege("");
                        member.setImg("/res/image/userlogo.jpg");
                        TopUserLogin topUserLogin3 = new TopUserLogin();
                        topUserLogin3.setAuthority(0);
                        topUserLogin3.setRealID(uuid);
                        topUserLogin3.setRealName(memberName);
                        topUserLogin3.setUserAccount("C_" + memberTell);
                        topUserLogin3.setTopUserID(UUIDUtils.getUUID());
                        topUserLogin3.setUserLifeCycle(0);
                        topUserLogin3.setTopUserLoginID(UUIDUtils.getUUID());
                        topUserLogin3.setUserPassword(MD5Util.encryptByMD5(userPassword));
                        topUserLogin3.setUserState(0);
                        topUserLogin3.setUserTell(memberTell);

                        try {
                            this.memberService.saveMember(member, topUserLogin3);
                            map.put("result", true);
                            map.put("msg", "保存成功！");
                            this.actionLogServer.saveActionLog(userID, userName, "教委新建用户账户:" + memberName + "，结果：保存成功", uuid);
                        } catch (Exception var18) {
                            map.put("result", false);
                            map.put("msg", "保存失败！");
                            this.actionLogServer.saveActionLog(userID, userName, "教委新建用户账户:" + memberName + "，结果：保存失败", uuid);
                        }

                        return map;
                    }
                }
            }
        }
    }

    @RequestMapping({"/getMemberBySpaceMessageID"})
    @ResponseBody
    public Map<String, Object> getMemberBySpaceMessageID(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data, Member member) {
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1) {
            map.put("list", new ArrayList());
            return map;
        } else {
            String spaceMessageID = request.getSession().getAttribute("realID").toString();
            PageHelper.startPage(member.getStart() / member.getLength() + 1, member.getLength());
            List<Member> member_list = this.memberService.listMemberBySpaceMessageIDAndOthers(spaceMessageID, member);
            List<Object> object_temp = new ArrayList();
            if (member_list != null) {
                Iterator var10 = member_list.iterator();

                while(var10.hasNext()) {
                    Member member_list_i = (Member)var10.next();
                    Map<String, Object> map_temp_i = new HashMap();
                    map_temp_i.put("memberName", member_list_i.getMemberName());
                    map_temp_i.put("memberTell", member_list_i.getMemberTell());
                    int memberType = member_list_i.getMemberType();
                    switch(memberType) {
                        case 0:
                            map_temp_i.put("memberType", "在校学生");
                            break;
                        case 1:
                            map_temp_i.put("memberType", "5年内毕业");
                            break;
                        default:
                            map_temp_i.put("memberType", "其他");
                    }

                    map_temp_i.put("memberSchool", member_list_i.getMemberSchool());
                    object_temp.add(map_temp_i);
                }

                PageInfo<Member> p = new PageInfo(member_list);
                map.put("aaData", object_temp);
                map.put("recordsFiltered", p.getList().size());
                map.put("iTotalRecords", p.getTotal());
                map.put("iTotalDisplayRecords", p.getTotal());
                return map;
            } else {
                new PageInfo(member_list);
                map.put("aaData", object_temp);
                map.put("recordsFiltered", 0);
                map.put("iTotalRecords", 0);
                map.put("iTotalDisplayRecords", 0);
                return map;
            }
        }
    }

    @RequestMapping({"/deriveMemberBySpaceMessageID"})
    @ResponseBody
    public void deriveMemberBySpaceMessageID(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID == 1) {
            String spaceMessageID = request.getSession().getAttribute("realID").toString();
            List<Member> member_list = this.memberService.listMemberBySpaceMessageID(spaceMessageID);
            if (member_list != null) {
                HSSFWorkbook wb = this.MemberExcel(member_list);
                String fileName = "创客详细.xls";

                try {
                    ExcelUtil.setResponseHeader(response, fileName);
                    OutputStream os = response.getOutputStream();
                    wb.write(os);
                    os.flush();
                    os.close();
                } catch (Exception var11) {
                    var11.printStackTrace();
                }
            }

        }
    }

    private HSSFWorkbook MemberExcel(List<Member> member_list) {
        String sheetName = "创客详细信息";
        String[] title = new String[]{"姓名", "性别", "手机号码", "身份证号", "电子邮箱", "QQ号", "微信号", "人员属性", "所属学校", "所属学院", "所学专业", "学历层次"};
        int[] width = new int[]{3000, 3000, 3000, 3000, 3000, 3000, 3000, 3000, 3000, 3000, 3000, 3000};
        String[][] values = new String[member_list.size()][];

        for(int i = 0; i < member_list.size(); ++i) {
            values[i] = new String[title.length];
            values[i][0] = ((Member)member_list.get(i)).getMemberName();
            if (((Member)member_list.get(i)).getMemberSex() == 1) {
                values[i][1] = "男";
            } else if (((Member)member_list.get(i)).getMemberSex() == 2) {
                values[i][1] = "女";
            } else {
                values[i][1] = "";
            }

            values[i][2] = ((Member)member_list.get(i)).getMemberTell();
            values[i][3] = ((Member)member_list.get(i)).getMemberIDCard();
            values[i][4] = ((Member)member_list.get(i)).getMemberEmail();
            values[i][5] = ((Member)member_list.get(i)).getMemberQQ();
            values[i][6] = ((Member)member_list.get(i)).getMemberWeixin();
            int memberType = ((Member)member_list.get(i)).getMemberType();
            switch(memberType) {
                case 0:
                    values[i][7] = "在校学生";
                    break;
                case 1:
                    values[i][7] = "5年内毕业";
                    break;
                default:
                    values[i][7] = "其他";
            }

            values[i][8] = ((Member)member_list.get(i)).getMemberSchool();
            values[i][9] = ((Member)member_list.get(i)).getMemberCollege();
            values[i][10] = ((Member)member_list.get(i)).getMemberMajor();
            int memberEducation = ((Member)member_list.get(i)).getMemberEducation();
            switch(memberEducation) {
                case 4:
                    values[i][11] = "本科";
                    break;
                case 5:
                    values[i][11] = "研究生";
                    break;
                default:
                    values[i][11] = "其他";
            }
        }

        return ExcelUtil.getHSSFWorkbook(sheetName, title, values, width, (HSSFWorkbook)null);
    }
}
