//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by FernFlower decompiler)
//

package com.tiptimes.ctrl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.tiptimes.model.LoginRemind;
import com.tiptimes.model.Notice;
import com.tiptimes.model.NoticeSend;
import com.tiptimes.service.ActionLogService;
import com.tiptimes.service.FileService;
import com.tiptimes.service.LoginRemindService;
import com.tiptimes.service.NoticeService;
import com.tiptimes.service.UserService;
import com.tiptimes.util.DATEUtil;
import com.tiptimes.util.UUIDUtils;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.json.JSONArray;
import org.json.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpEntity;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping({"/Notice"})
public class NoticeCtrl {
    @Autowired
    private NoticeService noticeService;
    @Autowired
    private UserService userService;
    @Autowired
    private ActionLogService actionLoginServer;
    @Autowired
    private FileService fileServer;
    @Autowired
    private LoginRemindService loginRemindService;

    public NoticeCtrl() {
    }

    @RequestMapping({"/getAllNotice"})
    @ResponseBody
    public Map<String, Object> getAllNotice(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data, Notice notice) {
        Map<String, Object> map = new HashMap();
        PageHelper.startPage(notice.getStart() / notice.getLength() + 1, notice.getLength());
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1 && authorityID != 2 && authorityID != 0) {
            map.put("list", new ArrayList());
            return map;
        } else {
            String userID = request.getSession().getAttribute("userID").toString();
            String realID = request.getSession().getAttribute("realID").toString();
            notice.setId(realID);
            List<Notice> notice_list = null;
            if (authorityID == 2) {
                notice_list = this.noticeService.listNoticeAll(notice);
            } else {
                notice_list = this.noticeService.listNoticePage(notice);
            }

            List<Object> object_temp = new ArrayList();
            if (notice_list != null) {
                Iterator var11 = notice_list.iterator();

                while(var11.hasNext()) {
                    Notice notice_list_i = (Notice)var11.next();
                    String html_table = "";
                    html_table = html_table + "<span style=\"margin-right: 10px;\" class=\"getAllNotice_table\" onclick=\"course_DIV_Show('" + notice_list_i.getId() + "')\">查看</span>";
                    if (authorityID != 0) {
                        html_table = html_table + "<span style=\"margin-right: 10px;\" class=\"getAllNotice_table\" onclick=\"getAllNotice_send('" + notice_list_i.getId() + "')\">转发</span>";
                    }

                    Map<String, Object> map_temp_i = new HashMap();
                    map_temp_i.put("title", notice_list_i.getTitle());
                    map_temp_i.put("time", notice_list_i.getTime());
                    map_temp_i.put("editable", html_table);
                    object_temp.add(map_temp_i);
                }

                PageInfo<Notice> p = new PageInfo(notice_list);
                map.put("aaData", object_temp);
                map.put("recordsFiltered", p.getList().size());
                map.put("iTotalRecords", p.getTotal());
                map.put("iTotalDisplayRecords", p.getTotal());
                return map;
            } else {
                new PageInfo(notice_list);
                map.put("aaData", object_temp);
                map.put("recordsFiltered", 0);
                map.put("iTotalRecords", 0);
                map.put("iTotalDisplayRecords", 0);
                return map;
            }
        }
    }

    @RequestMapping({"/sendNotice"})
    @ResponseBody
    public Map<String, Object> sendNotice(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        String userID = request.getSession().getAttribute("userID").toString();
        String userName = request.getSession().getAttribute("userName").toString();
        String spaceMessageID = request.getSession().getAttribute("realID").toString();
        if (authorityID != 1 && authorityID != 2) {
            map.put("list", new ArrayList());
            return map;
        } else {
            String strData = (String)data.getBody();
            JSONObject jObject = new JSONObject(strData);
            String noticeID = jObject.getString("noticeID");
            JSONArray sendid_arr = jObject.getJSONArray("sendid");
            List<NoticeSend> noticeSend_list = new ArrayList();

            for(int i = 0; i < sendid_arr.length(); ++i) {
                String uuid = UUIDUtils.getUUID();
                NoticeSend noticeSend = new NoticeSend();
                noticeSend.setAddresseeUserId(sendid_arr.get(i) + "");
                noticeSend.setId(uuid);
                noticeSend.setNoticeID(noticeID);
                noticeSend.setSendUserID(userID);
                noticeSend_list.add(noticeSend);
                LoginRemind loginRemind = new LoginRemind();
                loginRemind.setAddresseeUserId(sendid_arr.get(i) + "");
                loginRemind.setContent("您有一份公告");
                loginRemind.setCorrelationID(uuid);
                loginRemind.setSendTime(DATEUtil.getNewDateYMDHNS());
                loginRemind.setState(0);
                loginRemind.setId(UUIDUtils.getUUID());

                try {
                    this.loginRemindService.saveLoginRemind(loginRemind);
                } catch (Exception var20) {
                    System.err.println(var20);
                }
            }

            try {
                this.noticeService.saveNoticeSend(noticeSend_list);
                this.actionLoginServer.saveActionLog(userID, userName, "转发公示公告，结果：转发成功", noticeID);
                map.put("result", true);
                map.put("msg", "转发成功！");
            } catch (Exception var19) {
                this.actionLoginServer.saveActionLog(userID, userName, "转发公示公告，结果：转发失败", noticeID);
                map.put("result", true);
                map.put("msg", "转发失败！");
            }

            return map;
        }
    }

    @RequestMapping({"/getOneNotice"})
    @ResponseBody
    public Map<String, Object> getOneNotice(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        Map<String, Object> map = new HashMap();
        String strData = (String)data.getBody();
        JSONObject jObject = new JSONObject(strData);
        String noticeID = jObject.getString("noticeID");
        Notice notice = this.noticeService.listNoticeByID(noticeID);
        map.put("notice", notice);
        return map;
    }

    @RequestMapping({"/saveOneNotice"})
    @ResponseBody
    public Map<String, Object> saveOneNotice(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        String userID = request.getSession().getAttribute("userID").toString();
        String userName = request.getSession().getAttribute("userName").toString();
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 2) {
            map.put("result", false);
            map.put("msg", "无权限！");
            this.actionLoginServer.saveActionLog(userID, userName, "保存公示公告，结果：无权限", "");
            return map;
        } else {
            String strData = (String)data.getBody();
            JSONObject jObject = new JSONObject(strData);

            try {
                String time = jObject.getString("time");
                String title = jObject.getString("title");
                String id = jObject.getString("id");
                String content = jObject.getString("content");
                String fileID = jObject.getString("fileID");
                String fileName = jObject.getString("fileName");
                String showID = "0001";
                if (title.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "公告标题过长");
                    return map;
                }

                if ("".equals(title.trim())) {
                    map.put("result", false);
                    map.put("msg", "公告标题不能为空");
                    return map;
                }

                if (time.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "公告时间过长");
                    return map;
                }

                if ("".equals(time.trim())) {
                    map.put("result", false);
                    map.put("msg", "公告时间不能为空");
                    return map;
                }

                if (content.length() > 1000) {
                    map.put("result", false);
                    map.put("msg", "公告内容过长");
                    return map;
                }

                if ("".equals(content.trim())) {
                    map.put("result", false);
                    map.put("msg", "公告内容不能为空");
                    return map;
                }

                fileName = this.fileServer.updateFile(fileID, "公示公告" + title + "附件文件");
                Notice notice = new Notice();
                notice.setContent(content);
                notice.setFileID(fileID);
                notice.setShowID(showID);
                notice.setTime(time);
                notice.setTitle(title);
                notice.setFileName(fileName);
                if ("0".equals(id)) {
                    id = UUIDUtils.getUUID();
                    notice.setId(id);
                    this.noticeService.saveNotice(notice);
                } else {
                    notice.setId(id);
                    this.noticeService.updateNotice(notice);
                }

                this.actionLoginServer.saveActionLog(userID, userName, "保存公示公告，结果：保存成功", id);
                map.put("result", true);
                map.put("msg", "保存成功！");
            } catch (Exception var18) {
                map.put("result", false);
                map.put("msg", "保存失败！");
                this.actionLoginServer.saveActionLog(userID, userName, "保存公示公告，结果：保存失败", "");
            }

            return map;
        }
    }
}
