//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by FernFlower decompiler)
//

package com.tiptimes.ctrl;

import com.tiptimes.model.LoginRemind;
import com.tiptimes.model.SitesInformation;
import com.tiptimes.model.SpaceMessage;
import com.tiptimes.model.TeamMessage;
import com.tiptimes.service.IntegralService;
import com.tiptimes.service.LoginRemindService;
import com.tiptimes.service.ProjectService;
import com.tiptimes.service.SitesInformationService;
import com.tiptimes.service.SpaceMessageService;
import com.tiptimes.service.TeamMessageService;
import com.tiptimes.util.DATEUtil;
import com.tiptimes.util.UUIDUtils;
import java.io.IOException;
import java.io.InputStream;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.GregorianCalendar;
import java.util.Iterator;
import java.util.List;
import java.util.Properties;
import javax.servlet.http.HttpServletRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@EnableScheduling
@RequestMapping({"/scheduledCtrl"})
public class ScheduledCtrl {
    @Autowired
    private ProjectService projectServer;
    @Autowired
    private SpaceMessageService spaceMessageService;
    @Autowired
    private TeamMessageService teamMessageService;
    @Autowired
    private LoginRemindService loginRemindService;
    @Autowired
    private IntegralService integralService;
    @Autowired
    private SitesInformationService sitesInformationService;

    public ScheduledCtrl() {
    }

    @Scheduled(
            cron = "0 0 */2 * * ?"
    )
    public void removeTemp() throws IOException {
        Properties props = new Properties();
        InputStream inputStream = this.getClass().getClassLoader().getResourceAsStream("file.properties");
        props.load(inputStream);
        String masterServer = props.getProperty("MasterServer");
        inputStream.close();
        if ("1".equals(masterServer)) {
            Date date = new Date();
            Calendar calendar = new GregorianCalendar();
            calendar.setTime(date);
            calendar.add(5, -1);
            date = calendar.getTime();
            SimpleDateFormat formatter = new SimpleDateFormat("yyyy-MM-dd");
            String dateString = formatter.format(date);
            System.out.println("开始删除缓存，日期为：" + dateString);
            this.projectServer.removeProjectTemp(dateString + "%");
            this.spaceMessageService.removeSpaceMessageTempByDate(dateString + "%");
            this.teamMessageService.removeTeamTempMessageByDate(dateString + "%");
        }

    }

    @Scheduled(
            cron = "0 0 2 * * ?"
    )
    public void saveLoginRemindteam21() throws ParseException, IOException {
        Properties props = new Properties();
        InputStream inputStream = this.getClass().getClassLoader().getResourceAsStream("file.properties");
        props.load(inputStream);
        String masterServer = props.getProperty("MasterServer");
        inputStream.close();
        if ("1".equals(masterServer)) {
            Date date = new Date();
            Calendar calendar = new GregorianCalendar();
            calendar.setTime(date);
            calendar.add(5, -21);
            date = calendar.getTime();
            SimpleDateFormat formatter = new SimpleDateFormat("yyyy-MM-dd");
            String dateString = formatter.format(date);
            System.out.println("开始查询团队21天未登录，日期为：" + dateString);
            List<TeamMessage> teamMessage_list = this.teamMessageService.getTeamInformationByLoginTime(dateString);
            if (teamMessage_list != null) {
                Iterator var9 = teamMessage_list.iterator();

                while(var9.hasNext()) {
                    TeamMessage teamMessage_list_i = (TeamMessage)var9.next();
                    if (teamMessage_list_i.getLoginTime() != null && !"".equals(teamMessage_list_i.getLoginTime())) {
                        int dateNumber = DATEUtil.getDays(teamMessage_list_i.getLoginTime(), DATEUtil.getNewDateYMD());
                        LoginRemind loginRemind;
                        if (dateNumber <= 30) {
                            loginRemind = new LoginRemind();
                            loginRemind.setAddresseeUserId(teamMessage_list_i.getSpaceMessageID());
                            loginRemind.setContent("团队：" + teamMessage_list_i.getTeamName() + "，" + dateNumber + "天未登录本系统");
                            loginRemind.setCorrelationID(teamMessage_list_i.getTeamMessageID());
                            loginRemind.setSendTime(DATEUtil.getNewDateYMDHNS());
                            loginRemind.setState(0);
                            loginRemind.setId(UUIDUtils.getUUID());

                            try {
                                this.loginRemindService.saveLoginRemind(loginRemind);
                            } catch (Exception var15) {
                                System.err.println(var15);
                            }
                        } else {
                            loginRemind = new LoginRemind();
                            loginRemind.setAddresseeUserId(teamMessage_list_i.getSpaceMessageID());
                            loginRemind.setContent("团队：" + teamMessage_list_i.getTeamName() + "，" + dateNumber + "天未登录本系统,已设置为历史团队");
                            loginRemind.setCorrelationID(teamMessage_list_i.getTeamMessageID());
                            loginRemind.setSendTime(DATEUtil.getNewDateYMDHNS());
                            loginRemind.setState(0);
                            loginRemind.setId(UUIDUtils.getUUID());

                            try {
                                this.loginRemindService.saveLoginRemind(loginRemind);
                                if (teamMessage_list_i.getState() == 0) {
                                    this.teamMessageService.updateTeamMessageState(teamMessage_list_i.getTeamMessageID(), 1);
                                }
                            } catch (Exception var14) {
                            }
                        }
                    }
                }
            }
        }

    }

    @Scheduled(
            cron = "0 0 2 * * ?"
    )
    public void saveLoginRemindspace7() throws ParseException, IOException {
        Properties props = new Properties();
        InputStream inputStream = this.getClass().getClassLoader().getResourceAsStream("file.properties");
        props.load(inputStream);
        String masterServer = props.getProperty("MasterServer");
        inputStream.close();
        if ("1".equals(masterServer)) {
            Date date = new Date();
            Calendar calendar = new GregorianCalendar();
            calendar.setTime(date);
            calendar.add(5, -7);
            date = calendar.getTime();
            SimpleDateFormat formatter = new SimpleDateFormat("yyyy-MM-dd");
            String dateString = formatter.format(date);
            System.out.println("开始查询团队7天未登录，日期为：" + dateString);
            List<SpaceMessage> spaceMessage_list = this.spaceMessageService.getSpaceMessageByLoginTime(dateString);
            if (spaceMessage_list != null) {
                Iterator var9 = spaceMessage_list.iterator();

                while(var9.hasNext()) {
                    SpaceMessage spaceMessage_list_i = (SpaceMessage)var9.next();
                    int dateNumber = DATEUtil.getDays(spaceMessage_list_i.getLoginTime(), DATEUtil.getNewDateYMD());
                    LoginRemind loginRemind = new LoginRemind();
                    loginRemind.setAddresseeUserId("0");
                    loginRemind.setContent("空间" + spaceMessage_list_i.getSpaceName() + "，" + dateNumber + "天未登录本系统");
                    loginRemind.setCorrelationID("0");
                    loginRemind.setSendTime(DATEUtil.getNewDateYMDHNS());
                    loginRemind.setState(0);
                    loginRemind.setId(UUIDUtils.getUUID());

                    try {
                        this.loginRemindService.saveLoginRemind(loginRemind);
                    } catch (Exception var14) {
                    }
                }
            }
        }

    }

    @Scheduled(
            cron = "0 0 1 * * ?"
    )
    @RequestMapping({"/updateIntegralCurrentMonth"})
    @ResponseBody
    public void updateIntegral() throws IOException {
        Properties props = new Properties();
        InputStream inputStream = this.getClass().getClassLoader().getResourceAsStream("file.properties");
        props.load(inputStream);
        String masterServer = props.getProperty("MasterServer");
        inputStream.close();
        if ("1".equals(masterServer)) {
            try {
                this.integralService.updateIntegral();
            } catch (Exception var5) {
            }
        }

    }

    @RequestMapping({"/updateIntegralByUserTime"})
    @ResponseBody
    public String updateIntegralByUserTime(HttpServletRequest request, String time) throws IOException {
        try {
            return this.integralService.updateIntegralByUserTime(time);
        } catch (Exception var4) {
            return "fail";
        }
    }

    @Scheduled(
            cron = "0 0 3 * * ?"
    )
    public void saveLoginRemindteam3() throws ParseException, IOException {
        Properties props = new Properties();
        InputStream inputStream = this.getClass().getClassLoader().getResourceAsStream("file.properties");
        props.load(inputStream);
        String masterServer = props.getProperty("MasterServer");
        inputStream.close();
        if ("1".equals(masterServer)) {
            Date date = new Date();
            Calendar calendar = new GregorianCalendar();
            calendar.setTime(date);
            calendar.add(5, 2);
            date = calendar.getTime();
            SimpleDateFormat formatter = new SimpleDateFormat("yyyy-MM-dd");
            String dateString = formatter.format(date);
            List<SitesInformation> sitesInformation_list = this.sitesInformationService.listSitesInformationByWorkStopTime(dateString);
            if (sitesInformation_list != null) {
                Iterator var9 = sitesInformation_list.iterator();

                while(var9.hasNext()) {
                    SitesInformation sitesInformation_list_i = (SitesInformation)var9.next();
                    LoginRemind loginRemind = new LoginRemind();
                    loginRemind.setAddresseeUserId(sitesInformation_list_i.getAddresseeUserId());
                    loginRemind.setContent("您有一个工作计划:" + sitesInformation_list_i.getTitle() + ",即将到期");
                    loginRemind.setCorrelationID(sitesInformation_list_i.getId());
                    loginRemind.setSendTime(DATEUtil.getNewDateYMDHNS());
                    loginRemind.setState(0);
                    loginRemind.setId(UUIDUtils.getUUID());

                    try {
                        this.loginRemindService.saveLoginRemind(loginRemind);
                    } catch (Exception var13) {
                    }
                }
            }
        }

    }
}
