//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by FernFlower decompiler)
//

package com.tiptimes.ctrl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.tiptimes.model.SpaceEducationBearPalm;
import com.tiptimes.model.SpaceEducationCourse;
import com.tiptimes.model.SpaceEducationPublicity;
import com.tiptimes.model.SpaceEducationReform;
import com.tiptimes.service.ActionLogService;
import com.tiptimes.service.FileService;
import com.tiptimes.service.SpaceEducationService;
import com.tiptimes.util.ExcelUtil;
import com.tiptimes.util.NumberUtil;
import com.tiptimes.util.UUIDUtils;
import java.io.OutputStream;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.json.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpEntity;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping({"/SpaceEducation"})
public class SpaceEducationCtrl {
    @Autowired
    private SpaceEducationService spaceEducationServer;
    @Autowired
    private ActionLogService actionLoginServer;
    @Autowired
    private FileService fileServer;

    public SpaceEducationCtrl() {
    }

    @RequestMapping({"/getAllSpaceEducationCourse"})
    @ResponseBody
    public Map<String, Object> getAllSpaceEducationCourse(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data, SpaceEducationCourse educationCourse) {
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1) {
            map.put("list", new ArrayList());
            return map;
        } else {
            String spaceMessageID = request.getSession().getAttribute("realID").toString();
            PageHelper.startPage(educationCourse.getStart() / educationCourse.getLength() + 1, educationCourse.getLength());
            List<SpaceEducationCourse> spaceEducationCourse = this.spaceEducationServer.listSpaceEducationCourseBySpaceMessageIDAndOthers(spaceMessageID, educationCourse);
            List<Object> object_temp = new ArrayList();
            if (spaceEducationCourse == null) {
                new PageInfo(spaceEducationCourse);
                map.put("aaData", object_temp);
                map.put("recordsFiltered", 0);
                map.put("iTotalRecords", 0);
                map.put("iTotalDisplayRecords", 0);
                return map;
            } else {
                int i = 1;

                for(Iterator var11 = spaceEducationCourse.iterator(); var11.hasNext(); ++i) {
                    SpaceEducationCourse spaceEducationCourse_i = (SpaceEducationCourse)var11.next();
                    String html_table = "";
                    html_table = html_table + "<span style=\"margin-right: 10px;\" class=\"getAllSpaceEducationCourse_table\" onclick=\"course_DIV_Show('" + spaceEducationCourse_i.getEducationCourseID() + "')\">编辑</span>";
                    html_table = html_table + "<span style=\"margin-right: 10px;\" class=\"getAllSpaceEducationCourse_table\" onclick=\"course_DIV_remove('" + spaceEducationCourse_i.getEducationCourseID() + "')\">删除</span>";
                    Map<String, Object> map_temp_i = new HashMap();
                    map_temp_i.put("showID", i);
                    map_temp_i.put("courseName", spaceEducationCourse_i.getCourseName());
                    map_temp_i.put("courseScope", spaceEducationCourse_i.getCourseScope());
                    map_temp_i.put("courseProperties", spaceEducationCourse_i.getCourseProperties());
                    map_temp_i.put("courseNumber", spaceEducationCourse_i.getCourseNumber());
                    map_temp_i.put("courseTeacher", spaceEducationCourse_i.getCourseTeacher());
                    map_temp_i.put("courseObject", spaceEducationCourse_i.getCourseObject());
                    map_temp_i.put("coursePeopleNumber", spaceEducationCourse_i.getCoursePeopleNumber());
                    String wj = "<span style=\"margin-right: 10px;\" class=\"getAllSpaceEducationCourse_table\" onclick=\"getSpaceEducationCourse_file('" + spaceEducationCourse_i.getCourseFileID() + "')\">" + spaceEducationCourse_i.getCourseFileName() + "</span>";
                    map_temp_i.put("courseFileName", wj);
                    map_temp_i.put("editable", html_table);
                    object_temp.add(map_temp_i);
                }

                PageInfo<SpaceEducationCourse> p = new PageInfo(spaceEducationCourse);
                map.put("aaData", object_temp);
                map.put("recordsFiltered", p.getList().size());
                map.put("iTotalRecords", p.getTotal());
                map.put("iTotalDisplayRecords", p.getTotal());
                return map;
            }
        }
    }

    @RequestMapping({"/saveSpaceEducationCourse"})
    @ResponseBody
    public Map<String, Object> saveSpaceEducationCourse(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        String userID = request.getSession().getAttribute("userID").toString();
        String userName = request.getSession().getAttribute("userName").toString();
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1) {
            map.put("result", false);
            map.put("msg", "无权限！");
            this.actionLoginServer.saveActionLog(userID, userName, "空间保存创新创业课程，结果：无权限", "");
            return map;
        } else {
            String spaceMessageID = request.getSession().getAttribute("realID").toString();
            String strData = (String)data.getBody();
            JSONObject jObject = new JSONObject(strData);

            try {
                String educationCourseID = jObject.getString("educationCourseID");
                String courseName = jObject.getString("courseName");
                String courseScope = jObject.getString("courseScope");
                String courseProperties = jObject.getString("courseProperties");
                String courseNumber = jObject.getString("courseNumber");
                String courseTeacher = jObject.getString("courseTeacher");
                String courseObject = jObject.getString("courseObject");
                String coursePeopleNumber = jObject.getString("coursePeopleNumber");
                String courseFileID = jObject.getString("courseFileID");
                String courseFileName = jObject.getString("courseFileName");
                if (courseName.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "课程名称过长");
                    return map;
                }

                if ("".equals(courseName.trim())) {
                    map.put("result", false);
                    map.put("msg", "课程名称不能为空");
                    return map;
                }

                if (courseProperties.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "课程性质过长");
                    return map;
                }

                if ("".equals(courseProperties.trim())) {
                    map.put("result", false);
                    map.put("msg", "课程性质不能为空");
                    return map;
                }

                if (courseNumber.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "课时过长");
                    return map;
                }

                if ("".equals(courseNumber.trim())) {
                    map.put("result", false);
                    map.put("msg", "课时不能为空");
                    return map;
                }

                if (!NumberUtil.isNumber2(courseNumber) || Integer.parseInt(courseNumber) <= 0) {
                    map.put("result", false);
                    map.put("msg", "课时只能填写正确数字");
                    return map;
                }

                if (courseTeacher.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "任课教师过长");
                    return map;
                }

                if ("".equals(courseTeacher.trim())) {
                    map.put("result", false);
                    map.put("msg", "任课教师不能为空");
                    return map;
                }

                if (courseObject.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "授课对象过长");
                    return map;
                }

                if ("".equals(courseObject.trim())) {
                    map.put("result", false);
                    map.put("msg", "授课对象不能为空");
                    return map;
                }

                if (coursePeopleNumber.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "选课人数过长");
                    return map;
                }

                if ("".equals(coursePeopleNumber.trim())) {
                    map.put("result", false);
                    map.put("msg", "选课人数不能为空");
                    return map;
                }

                if (!NumberUtil.isNumber(coursePeopleNumber)) {
                    map.put("result", false);
                    map.put("msg", "选课人数只能填写正确数字");
                    return map;
                }

                courseFileName = this.fileServer.updateFile(courseFileID, userName + "空间创新创业课程" + courseObject + "教师课程资料文件");
                SpaceEducationCourse spaceEducationCourse = new SpaceEducationCourse();
                spaceEducationCourse.setCourseFileID(courseFileID);
                spaceEducationCourse.setCourseFileName(courseFileName);
                spaceEducationCourse.setCourseNumber(courseNumber);
                spaceEducationCourse.setCourseObject(courseObject);
                spaceEducationCourse.setCoursePeopleNumber(coursePeopleNumber);
                spaceEducationCourse.setCourseScope(courseScope);
                spaceEducationCourse.setCourseName(courseName);
                spaceEducationCourse.setCourseProperties(courseProperties);
                spaceEducationCourse.setCourseTeacher(courseTeacher);
                spaceEducationCourse.setSpaceMessageID(spaceMessageID);
                if ("0".equals(educationCourseID)) {
                    educationCourseID = UUIDUtils.getUUID();
                    spaceEducationCourse.setEducationCourseID(educationCourseID);
                    this.spaceEducationServer.saveSpaceEducationCourse(spaceEducationCourse);
                } else {
                    spaceEducationCourse.setEducationCourseID(educationCourseID);
                    this.spaceEducationServer.updateSpaceEducationCourse(spaceEducationCourse);
                }

                this.actionLoginServer.saveActionLog(userID, userName, "空间保存创新创业课程，结果：保存成功", educationCourseID);
                map.put("result", true);
                map.put("msg", "保存成功！");
            } catch (Exception var22) {
                map.put("result", false);
                map.put("msg", "保存失败！");
                this.actionLoginServer.saveActionLog(userID, userName, "空间保存创新创业课程，结果：保存失败", "");
            }

            return map;
        }
    }

    @RequestMapping({"/getSpaceEducationCourse"})
    @ResponseBody
    public Map<String, Object> getSpaceEducationCourse(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        Map<String, Object> map = new HashMap();
        String strData = (String)data.getBody();
        JSONObject jObject = new JSONObject(strData);
        String educationCourseID = jObject.getString("educationCourseID");
        SpaceEducationCourse spaceEducationCourse = this.spaceEducationServer.listSpaceEducationCourseByEducationCourseID(educationCourseID);
        map.put("spaceEducationCourse", spaceEducationCourse);
        return map;
    }

    @RequestMapping({"/removeSpaceEducationCourse"})
    @ResponseBody
    public Map<String, Object> removeSpaceEducationCourse(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        String userID = request.getSession().getAttribute("userID").toString();
        String userName = request.getSession().getAttribute("userName").toString();
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1) {
            map.put("result", false);
            map.put("msg", "无权限！");
            this.actionLoginServer.saveActionLog(userID, userName, "空间删除创新创业课程，结果：无权限", "");
            return map;
        } else {
            String strData = (String)data.getBody();
            JSONObject jObject = new JSONObject(strData);
            String educationCourseID = jObject.getString("educationCourseID");

            try {
                this.spaceEducationServer.removeSpaceEducationCourseByEducationCourseID(educationCourseID);
                this.actionLoginServer.saveActionLog(userID, userName, "空间删除创新创业课程，结果：删除成功", educationCourseID);
                map.put("result", true);
                map.put("msg", "删除成功！");
            } catch (Exception var12) {
                map.put("result", false);
                map.put("msg", "删除失败！");
                this.actionLoginServer.saveActionLog(userID, userName, "空间删除创新创业课程，结果：删除成功", "");
            }

            return map;
        }
    }

    @RequestMapping({"/deriveSpaceEducationCourse"})
    @ResponseBody
    public void deriveSpaceEducationCourse(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1) {
            map.put("list", new ArrayList());
        } else {
            String spaceMessageID = request.getSession().getAttribute("realID").toString();
            List<SpaceEducationCourse> spaceEducationCourse = this.spaceEducationServer.listSpaceEducationCourseBySpaceMessageID(spaceMessageID);
            String http_url = request.getRequestURL().toString();
            http_url = http_url.replace("/SpaceEducation/deriveSpaceEducationCourse", "");
            if (spaceEducationCourse != null) {
                HSSFWorkbook wb = this.SpaceEducationCourseExcel(spaceEducationCourse, http_url);
                String fileName = "创新创业教育课程.xls";

                try {
                    ExcelUtil.setResponseHeader(response, fileName);
                    OutputStream os = response.getOutputStream();
                    wb.write(os);
                    os.flush();
                    os.close();
                } catch (Exception var12) {
                    var12.printStackTrace();
                }
            }

        }
    }

    @RequestMapping({"/getAllSpaceEducationPublicity"})
    @ResponseBody
    public Map<String, Object> getAllSpaceEducationPublicity(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data, SpaceEducationPublicity spaceEducationPublicity) {
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1) {
            map.put("list", new ArrayList());
            return map;
        } else {
            String spaceMessageID = request.getSession().getAttribute("realID").toString();
            PageHelper.startPage(spaceEducationPublicity.getStart() / spaceEducationPublicity.getLength() + 1, spaceEducationPublicity.getLength());
            List<SpaceEducationPublicity> spaceEducationPublicity_list = this.spaceEducationServer.listSpaceEducationPublicityBySpaceMessageIDAndOthers(spaceMessageID, spaceEducationPublicity);
            List<Object> object_temp = new ArrayList();
            if (spaceEducationPublicity_list == null) {
                new PageInfo(spaceEducationPublicity_list);
                map.put("aaData", object_temp);
                map.put("recordsFiltered", 0);
                map.put("iTotalRecords", 0);
                map.put("iTotalDisplayRecords", 0);
                return map;
            } else {
                int i = 1;

                for(Iterator var11 = spaceEducationPublicity_list.iterator(); var11.hasNext(); ++i) {
                    SpaceEducationPublicity spaceEducationPublicity_list_i = (SpaceEducationPublicity)var11.next();
                    String html_table = "";
                    html_table = html_table + "<span style=\"margin-right: 10px;\" class=\"getAllSpaceEducationpublicity_table\" onclick=\"publicity_DIV_Show('" + spaceEducationPublicity_list_i.getPublicityID() + "')\">编辑</span>";
                    html_table = html_table + "<span style=\"margin-right: 10px;\" class=\"getAllSpaceEducationpublicity_table\" onclick=\"publicity_DIV_remove('" + spaceEducationPublicity_list_i.getPublicityID() + "')\">删除</span>";
                    Map<String, Object> map_temp_i = new HashMap();
                    map_temp_i.put("showID", i);
                    map_temp_i.put("publicityType", spaceEducationPublicity_list_i.getPublicityType());
                    map_temp_i.put("publicityName", spaceEducationPublicity_list_i.getPublicityName());
                    map_temp_i.put("publicityTime", spaceEducationPublicity_list_i.getPublicityTime());
                    map_temp_i.put("publicityUrl", spaceEducationPublicity_list_i.getPublicityUrl());
                    map_temp_i.put("editable", html_table);
                    object_temp.add(map_temp_i);
                }

                PageInfo<SpaceEducationPublicity> p = new PageInfo(spaceEducationPublicity_list);
                map.put("aaData", object_temp);
                map.put("recordsFiltered", p.getList().size());
                map.put("iTotalRecords", p.getTotal());
                map.put("iTotalDisplayRecords", p.getTotal());
                return map;
            }
        }
    }

    @RequestMapping({"/saveSpaceEducationPublicity"})
    @ResponseBody
    public Map<String, Object> saveSpaceEducationPublicity(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        String userID = request.getSession().getAttribute("userID").toString();
        String userName = request.getSession().getAttribute("userName").toString();
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1) {
            map.put("result", false);
            map.put("msg", "无权限！");
            this.actionLoginServer.saveActionLog(userID, userName, "空间保存创新创业宣传平台，结果：无权限", "");
            return map;
        } else {
            String spaceMessageID = request.getSession().getAttribute("realID").toString();
            String strData = (String)data.getBody();
            JSONObject jObject = new JSONObject(strData);

            try {
                String publicityID = jObject.getString("publicityID");
                String publicityType = jObject.getString("publicityType");
                String publicityName = jObject.getString("publicityName");
                String publicityTime = jObject.getString("publicityTime");
                String publicityUrl = jObject.getString("publicityUrl");
                if (publicityType.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "平台类型过长");
                    return map;
                }

                if ("".equals(publicityType.trim())) {
                    map.put("result", false);
                    map.put("msg", "平台类型不能为空");
                    return map;
                }

                if (publicityName.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "平台名称过长");
                    return map;
                }

                if ("".equals(publicityName.trim())) {
                    map.put("result", false);
                    map.put("msg", "平台名称不能为空");
                    return map;
                }

                if (publicityTime.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "成立时间过长");
                    return map;
                }

                if ("".equals(publicityTime.trim())) {
                    map.put("result", false);
                    map.put("msg", "成立时间不能为空");
                    return map;
                }

                if (publicityUrl.length() > 200) {
                    map.put("result", false);
                    map.put("msg", "访问链接过长");
                    return map;
                }

                if ("".equals(publicityUrl.trim())) {
                    map.put("result", false);
                    map.put("msg", "访问链接不能为空");
                    return map;
                }

                SpaceEducationPublicity spaceEducationPublicity = new SpaceEducationPublicity();
                spaceEducationPublicity.setPublicityUrl(publicityUrl);
                spaceEducationPublicity.setPublicityName(publicityName);
                spaceEducationPublicity.setPublicityTime(publicityTime);
                spaceEducationPublicity.setPublicityType(publicityType);
                spaceEducationPublicity.setSpaceMessageID(spaceMessageID);
                if ("0".equals(publicityID)) {
                    publicityID = UUIDUtils.getUUID();
                    spaceEducationPublicity.setPublicityID(publicityID);
                    this.spaceEducationServer.saveSpaceEducationPublicity(spaceEducationPublicity);
                } else {
                    spaceEducationPublicity.setPublicityID(publicityID);
                    this.spaceEducationServer.updateSpaceEducationPublicity(spaceEducationPublicity);
                }

                this.actionLoginServer.saveActionLog(userID, userName, "空间保存创新创业宣传平台，结果：保存成功", publicityID);
                map.put("result", true);
                map.put("msg", "保存成功！");
            } catch (Exception var17) {
                map.put("result", false);
                map.put("msg", "保存失败！");
                this.actionLoginServer.saveActionLog(userID, userName, "空间保存创新创业宣传平台，结果：保存失败", "");
            }

            return map;
        }
    }

    @RequestMapping({"/getSpaceEducationPublicity"})
    @ResponseBody
    public Map<String, Object> getSpaceEducationPublicity(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        Map<String, Object> map = new HashMap();
        String strData = (String)data.getBody();
        JSONObject jObject = new JSONObject(strData);
        String publicityID = jObject.getString("publicityID");
        SpaceEducationPublicity spaceEducationPublicity = this.spaceEducationServer.listSpaceEducationPublicityByPublicityID(publicityID);
        map.put("spaceEducationPublicity", spaceEducationPublicity);
        return map;
    }

    @RequestMapping({"/removeSpaceEducationPublicity"})
    @ResponseBody
    public Map<String, Object> removeSpaceEducationPublicity(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        String userID = request.getSession().getAttribute("userID").toString();
        String userName = request.getSession().getAttribute("userName").toString();
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1) {
            map.put("result", false);
            map.put("msg", "无权限！");
            this.actionLoginServer.saveActionLog(userID, userName, "空间删除创新创业宣传平台，结果：无权限", "");
            return map;
        } else {
            String strData = (String)data.getBody();
            JSONObject jObject = new JSONObject(strData);
            String publicityID = jObject.getString("publicityID");

            try {
                this.spaceEducationServer.removeSpaceEducationPublicityByPublicityID(publicityID);
                this.actionLoginServer.saveActionLog(userID, userName, "空间删除创新创业宣传平台，结果：删除成功", publicityID);
                map.put("result", true);
                map.put("msg", "删除成功！");
            } catch (Exception var12) {
                map.put("result", false);
                map.put("msg", "删除失败！");
                this.actionLoginServer.saveActionLog(userID, userName, "空间删除创新创业宣传平台，结果：删除成功", "");
            }

            return map;
        }
    }

    @RequestMapping({"/deriveSpaceEducationPublicity"})
    @ResponseBody
    public void deriveSpaceEducationPublicity(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1) {
            map.put("list", new ArrayList());
        } else {
            String spaceMessageID = request.getSession().getAttribute("realID").toString();
            List<SpaceEducationPublicity> spaceEducationPublicity_list = this.spaceEducationServer.listSpaceEducationPublicityBySpaceMessageID(spaceMessageID);
            if (spaceEducationPublicity_list != null) {
                HSSFWorkbook wb = this.SpaceEducationPublicityExcel(spaceEducationPublicity_list);
                String fileName = "创新创业服务线上平台.xls";

                try {
                    ExcelUtil.setResponseHeader(response, fileName);
                    OutputStream os = response.getOutputStream();
                    wb.write(os);
                    os.flush();
                    os.close();
                } catch (Exception var11) {
                    var11.printStackTrace();
                }
            }

        }
    }

    @RequestMapping({"/getAllSpaceEducationReform"})
    @ResponseBody
    public Map<String, Object> getAllSpaceEducationReform(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data, SpaceEducationReform spaceEducationReform) {
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1) {
            map.put("list", new ArrayList());
            return map;
        } else {
            String spaceMessageID = request.getSession().getAttribute("realID").toString();
            PageHelper.startPage(spaceEducationReform.getStart() / spaceEducationReform.getLength() + 1, spaceEducationReform.getLength());
            List<SpaceEducationReform> spaceEducationReform_list = this.spaceEducationServer.listSpaceEducationReformBySpaceMessageIDAndOthers(spaceMessageID, spaceEducationReform);
            List<Object> object_temp = new ArrayList();
            if (spaceEducationReform_list == null) {
                new PageInfo(spaceEducationReform_list);
                map.put("aaData", object_temp);
                map.put("recordsFiltered", 0);
                map.put("iTotalRecords", 0);
                map.put("iTotalDisplayRecords", 0);
                return map;
            } else {
                int i = 1;

                for(Iterator var11 = spaceEducationReform_list.iterator(); var11.hasNext(); ++i) {
                    SpaceEducationReform spaceEducationReform_list_i = (SpaceEducationReform)var11.next();
                    String html_table = "";
                    html_table = html_table + "<span style=\"margin-right: 10px;\" class=\"getAllSpaceEducationReform_table\" onclick=\"reform_DIV_Show('" + spaceEducationReform_list_i.getReformFileID() + "')\">编辑</span>";
                    html_table = html_table + "<span style=\"margin-right: 10px;\" class=\"getAllSpaceEducationReform_table\" onclick=\"reform_DIV_remove('" + spaceEducationReform_list_i.getReformFileID() + "')\">删除</span>";
                    Map<String, Object> map_temp_i = new HashMap();
                    map_temp_i.put("reformFileNumber", spaceEducationReform_list_i.getReformFileNumber());
                    map_temp_i.put("reformFileName", spaceEducationReform_list_i.getReformFileName());
                    map_temp_i.put("reformFileTime", spaceEducationReform_list_i.getReformFileTime());
                    String wj = "<span style=\"margin-right: 10px;\" class=\"getAllSpaceEducationReform_table\" onclick=\"getSpaceEducationCourse_file('" + spaceEducationReform_list_i.getReformFileFileID() + "')\">" + spaceEducationReform_list_i.getReformFileFileName() + "</span>";
                    map_temp_i.put("reformFileFileName", wj);
                    map_temp_i.put("editable", html_table);
                    object_temp.add(map_temp_i);
                }

                PageInfo<SpaceEducationReform> p = new PageInfo(spaceEducationReform_list);
                map.put("aaData", object_temp);
                map.put("recordsFiltered", p.getList().size());
                map.put("iTotalRecords", p.getTotal());
                map.put("iTotalDisplayRecords", p.getTotal());
                return map;
            }
        }
    }

    @RequestMapping({"/saveSpaceEducationReform"})
    @ResponseBody
    public Map<String, Object> saveSpaceEducationReform(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        String userID = request.getSession().getAttribute("userID").toString();
        String userName = request.getSession().getAttribute("userName").toString();
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1) {
            map.put("result", false);
            map.put("msg", "无权限！");
            this.actionLoginServer.saveActionLog(userID, userName, "空间保存创新创业改革相关文件，结果：无权限", "");
            return map;
        } else {
            String spaceMessageID = request.getSession().getAttribute("realID").toString();
            String strData = (String)data.getBody();
            JSONObject jObject = new JSONObject(strData);

            try {
                String reformFileID = jObject.getString("reformFileID");
                String reformFileNumber = jObject.getString("reformFileNumber");
                String reformFileName = jObject.getString("reformFileName");
                String reformFileTime = jObject.getString("reformFileTime");
                String reformFileFileID = jObject.getString("reformFileFileID");
                String reformFileFileName = jObject.getString("reformFileFileName");
                if (reformFileName.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "文件名称过长");
                    return map;
                }

                if ("".equals(reformFileName.trim())) {
                    map.put("result", false);
                    map.put("msg", "文件名称不能为空");
                    return map;
                }

                if (reformFileNumber.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "文号过长");
                    return map;
                }

                if (reformFileTime.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "发布时间过长");
                    return map;
                }

                if ("".equals(reformFileTime.trim())) {
                    map.put("result", false);
                    map.put("msg", "发布时间不能为空");
                    return map;
                }

                reformFileFileName = this.fileServer.updateFile(reformFileFileID, userName + "空间创新创业改革" + reformFileNumber + "号文件");
                SpaceEducationReform spaceEducationReform = new SpaceEducationReform();
                spaceEducationReform.setReformFileFileID(reformFileFileID);
                spaceEducationReform.setReformFileFileName(reformFileFileName);
                spaceEducationReform.setReformFileName(reformFileName);
                spaceEducationReform.setReformFileNumber(reformFileNumber);
                spaceEducationReform.setReformFileTime(reformFileTime);
                spaceEducationReform.setSpaceMessageID(spaceMessageID);
                if ("0".equals(reformFileID)) {
                    reformFileID = UUIDUtils.getUUID();
                    spaceEducationReform.setReformFileID(reformFileID);
                    this.spaceEducationServer.saveSpaceEducationReform(spaceEducationReform);
                } else {
                    spaceEducationReform.setReformFileID(reformFileID);
                    this.spaceEducationServer.updateSpaceEducationReform(spaceEducationReform);
                }

                this.actionLoginServer.saveActionLog(userID, userName, "空间保存创新创业改革相关文件，结果：保存成功", reformFileID);
                map.put("result", true);
                map.put("msg", "保存成功！");
            } catch (Exception var18) {
                map.put("result", false);
                map.put("msg", "保存失败！");
                this.actionLoginServer.saveActionLog(userID, userName, "空间保存创新创业改革相关文件，结果：保存失败", "");
            }

            return map;
        }
    }

    @RequestMapping({"/getSpaceEducationReform"})
    @ResponseBody
    public Map<String, Object> getSpaceEducationReform(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        Map<String, Object> map = new HashMap();
        String strData = (String)data.getBody();
        JSONObject jObject = new JSONObject(strData);
        String reformFileID = jObject.getString("reformFileID");
        SpaceEducationReform spaceEducationReform = this.spaceEducationServer.listSpaceEducationReformByEducationReformID(reformFileID);
        map.put("spaceEducationReform", spaceEducationReform);
        return map;
    }

    @RequestMapping({"/removeSpaceEducationReform"})
    @ResponseBody
    public Map<String, Object> removeSpaceEducationReform(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        String userID = request.getSession().getAttribute("userID").toString();
        String userName = request.getSession().getAttribute("userName").toString();
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1) {
            map.put("result", false);
            map.put("msg", "无权限！");
            this.actionLoginServer.saveActionLog(userID, userName, "空间删除创新创业改革相关文件，结果：无权限", "");
            return map;
        } else {
            String strData = (String)data.getBody();
            JSONObject jObject = new JSONObject(strData);
            String reformFileID = jObject.getString("reformFileID");

            try {
                this.spaceEducationServer.removeSpaceEducationReformByEducationReformID(reformFileID);
                this.actionLoginServer.saveActionLog(userID, userName, "空间删除创新创业改革相关文件，结果：删除成功", reformFileID);
                map.put("result", true);
                map.put("msg", "删除成功！");
            } catch (Exception var12) {
                map.put("result", false);
                map.put("msg", "删除失败！");
                this.actionLoginServer.saveActionLog(userID, userName, "空间删除创新创业改革相关文件，结果：删除成功", "");
            }

            return map;
        }
    }

    @RequestMapping({"/deriveSpaceEducationReform"})
    @ResponseBody
    public void deriveSpaceEducationReform(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1) {
            map.put("list", new ArrayList());
        } else {
            String spaceMessageID = request.getSession().getAttribute("realID").toString();
            List<SpaceEducationReform> spaceEducationReform_list = this.spaceEducationServer.listSpaceEducationReformBySpaceMessageID(spaceMessageID);
            String http_url = request.getRequestURL().toString();
            http_url = http_url.replace("/SpaceEducation/deriveSpaceEducationReform", "");
            if (spaceEducationReform_list != null) {
                HSSFWorkbook wb = this.SpaceEducationReformExcel(spaceEducationReform_list, http_url);
                String fileName = "创新创业工作相关文件.xls";

                try {
                    ExcelUtil.setResponseHeader(response, fileName);
                    OutputStream os = response.getOutputStream();
                    wb.write(os);
                    os.flush();
                    os.close();
                } catch (Exception var12) {
                    var12.printStackTrace();
                }
            }

        }
    }

    @RequestMapping({"/getAllSpaceEducationBearPalm"})
    @ResponseBody
    public Map<String, Object> getAllSpaceEducationBearPalm(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data, SpaceEducationBearPalm spaceEducationBearPalm) {
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1) {
            map.put("list", new ArrayList());
            return map;
        } else {
            String spaceMessageID = request.getSession().getAttribute("realID").toString();
            PageHelper.startPage(spaceEducationBearPalm.getStart() / spaceEducationBearPalm.getLength() + 1, spaceEducationBearPalm.getLength());
            List<SpaceEducationBearPalm> spaceEducationBearPalm_list = this.spaceEducationServer.listSpaceEducationBearPalmBySpaceMessageIDAndOthers(spaceMessageID, spaceEducationBearPalm);
            List<Object> object_temp = new ArrayList();
            if (spaceEducationBearPalm_list == null) {
                new PageInfo(spaceEducationBearPalm_list);
                map.put("aaData", object_temp);
                map.put("recordsFiltered", 0);
                map.put("iTotalRecords", 0);
                map.put("iTotalDisplayRecords", 0);
                return map;
            } else {
                int i = 1;

                for(Iterator var11 = spaceEducationBearPalm_list.iterator(); var11.hasNext(); ++i) {
                    SpaceEducationBearPalm spaceEducationBearPalm_list_i = (SpaceEducationBearPalm)var11.next();
                    String html_table = "";
                    html_table = html_table + "<span style=\"margin-right: 10px;\" class=\"getAllSpaceEducationBearPalm_table\" onclick=\"bearPalm_DIV_Show('" + spaceEducationBearPalm_list_i.getBearPalmID() + "')\">编辑</span>";
                    html_table = html_table + "<span style=\"margin-right: 10px;\" class=\"getAllSpaceEducationBearPalm_table\" onclick=\"bearPalm_DIV_remove('" + spaceEducationBearPalm_list_i.getBearPalmID() + "')\">删除</span>";
                    Map<String, Object> map_temp_i = new HashMap();
                    map_temp_i.put("bearPalmName", spaceEducationBearPalm_list_i.getBearPalmName());
                    map_temp_i.put("bearPalmTime", spaceEducationBearPalm_list_i.getBearPalmTime());
                    map_temp_i.put("bearPalmSponsor", spaceEducationBearPalm_list_i.getBearPalmSponsor());
                    map_temp_i.put("matchName", spaceEducationBearPalm_list_i.getMatchName());
                    map_temp_i.put("editable", html_table);
                    object_temp.add(map_temp_i);
                }

                PageInfo<SpaceEducationBearPalm> p = new PageInfo(spaceEducationBearPalm_list);
                map.put("aaData", object_temp);
                map.put("recordsFiltered", p.getList().size());
                map.put("iTotalRecords", p.getTotal());
                map.put("iTotalDisplayRecords", p.getTotal());
                return map;
            }
        }
    }

    @RequestMapping({"/saveSpaceEducationBearPalm"})
    @ResponseBody
    public Map<String, Object> saveSpaceEducationBearPalm(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        String userID = request.getSession().getAttribute("userID").toString();
        String userName = request.getSession().getAttribute("userName").toString();
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1) {
            map.put("result", false);
            map.put("msg", "无权限！");
            this.actionLoginServer.saveActionLog(userID, userName, "空间保存创新创业获奖情况，结果：无权限", "");
            return map;
        } else {
            String spaceMessageID = request.getSession().getAttribute("realID").toString();
            String strData = (String)data.getBody();
            JSONObject jObject = new JSONObject(strData);

            try {
                String bearPalmID = jObject.getString("bearPalmID");
                String bearPalmName = jObject.getString("bearPalmName");
                String bearPalmTime = jObject.getString("bearPalmTime");
                String bearPalmSponsor = jObject.getString("bearPalmSponsor");
                String matchName = jObject.getString("matchName");
                if (bearPalmName.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "获奖名称过长");
                    return map;
                }

                if ("".equals(bearPalmName.trim())) {
                    map.put("result", false);
                    map.put("msg", "获奖名称不能为空");
                    return map;
                }

                if (bearPalmTime.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "获奖时间过长");
                    return map;
                }

                if ("".equals(bearPalmTime.trim())) {
                    map.put("result", false);
                    map.put("msg", "获奖时间不能为空");
                    return map;
                }

                if (bearPalmSponsor.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "组织单位过长");
                    return map;
                }

                if ("".equals(bearPalmSponsor.trim())) {
                    map.put("result", false);
                    map.put("msg", "组织单位不能为空");
                    return map;
                }

                if (matchName.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "赛事名称过长");
                    return map;
                }

                if ("".equals(matchName.trim())) {
                    map.put("result", false);
                    map.put("msg", "赛事名称不能为空");
                    return map;
                }

                SpaceEducationBearPalm spaceEducationBearPalm = new SpaceEducationBearPalm();
                spaceEducationBearPalm.setBearPalmName(bearPalmName);
                spaceEducationBearPalm.setBearPalmSponsor(bearPalmSponsor);
                spaceEducationBearPalm.setBearPalmTime(bearPalmTime);
                spaceEducationBearPalm.setSpaceMessageID(spaceMessageID);
                spaceEducationBearPalm.setMatchName(matchName);
                if ("0".equals(bearPalmID)) {
                    bearPalmID = UUIDUtils.getUUID();
                    spaceEducationBearPalm.setBearPalmID(bearPalmID);
                    this.spaceEducationServer.saveSpaceEducationBearPalm(spaceEducationBearPalm);
                } else {
                    spaceEducationBearPalm.setBearPalmID(bearPalmID);
                    this.spaceEducationServer.updateSpaceEducationBearPalm(spaceEducationBearPalm);
                }

                this.actionLoginServer.saveActionLog(userID, userName, "空间保存创新创业获奖情况，结果：保存成功", bearPalmID);
                map.put("result", true);
                map.put("msg", "保存成功！");
            } catch (Exception var17) {
                map.put("result", false);
                map.put("msg", "保存失败！");
                this.actionLoginServer.saveActionLog(userID, userName, "空间保存创新创业获奖情况，结果：保存失败", "");
            }

            return map;
        }
    }

    @RequestMapping({"/getSpaceEducationBearPalm"})
    @ResponseBody
    public Map<String, Object> getSpaceEducationBearPalm(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        Map<String, Object> map = new HashMap();
        String strData = (String)data.getBody();
        JSONObject jObject = new JSONObject(strData);
        String bearPalmID = jObject.getString("bearPalmID");
        SpaceEducationBearPalm spaceEducationBearPalm = this.spaceEducationServer.listSpaceEducationBearPalmByEducationBearPalmID(bearPalmID);
        map.put("spaceEducationBearPalm", spaceEducationBearPalm);
        return map;
    }

    @RequestMapping({"/removeSpaceEducationBearPalm"})
    @ResponseBody
    public Map<String, Object> removeSpaceEducationBearPalm(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        String userID = request.getSession().getAttribute("userID").toString();
        String userName = request.getSession().getAttribute("userName").toString();
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1) {
            map.put("result", false);
            map.put("msg", "无权限！");
            this.actionLoginServer.saveActionLog(userID, userName, "空间删除创新创业获奖情况，结果：无权限", "");
            return map;
        } else {
            String strData = (String)data.getBody();
            JSONObject jObject = new JSONObject(strData);
            String bearPalmID = jObject.getString("bearPalmID");

            try {
                this.spaceEducationServer.removeSpaceEducationBearPalmByEducationBearPalmID(bearPalmID);
                this.actionLoginServer.saveActionLog(userID, userName, "空间删除创新创业获奖情况，结果：删除成功", bearPalmID);
                map.put("result", true);
                map.put("msg", "删除成功！");
            } catch (Exception var12) {
                map.put("result", false);
                map.put("msg", "删除失败！");
                this.actionLoginServer.saveActionLog(userID, userName, "空间删除创新创业获奖情况，结果：删除成功", "");
            }

            return map;
        }
    }

    @RequestMapping({"/deriveSpaceEducationBearPalm"})
    @ResponseBody
    public void deriveSpaceEducationBearPalm(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1) {
            map.put("list", new ArrayList());
        } else {
            String spaceMessageID = request.getSession().getAttribute("realID").toString();
            List<SpaceEducationBearPalm> spaceEducationBearPalm_list = this.spaceEducationServer.listSpaceEducationBearPalmBySpaceMessageID(spaceMessageID);
            if (spaceEducationBearPalm_list != null) {
                HSSFWorkbook wb = this.SpaceEducationBearPalmExcel(spaceEducationBearPalm_list);
                String fileName = "创新创业服务获奖情况.xls";

                try {
                    ExcelUtil.setResponseHeader(response, fileName);
                    OutputStream os = response.getOutputStream();
                    wb.write(os);
                    os.flush();
                    os.close();
                } catch (Exception var11) {
                    var11.printStackTrace();
                }
            }

        }
    }

    private HSSFWorkbook SpaceEducationCourseExcel(List<SpaceEducationCourse> spaceEducationCourse, String http_url) {
        String sheetName = "项目详细信息";
        String[] title = new String[]{"课程名称", "课程性质", "课时", "任课教师", "授课对象", "选课人数", "教学大纲名称", "教学大纲链接"};
        int[] width = new int[]{3000, 3000, 3000, 3000, 3000, 3000, 3000, 3000, 10000};
        String[][] values = new String[spaceEducationCourse.size()][];

        for(int i = 0; i < spaceEducationCourse.size(); ++i) {
            values[i] = new String[title.length];
            values[i][0] = ((SpaceEducationCourse)spaceEducationCourse.get(i)).getCourseName();
            values[i][1] = ((SpaceEducationCourse)spaceEducationCourse.get(i)).getCourseProperties();
            values[i][2] = ((SpaceEducationCourse)spaceEducationCourse.get(i)).getCourseNumber();
            values[i][3] = ((SpaceEducationCourse)spaceEducationCourse.get(i)).getCourseTeacher();
            values[i][4] = ((SpaceEducationCourse)spaceEducationCourse.get(i)).getCourseObject();
            values[i][5] = ((SpaceEducationCourse)spaceEducationCourse.get(i)).getCoursePeopleNumber();
            if ("".equals(((SpaceEducationCourse)spaceEducationCourse.get(i)).getCourseFileID())) {
                values[i][6] = "";
                values[i][7] = "";
            } else {
                values[i][6] = ((SpaceEducationCourse)spaceEducationCourse.get(i)).getCourseFileName();
                values[i][7] = http_url + "/File/downFileByFileId?id=" + ((SpaceEducationCourse)spaceEducationCourse.get(i)).getCourseFileID();
            }
        }

        return ExcelUtil.getHSSFWorkbook(sheetName, title, values, width, (HSSFWorkbook)null);
    }

    private HSSFWorkbook SpaceEducationPublicityExcel(List<SpaceEducationPublicity> spaceEducationPublicity_list) {
        String sheetName = "创新创业服务线上平台信息";
        String[] title = new String[]{"平台类型", "名称", "成立时间", "访问链接"};
        int[] width = new int[]{3000, 3000, 3000, 10000};
        String[][] values = new String[spaceEducationPublicity_list.size()][];

        for(int i = 0; i < spaceEducationPublicity_list.size(); ++i) {
            values[i] = new String[title.length];
            values[i][0] = ((SpaceEducationPublicity)spaceEducationPublicity_list.get(i)).getPublicityType();
            values[i][1] = ((SpaceEducationPublicity)spaceEducationPublicity_list.get(i)).getPublicityName();
            values[i][2] = ((SpaceEducationPublicity)spaceEducationPublicity_list.get(i)).getPublicityTime();
            values[i][3] = ((SpaceEducationPublicity)spaceEducationPublicity_list.get(i)).getPublicityUrl();
        }

        return ExcelUtil.getHSSFWorkbook(sheetName, title, values, width, (HSSFWorkbook)null);
    }

    private HSSFWorkbook SpaceEducationReformExcel(List<SpaceEducationReform> spaceEducationReform_list, String http_url) {
        String sheetName = "创新创业工作相关文件";
        String[] title = new String[]{"文件名称", "文号", "发文时间", "正文文件名称", "正文文件链接"};
        int[] width = new int[]{3000, 3000, 3000, 3000, 10000};
        String[][] values = new String[spaceEducationReform_list.size()][];

        for(int i = 0; i < spaceEducationReform_list.size(); ++i) {
            values[i] = new String[title.length];
            values[i][0] = ((SpaceEducationReform)spaceEducationReform_list.get(i)).getReformFileName();
            values[i][1] = ((SpaceEducationReform)spaceEducationReform_list.get(i)).getReformFileNumber();
            values[i][2] = ((SpaceEducationReform)spaceEducationReform_list.get(i)).getReformFileTime();
            if ("".equals(((SpaceEducationReform)spaceEducationReform_list.get(i)).getReformFileFileID())) {
                values[i][3] = "";
                values[i][4] = "";
            } else {
                values[i][3] = ((SpaceEducationReform)spaceEducationReform_list.get(i)).getReformFileFileName();
                values[i][4] = http_url + "/File/downFileByFileId?id=" + ((SpaceEducationReform)spaceEducationReform_list.get(i)).getReformFileFileID();
            }
        }

        return ExcelUtil.getHSSFWorkbook(sheetName, title, values, width, (HSSFWorkbook)null);
    }

    private HSSFWorkbook SpaceEducationBearPalmExcel(List<SpaceEducationBearPalm> spaceEducationBearPalm_list) {
        String sheetName = "学校获创新创业相关奖励情况 ";
        String[] title = new String[]{"获奖时间", "组织单位", "赛事名称", "获奖名称"};
        int[] width = new int[]{3000, 3000, 3000, 3000};
        String[][] values = new String[spaceEducationBearPalm_list.size()][];

        for(int i = 0; i < spaceEducationBearPalm_list.size(); ++i) {
            values[i] = new String[title.length];
            values[i][0] = ((SpaceEducationBearPalm)spaceEducationBearPalm_list.get(i)).getBearPalmTime();
            values[i][1] = ((SpaceEducationBearPalm)spaceEducationBearPalm_list.get(i)).getBearPalmSponsor();
            values[i][2] = ((SpaceEducationBearPalm)spaceEducationBearPalm_list.get(i)).getMatchName();
            values[i][3] = ((SpaceEducationBearPalm)spaceEducationBearPalm_list.get(i)).getBearPalmName();
        }

        return ExcelUtil.getHSSFWorkbook(sheetName, title, values, width, (HSSFWorkbook)null);
    }
}
