//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by FernFlower decompiler)
//

package com.tiptimes.ctrl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.tiptimes.model.SpaceFund;
import com.tiptimes.model.SpaceFundUse;
import com.tiptimes.model.SpaceMessage;
import com.tiptimes.service.ActionLogService;
import com.tiptimes.service.FileService;
import com.tiptimes.service.SpaceFundService;
import com.tiptimes.service.SpaceMessageService;
import com.tiptimes.service.TeamMessageService;
import com.tiptimes.util.ExcelUtil;
import com.tiptimes.util.NumberUtil;
import com.tiptimes.util.UUIDUtils;
import java.io.OutputStream;
import java.lang.reflect.InvocationTargetException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.json.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpEntity;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping({"/SpaceFund"})
public class SpaceFundCtrl {
    @Autowired
    private SpaceFundService spaceFundServer;
    @Autowired
    private ActionLogService actionLoginServer;
    @Autowired
    private TeamMessageService teamMessageService;
    @Autowired
    private FileService fileServer;
    @Autowired
    private SpaceMessageService spaceMessageService;

    public SpaceFundCtrl() {
    }

    @RequestMapping({"/getAllSpaceFund"})
    @ResponseBody
    public Map<String, Object> getAllSpaceFund(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) throws NoSuchMethodException, IllegalAccessException, IllegalArgumentException, InvocationTargetException {
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1) {
            map.put("result", false);
            return map;
        } else {
            String spaceMessageID = request.getSession().getAttribute("realID").toString();
            Map<String, Object> spaceFund = this.spaceFundServer.listSpaceFundAndMessageBySpaceMessageID(spaceMessageID);
            if (spaceFund != null) {
                map.put("result", true);
                map.put("spaceFund", spaceFund);
            } else {
                map.put("result", false);
            }

            return map;
        }
    }

    @RequestMapping({"/saveSpaceFund"})
    @ResponseBody
    public Map<String, Object> saveSpaceFund(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        String userID = request.getSession().getAttribute("userID").toString();
        String userName = request.getSession().getAttribute("userName").toString();
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1) {
            map.put("result", false);
            map.put("msg", "无权限！");
            this.actionLoginServer.saveActionLog(userID, userName, "空间保存空间账户种子基金，结果：无权限", "");
            return map;
        } else {
            String spaceMessageID = request.getSession().getAttribute("realID").toString();
            String strData = (String)data.getBody();
            JSONObject jObject = new JSONObject(strData);

            try {
                String fundBank = jObject.getString("fundBank");
                String fundContributionEnterprise = jObject.getString("fundContributionEnterprise");
                String fundContributionGovernment = jObject.getString("fundContributionGovernment");
                String fundContributionSchool = jObject.getString("fundContributionSchool");
                String fundContributionRest = jObject.getString("fundContributionRest");
                String moneyNumber = jObject.getString("moneyNumber");
                String spaceFundID = jObject.getString("spaceFundID");
                if (fundBank.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "银行过长");
                    return map;
                }

                if ("".equals(fundBank.trim())) {
                    map.put("result", false);
                    map.put("msg", "银行不能为空");
                    return map;
                }

                if (fundContributionEnterprise.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "出资比例_企业过长");
                    return map;
                }

                if ("".equals(fundContributionEnterprise.trim())) {
                    map.put("result", false);
                    map.put("msg", "出资比例_企业不能为空");
                    return map;
                }

                if (!NumberUtil.isNumber(fundContributionEnterprise)) {
                    map.put("result", false);
                    map.put("msg", "出资比例_企业只能填写正确数字");
                    return map;
                }

                if (fundContributionGovernment.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "出资比例_政府过长");
                    return map;
                }

                if ("".equals(fundContributionGovernment.trim())) {
                    map.put("result", false);
                    map.put("msg", "出资比例_政府不能为空");
                    return map;
                }

                if (!NumberUtil.isNumber(fundContributionGovernment)) {
                    map.put("result", false);
                    map.put("msg", "出资比例_政府只能填写正确数字");
                    return map;
                }

                if (fundContributionSchool.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "出资比例_高校过长");
                    return map;
                }

                if ("".equals(fundContributionSchool.trim())) {
                    map.put("result", false);
                    map.put("msg", "出资比例_高校不能为空");
                    return map;
                }

                if (!NumberUtil.isNumber(fundContributionSchool)) {
                    map.put("result", false);
                    map.put("msg", "出资比例_高校只能填写正确数字");
                    return map;
                }

                if (fundContributionRest.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "出资比例_其他过长");
                    return map;
                }

                if ("".equals(fundContributionRest.trim())) {
                    map.put("result", false);
                    map.put("msg", "出资比例_其他不能为空");
                    return map;
                }

                if (!NumberUtil.isNumber(fundContributionRest)) {
                    map.put("result", false);
                    map.put("msg", "出资比例_其他只能填写正确数字");
                    return map;
                }

                if (moneyNumber.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "总金额过长");
                    return map;
                }

                if ("".equals(moneyNumber.trim())) {
                    map.put("result", false);
                    map.put("msg", "总金额不能为空");
                    return map;
                }

                if (!NumberUtil.isNumber(moneyNumber)) {
                    map.put("result", false);
                    map.put("msg", "总金额只能填写正确数字");
                    return map;
                }

                SpaceFund spaceFund = new SpaceFund();
                spaceFund.setFundBank(fundBank);
                spaceFund.setFundContributionEnterprise(fundContributionEnterprise);
                spaceFund.setFundContributionGovernment(fundContributionGovernment);
                spaceFund.setFundContributionRest(fundContributionRest);
                spaceFund.setFundContributionSchool(fundContributionSchool);
                spaceFund.setMoneyNumber(moneyNumber);
                spaceFund.setSpaceMessageID(spaceMessageID);
                if ("0".equals(spaceFundID)) {
                    spaceFundID = UUIDUtils.getUUID();
                    spaceFund.setSpaceFundID(spaceFundID);
                    this.spaceFundServer.saveSpaceFund(spaceFund);
                } else {
                    spaceFund.setSpaceFundID(spaceFundID);
                    this.spaceFundServer.updateSpaceFund(spaceFund);
                }

                this.actionLoginServer.saveActionLog(userID, userName, "空间保存空间账户种子基金，结果：保存成功", spaceFundID);
                map.put("result", true);
                map.put("id", spaceFundID);
                map.put("msg", "保存成功！");
            } catch (Exception var19) {
                map.put("result", false);
                map.put("msg", "保存失败！");
                this.actionLoginServer.saveActionLog(userID, userName, "空间保存空间账户种子基金，结果：保存失败", "");
            }

            return map;
        }
    }

    @RequestMapping({"/getSpaceFundUse"})
    @ResponseBody
    public Map<String, Object> getSpaceFundUse(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        Map<String, Object> map = new HashMap();
        String strData = (String)data.getBody();
        JSONObject jObject = new JSONObject(strData);
        String spaceFundUseID = jObject.getString("spaceFundUseID");
        SpaceFundUse spaceFundUse = this.spaceFundServer.getSpaceFundUseBySpaceFundUseID(spaceFundUseID);
        map.put("spaceFundUse", spaceFundUse);
        return map;
    }

    @RequestMapping({"/removeSpaceFundUse"})
    @ResponseBody
    public Map<String, Object> removeSpaceFundUse(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        String userID = request.getSession().getAttribute("userID").toString();
        String userName = request.getSession().getAttribute("userName").toString();
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1) {
            map.put("result", false);
            map.put("msg", "无权限！");
            this.actionLoginServer.saveActionLog(userID, userName, "空间删除空间账户种子基金使用信息，结果：无权限", "");
            return map;
        } else {
            String spaceMessageID = request.getSession().getAttribute("realID").toString();
            String strData = (String)data.getBody();
            JSONObject jObject = new JSONObject(strData);
            String spaceFundUseID = jObject.getString("spaceFundUseID");

            try {
                this.spaceFundServer.removeSpaceFundUse(spaceFundUseID, spaceMessageID);
                this.actionLoginServer.saveActionLog(userID, userName, "空间删除空间账户种子基金使用信息，结果：删除成功", spaceFundUseID);
                map.put("result", true);
                map.put("msg", "删除成功！");
            } catch (Exception var13) {
                map.put("result", false);
                map.put("msg", "删除失败！");
                this.actionLoginServer.saveActionLog(userID, userName, "空间删除空间账户种子基金使用信息，结果：删除成功", "");
            }

            return map;
        }
    }

    @RequestMapping({"/getAllSpaceFundUse"})
    @ResponseBody
    public Map<String, Object> getAllSpaceFundUse(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data, SpaceFundUse spaceFundUse) {
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1) {
            map.put("list", new ArrayList());
            return map;
        } else {
            List<Object> object_temp = new ArrayList();
            String spaceMessageID = request.getSession().getAttribute("realID").toString();
            SpaceFund spaceFund = this.spaceFundServer.listSpaceFundBySpaceMessageID(spaceMessageID);
            if (spaceFund == null) {
                map.put("list", object_temp);
                return map;
            } else {
                PageHelper.startPage(spaceFundUse.getStart() / spaceFundUse.getLength() + 1, spaceFundUse.getLength());
                List<SpaceFundUse> spaceFundUse_list = this.spaceFundServer.listSpaceFundUseBySpaceFundIDAndOthers(spaceFund.getSpaceFundID(), spaceFundUse);
                if (spaceFundUse_list != null) {
                    Iterator var11 = spaceFundUse_list.iterator();

                    while(var11.hasNext()) {
                        SpaceFundUse spaceFundUse_list_i = (SpaceFundUse)var11.next();
                        String html_table = "";
                        html_table = html_table + "<span style=\"margin-right: 10px;\" class=\"getAllFundUse_table\" onclick=\"Fund_DIV_Show('" + spaceFundUse_list_i.getSpaceFundUseID() + "')\">编辑</span>";
                        html_table = html_table + "<span style=\"margin-right: 10px;\" class=\"getAllFundUse_table\" onclick=\"Fund_DIV_remove('" + spaceFundUse_list_i.getSpaceFundUseID() + "')\">删除</span>";
                        Map<String, Object> map_temp_i = new HashMap();
                        map_temp_i.put("spaceFundUseTime", spaceFundUse_list_i.getSpaceFundUseTime());
                        map_temp_i.put("spaceFundUseType", spaceFundUse_list_i.getSpaceFundUseType());
                        map_temp_i.put("spaceFundUseMoney", spaceFundUse_list_i.getSpaceFundUseMoney());
                        map_temp_i.put("teamMessageID", this.teamMessageService.stringteamNameByteamMessageID(spaceFundUse_list_i.getTeamMessageID()));
                        if (spaceFundUse_list_i.getSpaceFundUseRemark().length() > 10) {
                            map_temp_i.put("spaceFundUseRemark", spaceFundUse_list_i.getSpaceFundUseRemark().substring(0, 10) + "...");
                        } else {
                            map_temp_i.put("spaceFundUseRemark", spaceFundUse_list_i.getSpaceFundUseRemark());
                        }

                        String wj = "<span style=\"margin-right: 10px;\" class=\"getAllFundUse_table\" onclick=\"Fund_DIV_file('" + spaceFundUse_list_i.getSpaceFundUseFileID() + "')\">" + spaceFundUse_list_i.getSpaceFundUseFileName() + "</span>";
                        map_temp_i.put("spaceFundUseFileName", wj);
                        map_temp_i.put("editable", html_table);
                        object_temp.add(map_temp_i);
                    }

                    PageInfo<SpaceFundUse> p = new PageInfo(spaceFundUse_list);
                    map.put("aaData", object_temp);
                    map.put("recordsFiltered", p.getList().size());
                    map.put("iTotalRecords", p.getTotal());
                    map.put("iTotalDisplayRecords", p.getTotal());
                    return map;
                } else {
                    new PageInfo(spaceFundUse_list);
                    map.put("aaData", object_temp);
                    map.put("recordsFiltered", 0);
                    map.put("iTotalRecords", 0);
                    map.put("iTotalDisplayRecords", 0);
                    return map;
                }
            }
        }
    }

    @RequestMapping({"/saveSpaceFundUse"})
    @ResponseBody
    public Map<String, Object> saveSpaceFundUse(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        String userID = request.getSession().getAttribute("userID").toString();
        String userName = request.getSession().getAttribute("userName").toString();
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1) {
            map.put("result", false);
            map.put("msg", "无权限！");
            this.actionLoginServer.saveActionLog(userID, userName, "空间保存空间账户种子基金使用，结果：无权限", "");
            return map;
        } else {
            String spaceMessageID = request.getSession().getAttribute("realID").toString();
            String strData = (String)data.getBody();
            JSONObject jObject = new JSONObject(strData);

            try {
                String spaceFundUseID = jObject.getString("spaceFundUseID");
                String spaceFundUseTime = jObject.getString("spaceFundUseTime");
                String spaceFundUseType = jObject.getString("spaceFundUseType");
                String spaceFundUseMoney = jObject.getString("spaceFundUseMoney");
                String teamMessageID = jObject.getString("teamMessageID");
                String spaceFundUseRemark = jObject.getString("spaceFundUseRemark");
                String spaceFundID = jObject.getString("spaceFundID");
                String spaceFundUseFileName = jObject.getString("spaceFundUseFileName");
                String spaceFundUseFileID = jObject.getString("spaceFundUseFileID");
                if (spaceFundUseTime.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "使用时间过长");
                    return map;
                }

                if ("".equals(spaceFundUseTime.trim())) {
                    map.put("result", false);
                    map.put("msg", "使用时间不能为空");
                    return map;
                }

                if (spaceFundUseType.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "使用方式过长");
                    return map;
                }

                if ("".equals(spaceFundUseType.trim())) {
                    map.put("result", false);
                    map.put("msg", "使用方式不能为空");
                    return map;
                }

                if (spaceFundUseMoney.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "使用金额过长");
                    return map;
                }

                if ("".equals(spaceFundUseMoney.trim())) {
                    map.put("result", false);
                    map.put("msg", "使用金额不能为空");
                    return map;
                }

                if (!NumberUtil.isNumber(spaceFundUseMoney)) {
                    map.put("result", false);
                    map.put("msg", "使用金额只能填写正确数字");
                    return map;
                }

                if ("".equals(teamMessageID.trim())) {
                    map.put("result", false);
                    map.put("msg", "支持团队不能为空");
                    return map;
                }

                SpaceMessage spaceMessage = this.spaceMessageService.getSpaceMessageBySpaceMessageID(spaceMessageID);
                SpaceFund spaceFund = this.spaceFundServer.listSpaceFundBySpaceMessageID(spaceMessageID);
                if ("0".equals(spaceFundUseID)) {
                    if (spaceMessage != null && Double.parseDouble(spaceMessage.getSpaceFundMoneyNum()) + Double.parseDouble(spaceFundUseMoney) > Double.parseDouble(spaceFund.getMoneyNumber())) {
                        map.put("result", false);
                        map.put("msg", "基金使用总额大于基金设立总金额");
                        return map;
                    }
                } else {
                    SpaceFundUse spaceFundUseForUpdate = this.spaceFundServer.getSpaceFundUseBySpaceFundUseID(spaceFundUseID);
                    if (null != spaceMessage && null != spaceFundUseForUpdate && Double.parseDouble(spaceMessage.getSpaceFundMoneyNum()) + Double.parseDouble(spaceFundUseMoney) - Double.parseDouble(spaceFundUseForUpdate.getSpaceFundUseMoney()) > Double.parseDouble(spaceFund.getMoneyNumber())) {
                        map.put("result", false);
                        map.put("msg", "基金使用总额大于基金设立总金额");
                        return map;
                    }
                }

                String team_name = this.teamMessageService.stringteamNameByteamMessageID(teamMessageID);
                spaceFundUseFileName = this.fileServer.updateFile(spaceFundUseFileID, userName + "空间账户种子基金" + team_name + spaceFundUseTime + "使用文件");
                if ("".equals(spaceFundUseMoney.trim())) {
                    spaceFundUseMoney = "0";
                }

                SpaceFundUse spaceFundUse = new SpaceFundUse();
                spaceFundUse.setSpaceFundUseFileID(spaceFundUseFileID);
                spaceFundUse.setSpaceFundUseFileName(spaceFundUseFileName);
                spaceFundUse.setSpaceFundUseMoney(spaceFundUseMoney);
                spaceFundUse.setSpaceFundUseRemark(spaceFundUseRemark);
                spaceFundUse.setSpaceFundUseTime(spaceFundUseTime);
                spaceFundUse.setSpaceFundUseType(spaceFundUseType);
                spaceFundUse.setTeamMessageID(teamMessageID);
                spaceFundUse.setSpaceFundID(spaceFundID);
                if ("0".equals(spaceFundUseID)) {
                    spaceFundUseID = UUIDUtils.getUUID();
                    spaceFundUse.setSpaceFundUseID(spaceFundUseID);
                    this.spaceFundServer.saveSpaceFundUse(spaceFundUse, spaceMessageID);
                } else {
                    spaceFundUse.setSpaceFundUseID(spaceFundUseID);
                    this.spaceFundServer.updateSpaceFundUse(spaceFundUse, spaceMessageID);
                }

                this.actionLoginServer.saveActionLog(userID, userName, "空间保存空间账户种子基金使用，结果：保存成功", spaceFundUseID);
                map.put("result", true);
                map.put("msg", "保存成功！");
            } catch (Exception var24) {
                map.put("result", false);
                map.put("msg", "保存失败！");
                this.actionLoginServer.saveActionLog(userID, userName, "空间保存空间账户种子基金使用，结果：保存失败", "");
            }

            return map;
        }
    }

    @RequestMapping({"/deriveSpaceFundUse"})
    @ResponseBody
    public void deriveSpaceFundUse(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID == 1) {
            new ArrayList();
            String spaceMessageID = request.getSession().getAttribute("realID").toString();
            SpaceFund spaceFund = this.spaceFundServer.listSpaceFundBySpaceMessageID(spaceMessageID);
            if (spaceFund != null) {
                List<SpaceFundUse> spaceFundUse_list = this.spaceFundServer.listSpaceFundUseBySpaceFundID(spaceFund.getSpaceFundID());
                String http_url = request.getRequestURL().toString();
                http_url = http_url.replace("/SpaceFund/deriveSpaceFundUse", "");
                if (spaceFundUse_list != null) {
                    String sheetName = "种子基金";
                    String[] title = new String[]{"使用时间", "使用方式", "使用金额(万)", "支出团队名称", "备注", "合同文件", "合同文件链接"};
                    int[] width = new int[]{3000, 3000, 8000, 10000, 10000, 10000, 25600};
                    String[][] values = new String[spaceFundUse_list.size()][];
                    String fileName = "空间种子基金.xls";

                    for(int i = 0; i < spaceFundUse_list.size(); ++i) {
                        values[i] = new String[title.length];
                        values[i][0] = ((SpaceFundUse)spaceFundUse_list.get(i)).getSpaceFundUseTime();
                        values[i][1] = ((SpaceFundUse)spaceFundUse_list.get(i)).getSpaceFundUseType();
                        values[i][2] = ((SpaceFundUse)spaceFundUse_list.get(i)).getSpaceFundUseMoney();
                        String teamMessagename = this.teamMessageService.stringteamNameByteamMessageID(((SpaceFundUse)spaceFundUse_list.get(i)).getTeamMessageID());
                        if (teamMessagename == null) {
                            values[i][3] = "";
                        } else {
                            values[i][3] = teamMessagename;
                        }

                        values[i][4] = ((SpaceFundUse)spaceFundUse_list.get(i)).getSpaceFundUseRemark();
                        values[i][5] = ((SpaceFundUse)spaceFundUse_list.get(i)).getSpaceFundUseFileName();
                        if ("".equals(((SpaceFundUse)spaceFundUse_list.get(i)).getSpaceFundUseFileID())) {
                            values[i][6] = "";
                        } else {
                            values[i][6] = http_url + "/File/downFileByFileId?id=" + ((SpaceFundUse)spaceFundUse_list.get(i)).getSpaceFundUseFileID();
                        }
                    }

                    HSSFWorkbook wb = ExcelUtil.getHSSFWorkbook(sheetName, title, values, width, (HSSFWorkbook)null);

                    try {
                        ExcelUtil.setResponseHeader(response, fileName);
                        OutputStream os = response.getOutputStream();
                        wb.write(os);
                        os.flush();
                        os.close();
                    } catch (Exception var18) {
                        var18.printStackTrace();
                    }
                }

            }
        }
    }
}
