//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by FernFlower decompiler)
//

package com.tiptimes.ctrl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.tiptimes.model.File;
import com.tiptimes.model.SpaceMajorApparatus;
import com.tiptimes.service.ActionLogService;
import com.tiptimes.service.FileService;
import com.tiptimes.service.SpaceMajorApparatusService;
import com.tiptimes.util.DATEUtil;
import com.tiptimes.util.ExcelUtil;
import com.tiptimes.util.UUIDUtils;
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Properties;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.ss.usermodel.Workbook;
import org.json.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpEntity;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping({"/SpaceMajorApparatus"})
public class SpaceMajorApparatusCtrl {
    @Autowired
    private SpaceMajorApparatusService spaceMajorApparatusServer;
    @Autowired
    private ActionLogService actionLoginServer;
    @Autowired
    private FileService fileServer;

    public SpaceMajorApparatusCtrl() {
    }

    @RequestMapping({"/getAllSpaceMajorApparatus"})
    @ResponseBody
    public Map<String, Object> getAllSpaceMajorApparatus(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data, SpaceMajorApparatus spaceMajorApparatus) {
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1) {
            map.put("list", new ArrayList());
            return map;
        } else {
            String spaceMessageID = request.getSession().getAttribute("realID").toString();
            PageHelper.startPage(spaceMajorApparatus.getStart() / spaceMajorApparatus.getLength() + 1, spaceMajorApparatus.getLength());
            List<SpaceMajorApparatus> spaceMajorApparatus_list = this.spaceMajorApparatusServer.listSpaceMajorApparatusBySpaceMessageIDAndOthers(spaceMessageID, spaceMajorApparatus);
            List<Object> object_temp = new ArrayList();
            if (spaceMajorApparatus_list == null) {
                new PageInfo(spaceMajorApparatus_list);
                map.put("aaData", object_temp);
                map.put("recordsFiltered", 0);
                map.put("iTotalRecords", 0);
                map.put("iTotalDisplayRecords", 0);
                return map;
            } else {
                Iterator var10 = spaceMajorApparatus_list.iterator();

                while(var10.hasNext()) {
                    SpaceMajorApparatus spaceMajorApparatus_list_i = (SpaceMajorApparatus)var10.next();
                    String html_table = "";
                    html_table = html_table + "<span style=\"margin-right: 10px;\" class=\"getAllSpaceMajorApparatus_table\" onclick=\"majorApparatus_DIV_Show('" + spaceMajorApparatus_list_i.getMajorApparatusID() + "')\">编辑</span>";
                    html_table = html_table + "<span style=\"margin-right: 10px;\" class=\"getAllSpaceMajorApparatus_table\" onclick=\"majorApparatus_DIV_remove('" + spaceMajorApparatus_list_i.getMajorApparatusID() + "')\">删除</span>";
                    Map<String, Object> map_temp_i = new HashMap();
                    map_temp_i.put("majorApparatusName", spaceMajorApparatus_list_i.getMajorApparatusName());
                    map_temp_i.put("majorApparatusModel", spaceMajorApparatus_list_i.getMajorApparatusModel());
                    map_temp_i.put("majorApparatusTime", spaceMajorApparatus_list_i.getMajorApparatusTime());
                    map_temp_i.put("majorApparatusBrand", spaceMajorApparatus_list_i.getMajorApparatusBrand());
                    map_temp_i.put("editable", html_table);
                    object_temp.add(map_temp_i);
                }

                PageInfo<SpaceMajorApparatus> p = new PageInfo(spaceMajorApparatus_list);
                map.put("aaData", object_temp);
                map.put("recordsFiltered", p.getList().size());
                map.put("iTotalRecords", p.getTotal());
                map.put("iTotalDisplayRecords", p.getTotal());
                return map;
            }
        }
    }

    @RequestMapping({"/saveSpaceMajorApparatus"})
    @ResponseBody
    public Map<String, Object> saveSpaceMajorApparatus(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        String userID = request.getSession().getAttribute("userID").toString();
        String userName = request.getSession().getAttribute("userName").toString();
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1) {
            map.put("result", false);
            map.put("msg", "无权限！");
            this.actionLoginServer.saveActionLog(userID, userName, "空间保存专业仪器，结果：无权限", "");
            return map;
        } else {
            String spaceMessageID = request.getSession().getAttribute("realID").toString();
            String strData = (String)data.getBody();
            JSONObject jObject = new JSONObject(strData);

            try {
                String majorApparatusID = jObject.getString("majorApparatusID");
                String majorApparatusName = jObject.getString("majorApparatusName");
                String majorApparatusModel = jObject.getString("majorApparatusModel");
                String majorApparatusTime = jObject.getString("majorApparatusTime");
                String majorApparatusBrand = jObject.getString("majorApparatusBrand");
                if (majorApparatusName.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "仪器名称过长");
                    return map;
                }

                if ("".equals(majorApparatusName.trim())) {
                    map.put("result", false);
                    map.put("msg", "仪器名称不能为空");
                    return map;
                }

                if (majorApparatusModel.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "仪器型号过长");
                    return map;
                }

                if ("".equals(majorApparatusModel.trim())) {
                    map.put("result", false);
                    map.put("msg", "仪器型号不能为空");
                    return map;
                }

                if (majorApparatusTime.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "购置时间过长");
                    return map;
                }

                if ("".equals(majorApparatusTime.trim())) {
                    map.put("result", false);
                    map.put("msg", "购置时间不能为空");
                    return map;
                }

                if (majorApparatusBrand.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "品牌过长");
                    return map;
                }

                if ("".equals(majorApparatusBrand.trim())) {
                    map.put("result", false);
                    map.put("msg", "品牌不能为空");
                    return map;
                }

                SpaceMajorApparatus spaceMajorApparatus = new SpaceMajorApparatus();
                spaceMajorApparatus.setMajorApparatusBrand(majorApparatusBrand);
                spaceMajorApparatus.setMajorApparatusModel(majorApparatusModel);
                spaceMajorApparatus.setMajorApparatusName(majorApparatusName);
                spaceMajorApparatus.setMajorApparatusTime(majorApparatusTime);
                spaceMajorApparatus.setSpaceMessageID(spaceMessageID);
                if ("0".equals(majorApparatusID)) {
                    majorApparatusID = UUIDUtils.getUUID();
                    spaceMajorApparatus.setMajorApparatusID(majorApparatusID);
                    this.spaceMajorApparatusServer.saveSpaceMajorApparatus(spaceMajorApparatus);
                } else {
                    spaceMajorApparatus.setMajorApparatusID(majorApparatusID);
                    this.spaceMajorApparatusServer.updateSpaceMajorApparatus(spaceMajorApparatus);
                }

                this.actionLoginServer.saveActionLog(userID, userName, "空间保存专业仪器，结果：保存成功", majorApparatusID);
                map.put("result", true);
                map.put("msg", "保存成功！");
            } catch (Exception var17) {
                map.put("result", false);
                map.put("msg", "保存失败！");
                this.actionLoginServer.saveActionLog(userID, userName, "空间保存专业仪器，结果：保存失败", "");
            }

            return map;
        }
    }

    @RequestMapping({"/getSpaceMajorApparatus"})
    @ResponseBody
    public Map<String, Object> getSpaceMajorApparatus(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        Map<String, Object> map = new HashMap();
        String strData = (String)data.getBody();
        JSONObject jObject = new JSONObject(strData);
        String majorApparatusID = jObject.getString("majorApparatusID");
        SpaceMajorApparatus spaceMajorApparatus = this.spaceMajorApparatusServer.listSpaceMajorApparatusBymajorApparatusID(majorApparatusID);
        map.put("spaceMajorApparatus", spaceMajorApparatus);
        return map;
    }

    @RequestMapping({"/removeSpaceMajorApparatus"})
    @ResponseBody
    public Map<String, Object> removeSpaceMajorApparatus(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        String userID = request.getSession().getAttribute("userID").toString();
        String userName = request.getSession().getAttribute("userName").toString();
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1) {
            map.put("result", false);
            map.put("msg", "无权限！");
            this.actionLoginServer.saveActionLog(userID, userName, "空间删除专业仪器，结果：无权限", "");
            return map;
        } else {
            String strData = (String)data.getBody();
            JSONObject jObject = new JSONObject(strData);
            String majorApparatusID = jObject.getString("majorApparatusID");

            try {
                this.spaceMajorApparatusServer.removeSpaceMajorApparatusBymajorApparatusID(majorApparatusID);
                this.actionLoginServer.saveActionLog(userID, userName, "空间删除专业仪器，结果：删除成功", majorApparatusID);
                map.put("result", true);
                map.put("msg", "删除成功！");
            } catch (Exception var12) {
                map.put("result", false);
                map.put("msg", "删除失败！");
                this.actionLoginServer.saveActionLog(userID, userName, "空间删除专业仪器，结果：删除失败", "");
            }

            return map;
        }
    }

    @RequestMapping({"/deriveSpaceMajorApparatus"})
    @ResponseBody
    public void deriveSpaceMajorApparatus(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID == 1) {
            String spaceMessageID = request.getSession().getAttribute("realID").toString();
            List<SpaceMajorApparatus> spaceMajorApparatus_list = this.spaceMajorApparatusServer.listSpaceMajorApparatusBySpaceMessageID(spaceMessageID);
            if (spaceMajorApparatus_list != null) {
                String sheetName = "空间专业仪器";
                String[] title = new String[]{"设备名称", "品牌", "设备型号", "购置时间"};
                int[] width = new int[]{3000, 3000, 3000, 3000};
                String[][] values = new String[spaceMajorApparatus_list.size()][];
                String fileName = "空间专业仪器.xls";

                for(int i = 0; i < spaceMajorApparatus_list.size(); ++i) {
                    values[i] = new String[title.length];
                    values[i][0] = ((SpaceMajorApparatus)spaceMajorApparatus_list.get(i)).getMajorApparatusName();
                    values[i][1] = ((SpaceMajorApparatus)spaceMajorApparatus_list.get(i)).getMajorApparatusBrand();
                    values[i][2] = ((SpaceMajorApparatus)spaceMajorApparatus_list.get(i)).getMajorApparatusModel();
                    values[i][3] = ((SpaceMajorApparatus)spaceMajorApparatus_list.get(i)).getMajorApparatusTime();
                }

                HSSFWorkbook wb = ExcelUtil.getHSSFWorkbook(sheetName, title, values, width, (HSSFWorkbook)null);

                try {
                    ExcelUtil.setResponseHeader(response, fileName);
                    OutputStream os = response.getOutputStream();
                    wb.write(os);
                    os.flush();
                    os.close();
                } catch (Exception var15) {
                    var15.printStackTrace();
                }
            }

        }
    }

    @RequestMapping({"/leadSpaceMajorApparatus"})
    @ResponseBody
    public Map<String, Object> leadSpaceMajorApparatus(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) throws IOException {
        String userID = request.getSession().getAttribute("userID").toString();
        String userName = request.getSession().getAttribute("userName").toString();
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1) {
            map.put("result", false);
            map.put("msg", "无权限！");
            this.actionLoginServer.saveActionLog(userID, userName, "空间导入专业仪器，结果：无权限", "");
            return map;
        } else {
            new ArrayList();
            String spaceMessageID = request.getSession().getAttribute("realID").toString();
            String strData = (String)data.getBody();
            JSONObject jObject = new JSONObject(strData);
            String fileId = jObject.getString("fileId");
            File file = this.fileServer.selectFileByFileID(fileId);
            String[] title = new String[]{"设备名称", "品牌", "设备型号", "购置时间"};
            if (file == null) {
                map.put("result", false);
                map.put("msg", "导入失败！");
                return map;
            } else {
                String file_name = file.getFileName().substring(file.getFileName().lastIndexOf(".") + 1, file.getFileName().length());
                Properties props = new Properties();
                InputStream inputStream = this.getClass().getClassLoader().getResourceAsStream("file.properties");
                props.load(inputStream);
                System.out.println(props.getProperty("fileUrl"));
                String fileUrl = props.getProperty("fileUrl");
                inputStream.close();
                FileInputStream in = new FileInputStream(fileUrl + file.getFileNum());
                ByteArrayOutputStream out = new ByteArrayOutputStream(1024);
                byte[] temp = new byte[1024];
                boolean var22 = false;

                int size;
                while((size = in.read(temp)) != -1) {
                    out.write(temp, 0, size);
                }

                in.close();
                byte[] Urldata = out.toByteArray();
                out.close();
                InputStream stream = new ByteArrayInputStream(Urldata);
                Workbook wb = null;
                if ("xls".equals(file_name)) {
                    wb = new HSSFWorkbook(stream);
                    stream.close();

                    try {
                        Sheet sheet1 = wb.getSheetAt(0);
                        Row row1 = sheet1.getRow(0);

                        String msg_all;
                        for(int i = 0; i < title.length; ++i) {
                            msg_all = row1.getCell(i).getStringCellValue();
                            if (!title[i].equals(msg_all)) {
                                map.put("result", false);
                                map.put("msg", "文件内容格式错误！");
                                return map;
                            }
                        }

                        List<SpaceMajorApparatus> spaceMajorApparatus_list = new ArrayList();
                        msg_all = "";

                        for(int i = 1; i <= sheet1.getLastRowNum(); ++i) {
                            Row row = sheet1.getRow(i);
                            SpaceMajorApparatus spaceMajorApparatus = new SpaceMajorApparatus();
                            spaceMajorApparatus.setMajorApparatusID(UUIDUtils.getUUID());
                            spaceMajorApparatus.setSpaceMessageID(spaceMessageID);
                            String msg = "";

                            for(int j = 0; j < row.getLastCellNum(); ++j) {
                                Cell cell = row.getCell(j);
                                String value = ExcelUtil.getStringValueFromCell(cell);
                                switch(j) {
                                    case 0:
                                        if ("".equals(value.trim())) {
                                            map.put("result", false);
                                            msg = msg + "第" + i + "行仪器名称为空;";
                                        }

                                        if (value.length() > 50) {
                                            map.put("result", false);
                                            msg = msg + "第" + i + "行仪器名称过长;";
                                        }

                                        spaceMajorApparatus.setMajorApparatusName(value);
                                        break;
                                    case 1:
                                        if (value.length() > 50) {
                                            map.put("result", false);
                                            msg = msg + "第" + i + "行品牌过长;";
                                        }

                                        if ("".equals(value.trim())) {
                                            map.put("result", false);
                                            msg = msg + "第" + i + "行品牌不能为空;";
                                        }

                                        spaceMajorApparatus.setMajorApparatusBrand(value);
                                        break;
                                    case 2:
                                        if (value.length() > 50) {
                                            map.put("result", false);
                                            msg = msg + "第" + i + "行设备型号过长;";
                                        }

                                        if ("".equals(value.trim())) {
                                            map.put("result", false);
                                            msg = msg + "第" + i + "行设备型号不能为空;";
                                        }

                                        spaceMajorApparatus.setMajorApparatusModel(value);
                                        break;
                                    case 3:
                                        if (value.length() > 50) {
                                            map.put("result", false);
                                            msg = msg + "第" + i + "行购置时间过长;";
                                        }

                                        if ("".equals(value.trim())) {
                                            map.put("result", false);
                                            msg = msg + "第" + i + "行购置时间不能为空;";
                                        }

                                        if (!DATEUtil.isValidDate(value.trim())) {
                                            map.put("result", false);
                                            msg = msg + "第" + i + "行购置时间格式不正确,应为YYYY-MM-DD;";
                                        } else if (DATEUtil.isafterDate(value.trim())) {
                                            map.put("result", false);
                                            msg = msg + "第" + i + "行购置时间超过今天或格式有误;";
                                        }

                                        spaceMajorApparatus.setMajorApparatusTime(value);
                                }
                            }

                            if ("".equals(msg)) {
                                spaceMajorApparatus_list.add(spaceMajorApparatus);
                            } else {
                                msg_all = msg_all + msg;
                            }
                        }

                        if ("".equals(msg_all)) {
                            this.spaceMajorApparatusServer.saveSpaceMajorApparatus(spaceMajorApparatus_list);
                            this.actionLoginServer.saveActionLog(userID, userName, "空间导入专业仪器，结果：导入成功", fileId);
                            map.put("result", true);
                            map.put("msg", "导入成功！");
                            return map;
                        } else {
                            map.put("result", false);
                            map.put("msg", msg_all + "导入失败！");
                            return map;
                        }
                    } catch (Exception var37) {
                        map.put("result", false);
                        map.put("msg", "导入失败！");
                        this.actionLoginServer.saveActionLog(userID, userName, "空间导入专业仪器，结果：导入失败", "");
                        return map;
                    }
                } else {
                    map.put("result", false);
                    map.put("msg", "文件类型错误！");
                    return map;
                }
            }
        }
    }
}
