//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by FernFlower decompiler)
//

package com.tiptimes.ctrl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.tiptimes.model.SpaceServiceProvider;
import com.tiptimes.service.ActionLogService;
import com.tiptimes.service.FileService;
import com.tiptimes.service.SpaceServiceProviderService;
import com.tiptimes.util.ExcelUtil;
import com.tiptimes.util.NumberUtil;
import com.tiptimes.util.RegexValidateUtil;
import com.tiptimes.util.UUIDUtils;
import java.io.OutputStream;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.json.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpEntity;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping({"/SpaceServiceProvider"})
public class SpaceServiceProviderCtrl {
    @Autowired
    private SpaceServiceProviderService spaceServiceProviderServer;
    @Autowired
    private ActionLogService actionLoginServer;
    @Autowired
    private FileService fileServer;

    public SpaceServiceProviderCtrl() {
    }

    @RequestMapping({"/getAllSpaceServiceProvider"})
    @ResponseBody
    public Map<String, Object> getAllSpaceServiceProvider(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data, SpaceServiceProvider spaceServiceProvider) {
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1) {
            map.put("list", new ArrayList());
            return map;
        } else {
            String spaceMessageID = request.getSession().getAttribute("realID").toString();
            PageHelper.startPage(spaceServiceProvider.getStart() / spaceServiceProvider.getLength() + 1, spaceServiceProvider.getLength());
            List<SpaceServiceProvider> spaceServiceProvider_list = this.spaceServiceProviderServer.listSpaceServiceProviderBySpaceMessageIDAndOthers(spaceMessageID, spaceServiceProvider);
            List<Object> object_temp = new ArrayList();
            if (spaceServiceProvider_list == null) {
                new PageInfo(spaceServiceProvider_list);
                map.put("aaData", object_temp);
                map.put("recordsFiltered", 0);
                map.put("iTotalRecords", 0);
                map.put("iTotalDisplayRecords", 0);
                return map;
            } else {
                Iterator var10 = spaceServiceProvider_list.iterator();

                while(var10.hasNext()) {
                    SpaceServiceProvider spaceServiceProvider_list_i = (SpaceServiceProvider)var10.next();
                    String html_table = "";
                    html_table = html_table + "<span style=\"margin-right: 10px;\" class=\"getAllSpaceServiceProvider_table\" onclick=\"reform_DIV_Show('" + spaceServiceProvider_list_i.getServiceProviderID() + "')\">编辑</span>";
                    html_table = html_table + "<span style=\"margin-right: 10px;\" class=\"getAllSpaceServiceProvider_table\" onclick=\"reform_DIV_remove('" + spaceServiceProvider_list_i.getServiceProviderID() + "')\">删除</span>";
                    Map<String, Object> map_temp_i = new HashMap();
                    map_temp_i.put("serviceProviderName", spaceServiceProvider_list_i.getServiceProviderName());
                    map_temp_i.put("serviceProviderScope", spaceServiceProvider_list_i.getServiceProviderScope());
                    map_temp_i.put("serviceProviderPermit", spaceServiceProvider_list_i.getServiceProviderPermit());
                    map_temp_i.put("serviceProviderLinkman", spaceServiceProvider_list_i.getServiceProviderLinkman());
                    map_temp_i.put("serviceProviderLinkmanTell", spaceServiceProvider_list_i.getServiceProviderLinkmanTell());
                    map_temp_i.put("serviceProviderLinkmanEmaill", spaceServiceProvider_list_i.getServiceProviderLinkmanEmaill());
                    map_temp_i.put("editable", html_table);
                    object_temp.add(map_temp_i);
                }

                PageInfo<SpaceServiceProvider> p = new PageInfo(spaceServiceProvider_list);
                map.put("aaData", object_temp);
                map.put("recordsFiltered", p.getList().size());
                map.put("iTotalRecords", p.getTotal());
                map.put("iTotalDisplayRecords", p.getTotal());
                return map;
            }
        }
    }

    @RequestMapping({"/saveSpaceServiceProvider"})
    @ResponseBody
    public Map<String, Object> saveSpaceServiceProvider(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        String userID = request.getSession().getAttribute("userID").toString();
        String userName = request.getSession().getAttribute("userName").toString();
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1) {
            map.put("result", false);
            map.put("msg", "无权限！");
            this.actionLoginServer.saveActionLog(userID, userName, "空间保存空间服务商，结果：无权限", "");
            return map;
        } else {
            String spaceMessageID = request.getSession().getAttribute("realID").toString();
            String strData = (String)data.getBody();
            JSONObject jObject = new JSONObject(strData);

            try {
                String serviceProviderID = jObject.getString("serviceProviderID");
                String serviceProviderName = jObject.getString("serviceProviderName");
                String serviceProviderScope = jObject.getString("serviceProviderScope");
                String serviceProviderLinkman = jObject.getString("serviceProviderLinkman");
                String serviceProviderLinkmanTell = jObject.getString("serviceProviderLinkmanTell");
                String serviceProviderLinkmanEmaill = jObject.getString("serviceProviderLinkmanEmaill");
                if (serviceProviderName.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "服务商名称过长");
                    return map;
                }

                if ("".equals(serviceProviderName.trim())) {
                    map.put("result", false);
                    map.put("msg", "服务商名称不能为空");
                    return map;
                }

                if (serviceProviderScope.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "服务内容过长");
                    return map;
                }

                if ("".equals(serviceProviderScope.trim())) {
                    map.put("result", false);
                    map.put("msg", "服务内容不能为空");
                    return map;
                }

                if (serviceProviderLinkman.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "联系人过长");
                    return map;
                }

                if ("".equals(serviceProviderLinkman.trim())) {
                    map.put("result", false);
                    map.put("msg", "联系人不能为空");
                    return map;
                }

                if (serviceProviderLinkmanTell.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "手机号过长");
                    return map;
                }

                if (!NumberUtil.isChinaPhoneLegal(serviceProviderLinkmanTell.trim())) {
                    map.put("result", false);
                    map.put("msg", "手机号异常");
                    return map;
                }

                if ("".equals(serviceProviderLinkmanTell.trim())) {
                    map.put("result", false);
                    map.put("msg", "手机号不能为空");
                    return map;
                }

                if ("".equals(serviceProviderLinkmanEmaill.trim())) {
                    map.put("result", false);
                    map.put("msg", "联系邮箱不能为空");
                    return map;
                }

                if (serviceProviderLinkmanEmaill.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "联系邮箱过长");
                    return map;
                }

                System.out.println(RegexValidateUtil.checkEmail(serviceProviderLinkmanEmaill.trim()));
                if (!RegexValidateUtil.checkEmail(serviceProviderLinkmanEmaill.trim())) {
                    map.put("result", false);
                    map.put("msg", "联系邮箱格式异常");
                    return map;
                }

                SpaceServiceProvider spaceServiceProvider = new SpaceServiceProvider();
                spaceServiceProvider.setServiceProviderLinkman(serviceProviderLinkman);
                spaceServiceProvider.setServiceProviderLinkmanEmaill(serviceProviderLinkmanEmaill);
                spaceServiceProvider.setServiceProviderLinkmanTell(serviceProviderLinkmanTell);
                spaceServiceProvider.setServiceProviderName(serviceProviderName);
                spaceServiceProvider.setServiceProviderScope(serviceProviderScope);
                spaceServiceProvider.setSpaceMessageID(spaceMessageID);
                if ("0".equals(serviceProviderID)) {
                    serviceProviderID = UUIDUtils.getUUID();
                    spaceServiceProvider.setServiceProviderID(serviceProviderID);
                    this.spaceServiceProviderServer.saveSpaceServiceProvider(spaceServiceProvider);
                } else {
                    spaceServiceProvider.setServiceProviderID(serviceProviderID);
                    this.spaceServiceProviderServer.updateSpaceServiceProvider(spaceServiceProvider);
                }

                this.actionLoginServer.saveActionLog(userID, userName, "空间保存空间服务商，结果：保存成功", serviceProviderID);
                map.put("result", true);
                map.put("msg", "保存成功！");
            } catch (Exception var18) {
                map.put("result", false);
                map.put("msg", "保存失败！");
                this.actionLoginServer.saveActionLog(userID, userName, "空间保存空间服务商，结果：保存失败", "");
            }

            return map;
        }
    }

    @RequestMapping({"/getSpaceServiceProvider"})
    @ResponseBody
    public Map<String, Object> getSpaceServiceProvider(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        Map<String, Object> map = new HashMap();
        String strData = (String)data.getBody();
        JSONObject jObject = new JSONObject(strData);
        String serviceProviderID = jObject.getString("serviceProviderID");
        SpaceServiceProvider spaceServiceProvider = this.spaceServiceProviderServer.listSpaceServiceProviderByServiceProviderID(serviceProviderID);
        map.put("spaceServiceProvider", spaceServiceProvider);
        return map;
    }

    @RequestMapping({"/removeSpaceServiceProvider"})
    @ResponseBody
    public Map<String, Object> removeSpaceServiceProvider(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        String userID = request.getSession().getAttribute("userID").toString();
        String userName = request.getSession().getAttribute("userName").toString();
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1) {
            map.put("result", false);
            map.put("msg", "无权限！");
            this.actionLoginServer.saveActionLog(userID, userName, "空间删除空间服务商，结果：无权限", "");
            return map;
        } else {
            String strData = (String)data.getBody();
            JSONObject jObject = new JSONObject(strData);
            String serviceProviderID = jObject.getString("serviceProviderID");

            try {
                this.spaceServiceProviderServer.removeSpaceServiceProviderByServiceProviderID(serviceProviderID);
                this.actionLoginServer.saveActionLog(userID, userName, "空间删除空间服务商，结果：删除成功", serviceProviderID);
                map.put("result", true);
                map.put("msg", "删除成功！");
            } catch (Exception var12) {
                map.put("result", false);
                map.put("msg", "删除失败！");
                this.actionLoginServer.saveActionLog(userID, userName, "空间删除空间服务商，结果：删除失败", "");
            }

            return map;
        }
    }

    @RequestMapping({"/deriveSpaceServiceProvider"})
    @ResponseBody
    public void deriveSpaceServiceProvider(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 1) {
            map.put("list", new ArrayList());
        } else {
            String spaceMessageID = request.getSession().getAttribute("realID").toString();
            List<SpaceServiceProvider> spaceServiceProvider_list = this.spaceServiceProviderServer.listSpaceServiceProviderBySpaceMessageID(spaceMessageID);
            if (spaceServiceProvider_list != null) {
                HSSFWorkbook wb = this.SpaceServiceProviderExcel(spaceServiceProvider_list);
                String fileName = "空间服务商.xls";

                try {
                    ExcelUtil.setResponseHeader(response, fileName);
                    OutputStream os = response.getOutputStream();
                    wb.write(os);
                    os.flush();
                    os.close();
                } catch (Exception var11) {
                    var11.printStackTrace();
                }
            }

        }
    }

    private HSSFWorkbook SpaceServiceProviderExcel(List<SpaceServiceProvider> spaceServiceProvider_list) {
        String sheetName = "空间服务商";
        String[] title = new String[]{"服务商名称", "服务内容", "联系人", "手机号", "联系邮箱"};
        int[] width = new int[]{3000, 3000, 3000, 3000, 3000};
        String[][] values = new String[spaceServiceProvider_list.size()][];

        for(int i = 0; i < spaceServiceProvider_list.size(); ++i) {
            values[i] = new String[title.length];
            values[i][0] = ((SpaceServiceProvider)spaceServiceProvider_list.get(i)).getServiceProviderName();
            values[i][1] = ((SpaceServiceProvider)spaceServiceProvider_list.get(i)).getServiceProviderScope();
            values[i][2] = ((SpaceServiceProvider)spaceServiceProvider_list.get(i)).getServiceProviderLinkman();
            values[i][3] = ((SpaceServiceProvider)spaceServiceProvider_list.get(i)).getServiceProviderLinkmanTell();
            values[i][4] = ((SpaceServiceProvider)spaceServiceProvider_list.get(i)).getServiceProviderLinkmanEmaill();
        }

        return ExcelUtil.getHSSFWorkbook(sheetName, title, values, width, (HSSFWorkbook)null);
    }
}
