//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by FernFlower decompiler)
//

package com.tiptimes.ctrl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.tiptimes.model.File;
import com.tiptimes.model.Teacher;
import com.tiptimes.service.ActionLogService;
import com.tiptimes.service.FileService;
import com.tiptimes.service.TeacherService;
import com.tiptimes.util.ExcelUtil;
import com.tiptimes.util.NumberUtil;
import com.tiptimes.util.UUIDUtils;
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Properties;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.ss.usermodel.Workbook;
import org.json.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpEntity;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping({"/Teacher"})
public class TeacherCtrl {
    @Autowired
    private TeacherService teacherService;
    @Autowired
    private ActionLogService actionLoginServer;
    @Autowired
    private FileService fileServer;

    public TeacherCtrl() {
    }

    @RequestMapping({"/getAllTeacher"})
    @ResponseBody
    public Map<String, Object> getAllTeacher(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data, Teacher teacher) {
        String userID = request.getSession().getAttribute("userID").toString();
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 2 && authorityID != 1) {
            map.put("list", new ArrayList());
            return map;
        } else {
            PageHelper.startPage(teacher.getStart() / teacher.getLength() + 1, teacher.getLength());
            List<Teacher> teacher_list = this.teacherService.listTeacherALLAndOthers(userID, teacher);
            List<Object> object_temp = new ArrayList();
            if (teacher_list != null) {
                Iterator var10 = teacher_list.iterator();

                while(var10.hasNext()) {
                    Teacher teacher_list_i = (Teacher)var10.next();
                    String html_table = "";
                    html_table = html_table + "<span style=\"margin-right: 10px;\" class=\"getAllSpaceTeacher_table\" onclick=\"teacher_DIV_Show('" + teacher_list_i.getId() + "')\">编辑</span>";
                    html_table = html_table + "<span style=\"margin-right: 10px;\" class=\"getAllSpaceTeacher_table\" onclick=\"teacher_DIV_remove('" + teacher_list_i.getId() + "')\">删除</span>";
                    Map<String, Object> map_temp_i = new HashMap();
                    map_temp_i.put("teacherName", teacher_list_i.getTeacherName());
                    map_temp_i.put("teacherJob", teacher_list_i.getTeacherJob());
                    if ("99".equals(teacher_list_i.getOrder1())) {
                        map_temp_i.put("order1", "");
                    } else {
                        try {
                            map_temp_i.put("order1", teacher_list_i.getOrder1() + "");
                        } catch (Exception var15) {
                            map_temp_i.put("order1", "");
                        }
                    }

                    map_temp_i.put("editable", html_table);
                    object_temp.add(map_temp_i);
                }

                PageInfo<Teacher> p = new PageInfo(teacher_list);
                map.put("aaData", object_temp);
                map.put("recordsFiltered", p.getList().size());
                map.put("iTotalRecords", p.getTotal());
                map.put("iTotalDisplayRecords", p.getTotal());
                return map;
            } else {
                new PageInfo(teacher_list);
                map.put("aaData", object_temp);
                map.put("recordsFiltered", 0);
                map.put("iTotalRecords", 0);
                map.put("iTotalDisplayRecords", 0);
                return map;
            }
        }
    }

    @RequestMapping({"/saveTeacher"})
    @ResponseBody
    public Map<String, Object> saveTeacher(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        String userID = request.getSession().getAttribute("userID").toString();
        String userName = request.getSession().getAttribute("userName").toString();
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 2 && authorityID != 1) {
            map.put("result", false);
            map.put("msg", "无权限！");
            this.actionLoginServer.saveActionLog(userID, userName, "保存前端导师，结果：无权限", "");
            return map;
        } else {
            String strData = (String)data.getBody();
            JSONObject jObject = new JSONObject(strData);

            try {
                String id = jObject.getString("id");
                String teacherName = jObject.getString("teacherName");
                String teacherJob = jObject.getString("teacherJob");
                String teacherAbstract = jObject.getString("teacherAbstract");
                String tell = jObject.getString("tell");
                String mainDirection = jObject.getString("mainDirection");
                String goodField = jObject.getString("goodField");
                String work1 = jObject.getString("work1");
                boolean var18 = true;

                int order1;
                try {
                    order1 = jObject.getInt("order1");
                } catch (Exception var21) {
                    map.put("result", false);
                    map.put("msg", "请选择顺序");
                    return map;
                }

                String img = jObject.getString("img");
                if (teacherName.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "导师姓名过长");
                    return map;
                }

                if ("".equals(teacherName.trim())) {
                    map.put("result", false);
                    map.put("msg", "导师姓名不能为空");
                    return map;
                }

                if (teacherJob.length() > 50) {
                    map.put("result", false);
                    map.put("msg", "导师职位过长");
                    return map;
                }

                if ("".equals(teacherJob.trim())) {
                    map.put("result", false);
                    map.put("msg", "导师职位不能为空");
                    return map;
                }

                if ("".equals(teacherAbstract.trim())) {
                    map.put("result", false);
                    map.put("msg", "简介不能为空");
                    return map;
                }

                if (teacherAbstract.length() > 1000) {
                    map.put("result", false);
                    map.put("msg", "简介过长");
                    return map;
                }

                if ("".equals(tell.trim())) {
                    map.put("result", false);
                    map.put("msg", "手机号码不能为空");
                    return map;
                }

                if (!NumberUtil.isChinaPhoneLegal(tell)) {
                    map.put("result", false);
                    map.put("msg", "手机号码异常");
                    return map;
                }

                if ("".equals(mainDirection.trim())) {
                    map.put("result", false);
                    map.put("msg", "主要辅导方向不能为空");
                    return map;
                }

                if (mainDirection.length() > 1000) {
                    map.put("result", false);
                    map.put("msg", "主要辅导方向过长");
                    return map;
                }

                if ("".equals(goodField.trim())) {
                    map.put("result", false);
                    map.put("msg", "擅长领域不能为空");
                    return map;
                }

                if (goodField.length() > 1000) {
                    map.put("result", false);
                    map.put("msg", "擅长领域过长");
                    return map;
                }

                if ("".equals(work1.trim())) {
                    map.put("result", false);
                    map.put("msg", "著作不能为空");
                    return map;
                }

                if (work1.length() > 1000) {
                    map.put("result", false);
                    map.put("msg", "著作过长");
                    return map;
                }

                Teacher teacher = new Teacher();
                teacher.setImg(img);
                teacher.setOrder1(order1 + "");
                teacher.setTeacherAbstract(teacherAbstract);
                teacher.setTeacherJob(teacherJob);
                teacher.setTeacherName(teacherName);
                teacher.setUserid(userID);
                teacher.setTell(tell);
                teacher.setMainDirection(mainDirection);
                teacher.setGoodField(goodField);
                teacher.setWork1(work1);
                if ("0".equals(id)) {
                    id = UUIDUtils.getUUID();
                    teacher.setId(id);
                    this.teacherService.saveTeacher(teacher);
                } else {
                    teacher.setId(id);
                    this.teacherService.updateTeacher(teacher);
                }

                this.actionLoginServer.saveActionLog(userID, userName, "保存前端导师，结果：保存成功", id);
                map.put("result", true);
                map.put("msg", "保存成功！");
            } catch (Exception var22) {
                map.put("result", false);
                map.put("msg", "保存失败！");
                this.actionLoginServer.saveActionLog(userID, userName, "保存前端导师，结果：保存失败", "");
            }

            return map;
        }
    }

    @RequestMapping({"/getOneTeacher"})
    @ResponseBody
    public Map<String, Object> getOneTeacher(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        Map<String, Object> map = new HashMap();
        String strData = (String)data.getBody();
        JSONObject jObject = new JSONObject(strData);
        String id = jObject.getString("id");
        Teacher teacher = this.teacherService.listTeacherByID(id);
        if (!"99".equals(teacher.getOrder1())) {
            try {
                teacher.setOrder1(Integer.parseInt(teacher.getOrder1()) + "");
            } catch (Exception var10) {
                teacher.setOrder1("");
            }
        }

        map.put("teacher", teacher);
        return map;
    }

    @RequestMapping({"/removeOneTeacher"})
    @ResponseBody
    public Map<String, Object> removeOneTeacher(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
        String userID = request.getSession().getAttribute("userID").toString();
        String userName = request.getSession().getAttribute("userName").toString();
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 2 && authorityID != 1) {
            map.put("result", false);
            map.put("msg", "无权限！");
            this.actionLoginServer.saveActionLog(userID, userName, "删除前端导师，结果：无权限", "");
            return map;
        } else {
            String strData = (String)data.getBody();
            JSONObject jObject = new JSONObject(strData);
            String id = jObject.getString("id");

            try {
                this.teacherService.removeTeacher(id);
                this.actionLoginServer.saveActionLog(userID, userName, "删除前端导师，结果：删除成功", id);
                map.put("result", true);
                map.put("msg", "删除成功！");
            } catch (Exception var12) {
                map.put("result", false);
                map.put("msg", "删除失败！");
                this.actionLoginServer.saveActionLog(userID, userName, "删除前端导师，结果：删除失败", "");
            }

            return map;
        }
    }

    @RequestMapping({"/leadTeacher"})
    @ResponseBody
    public Map<String, Object> leadTeacher(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) throws IOException {
        String userID = request.getSession().getAttribute("userID").toString();
        String userName = request.getSession().getAttribute("userName").toString();
        Map<String, Object> map = new HashMap();
        int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
        if (authorityID != 2) {
            map.put("result", false);
            map.put("msg", "无权限！");
            this.actionLoginServer.saveActionLog(userID, userName, "教委导入前端导师，结果：无权限", "");
            return map;
        } else {
            new ArrayList();
            String strData = (String)data.getBody();
            JSONObject jObject = new JSONObject(strData);
            String fileId = jObject.getString("fileId");
            File file = this.fileServer.selectFileByFileID(fileId);
            String[] title = new String[]{"姓名", "导师职位", "手机号码", "简介", "主要辅导方向", "擅长领域", "著作"};
            if (file == null) {
                map.put("result", false);
                map.put("msg", "导入失败！");
                return map;
            } else {
                String file_name = file.getFileName().substring(file.getFileName().lastIndexOf(".") + 1, file.getFileName().length());
                Properties props = new Properties();
                InputStream inputStream = this.getClass().getClassLoader().getResourceAsStream("file.properties");
                props.load(inputStream);
                System.out.println(props.getProperty("fileUrl"));
                String fileUrl = props.getProperty("fileUrl");
                inputStream.close();
                FileInputStream in = new FileInputStream(fileUrl + file.getFileNum());
                ByteArrayOutputStream out = new ByteArrayOutputStream(1024);
                byte[] temp = new byte[1024];
                boolean var21 = false;

                int size;
                while((size = in.read(temp)) != -1) {
                    out.write(temp, 0, size);
                }

                in.close();
                byte[] Urldata = out.toByteArray();
                out.close();
                InputStream stream = new ByteArrayInputStream(Urldata);
                Workbook wb = null;
                if ("xls".equals(file_name)) {
                    wb = new HSSFWorkbook(stream);
                    stream.close();

                    try {
                        Sheet sheet1 = wb.getSheetAt(0);
                        Row row1 = sheet1.getRow(0);

                        String msg_str;
                        for(int i = 0; i < title.length; ++i) {
                            msg_str = row1.getCell(i).getStringCellValue();
                            if (!title[i].equals(msg_str)) {
                                map.put("result", false);
                                map.put("msg", "文件内容格式错误！");
                                return map;
                            }
                        }

                        List<Teacher> teacher_list = new ArrayList();
                        msg_str = "";
                        int order1 = 99;

                        for(int i = 1; i <= sheet1.getLastRowNum(); ++i) {
                            Row row = sheet1.getRow(i);
                            Teacher teacher = new Teacher();
                            teacher.setId(UUIDUtils.getUUID());
                            teacher.setUserid(userID);
                            teacher.setOrder1(order1 + "");
                            teacher.setImg("/res/image/educationLogo.png");
                            String msg_str_temp = "";
                            String msg_str_name = "";

                            for(int j = 0; j < row.getLastCellNum(); ++j) {
                                Cell cell = row.getCell(j);
                                String value = ExcelUtil.getStringValueFromCell(cell);
                                if (j == 0) {
                                    msg_str_name = "用户" + value + ":";
                                }

                                switch(j) {
                                    case 0:
                                        if (value.length() > 50) {
                                            map.put("result", false);
                                            map.put("msg", "姓名过长");
                                            msg_str_temp = msg_str_temp + "姓名过长;";
                                        }

                                        if ("".equals(value.trim())) {
                                            map.put("result", false);
                                            map.put("msg", "姓名不能为空");
                                            msg_str_temp = msg_str_temp + "姓名不能为空;";
                                        }

                                        teacher.setTeacherName(value);
                                        break;
                                    case 1:
                                        if (value.length() > 50) {
                                            map.put("result", false);
                                            map.put("msg", "导师职位过长");
                                            msg_str_temp = msg_str_temp + "导师职位过长;";
                                        }

                                        if ("".equals(value.trim())) {
                                            map.put("result", false);
                                            map.put("msg", "导师职位不能为空");
                                            msg_str_temp = msg_str_temp + "导师职位不能为空;";
                                        }

                                        teacher.setTeacherJob(value);
                                        break;
                                    case 2:
                                        if ("".equals(value.trim())) {
                                            map.put("result", false);
                                            map.put("msg", "手机号码不能为空");
                                            msg_str_temp = msg_str_temp + "手机号码不能为空;";
                                        }

                                        if (!NumberUtil.isChinaPhoneLegal(value)) {
                                            map.put("result", false);
                                            map.put("msg", "手机号码异常");
                                            msg_str_temp = msg_str_temp + "手机号码异常;";
                                        }

                                        teacher.setTell(value);
                                        break;
                                    case 3:
                                        if (value.length() > 1000) {
                                            map.put("result", false);
                                            map.put("msg", "简介过长");
                                            msg_str_temp = msg_str_temp + "简介过长;";
                                        }

                                        if ("".equals(value.trim())) {
                                            map.put("result", false);
                                            map.put("msg", "简介不能为空");
                                            msg_str_temp = msg_str_temp + "简介不能为空;";
                                        }

                                        teacher.setTeacherAbstract(value);
                                        break;
                                    case 4:
                                        if (value.length() > 1000) {
                                            map.put("result", false);
                                            map.put("msg", "主要辅导方向过长");
                                            msg_str_temp = msg_str_temp + "主要辅导方向过长;";
                                        }

                                        if ("".equals(value.trim())) {
                                            map.put("result", false);
                                            map.put("msg", "主要辅导方向不能为空");
                                            msg_str_temp = msg_str_temp + "主要辅导方向不能为空;";
                                        }

                                        teacher.setMainDirection(value);
                                        break;
                                    case 5:
                                        if (value.length() > 1000) {
                                            map.put("result", false);
                                            map.put("msg", "擅长领域过长");
                                            msg_str_temp = msg_str_temp + "擅长领域过长;";
                                        }

                                        if ("".equals(value.trim())) {
                                            map.put("result", false);
                                            map.put("msg", "擅长领域不能为空");
                                            msg_str_temp = msg_str_temp + "擅长领域不能为空;";
                                        }

                                        teacher.setGoodField(value);
                                        break;
                                    case 6:
                                        if (value.length() > 1000) {
                                            map.put("result", false);
                                            map.put("msg", "著作过长");
                                            msg_str_temp = msg_str_temp + "著作过长;";
                                        }

                                        if ("".equals(value.trim())) {
                                            map.put("result", false);
                                            map.put("msg", "著作不能为空");
                                            msg_str_temp = msg_str_temp + "著作不能为空;";
                                        }

                                        teacher.setWork1(value);
                                }
                            }

                            if ("".equals(msg_str_temp)) {
                                teacher_list.add(teacher);
                            } else {
                                msg_str = msg_str + msg_str_name + msg_str_temp + "\r\n";
                            }
                        }

                        this.teacherService.saveTeacher(teacher_list);
                        if ("".equals(msg_str)) {
                            this.actionLoginServer.saveActionLog(userID, userName, "导入前端导师，结果：导入成功", fileId);
                            map.put("result", true);
                            map.put("msg", "导入成功！");
                        } else {
                            this.actionLoginServer.saveActionLog(userID, userName, "导入前端导师，结果：部分导入成功", fileId);
                            map.put("result", true);
                            map.put("msg", "部分导入成功！\r\n" + msg_str + "其他用户已经导入成功，请将这些用户信息重新编辑后导入");
                        }

                        return map;
                    } catch (Exception var38) {
                        map.put("result", false);
                        map.put("msg", "导入失败！");
                        this.actionLoginServer.saveActionLog(userID, userName, "导入前端导师，结果：导入失败", "");
                        return map;
                    }
                } else {
                    map.put("result", false);
                    map.put("msg", "文件类型错误！");
                    return map;
                }
            }
        }
    }
}
