//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by FernFlower decompiler)
//

package com.tiptimes.ctrl;

import com.tiptimes.model.SpaceMessage;
import com.tiptimes.model.TeamMessage;
import com.tiptimes.model.UserLogin;
import com.tiptimes.service.ActionLogService;
import com.tiptimes.service.IntegralService;
import com.tiptimes.service.SpaceMessageService;
import com.tiptimes.service.TeamMessageService;
import com.tiptimes.service.UserService;
import com.tiptimes.util.BASE64Util;
import com.tiptimes.util.DATEUtil;
import com.tiptimes.util.MD5Util;
import java.util.HashMap;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import org.json.JSONException;
import org.json.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpEntity;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

@Controller
@RequestMapping({"/user"})
public class UserCtrl {
    @Autowired
    private UserService userSerivce;
    @Autowired
    private TeamMessageService teamMessageService;
    @Autowired
    private SpaceMessageService spaceMessageService;
    @Autowired
    private IntegralService integralService;
    @Autowired
    private ActionLogService actionLoginServer;

    public UserCtrl() {
    }

    @RequestMapping({"/getAllUser"})
    public String getAllUser(HttpServletRequest request) {
        return "/team/index";
    }

    @RequestMapping({"/login"})
    @ResponseBody
    public Map<String, Object> login(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) throws JSONException {
        Map<String, Object> map = new HashMap();
        String strData = (String)data.getBody();
        JSONObject jObject = new JSONObject(strData);
        String name_base64 = jObject.getString("name");
        String pass_base64 = jObject.getString("pass");
        String name = BASE64Util.getFromBase64(name_base64);
        String pass = BASE64Util.getFromBase64(pass_base64);
        String pass_md5 = MD5Util.encryptByMD5(pass);
        UserLogin userLogin = this.userSerivce.getUserLoginByUserAccount(name);
        if (userLogin == null) {
            map.put("result", false);
            map.put("msg", "用户不存在！");
            return map;
        } else if (!pass_md5.equals(userLogin.getUserPassword())) {
            map.put("result", false);
            map.put("msg", "密码不正确！");
            return map;
        } else if (userLogin.getUserState() == 1) {
            map.put("result", false);
            map.put("msg", "账户禁止登录！");
            return map;
        } else {
            if (userLogin.getAuthority() == 0) {
                TeamMessage teamMessage = this.teamMessageService.getTeamInformationById(userLogin.getRealID());
                if (teamMessage.getState() != 0) {
                    map.put("result", false);
                    map.put("msg", "账户禁止登录！");
                    return map;
                }

                teamMessage.setLoginTime(DATEUtil.getNewDateYMDHNS());

                try {
                    this.teamMessageService.updateTeamMessage(teamMessage);
                } catch (Exception var18) {
                }
            }

            if (userLogin.getAuthority() == 1) {
                SpaceMessage spaceMessage = this.spaceMessageService.getSpaceMessageBySpaceMessageID(userLogin.getRealID());
                if (spaceMessage != null) {
                    spaceMessage.setLoginTime(DATEUtil.getNewDateYMDHNS());

                    try {
                        this.spaceMessageService.updateSpaceMessage(spaceMessage);
                    } catch (Exception var17) {
                    }
                }
            }

            ServletRequestAttributes attrs = (ServletRequestAttributes)RequestContextHolder.getRequestAttributes();
            HttpSession session = attrs.getRequest().getSession();
            session.setAttribute("userID", userLogin.getUserID());
            session.setAttribute("authorityID", userLogin.getAuthority());
            session.setAttribute("realID", userLogin.getRealID());
            session.setAttribute("userName", userLogin.getRealName());
//            session.setAttribute("userID", "10");
//            session.setAttribute("authorityID", "1");
//            session.setAttribute("realID", "5");
//            session.setAttribute("userName", "admin");

            try {
                this.integralService.saveIntegral(7, userLogin.getRealID());
                this.actionLoginServer.saveActionLog(userLogin.getUserID(), userLogin.getRealName(), "登录的后台系统", "");
            } catch (Exception var16) {
            }

            map.put("result", true);
            return map;
        }
    }

    @RequestMapping({"/Logout"})
    public String logout(HttpServletRequest request) {
        request.getSession().invalidate();
        return "/user/login";
    }

    @RequestMapping({"/index"})
    public String index(HttpServletRequest request) {
        try {
            String agent = request.getHeader("User-Agent").toLowerCase();
            String version = this.getBrowserName(agent);
            if ("ie8".equals(version) || "ie7".equals(version)) {
                String forwardName = "/user/ie";
                return forwardName;
            }
        } catch (Exception var6) {
        }

        try {
            int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
            if (authorityID == 0) {
                return "/team/index";
            }

            if (authorityID == 1) {
                return "/space/index";
            }

            if (authorityID == 2) {
                return "/education/index";
            }
        } catch (Exception var5) {
        }

//        return "/user/login";
        return "/education/index";
    }

    public String getBrowserName(String agent) {
        if (agent.indexOf("msie 7") > 0) {
            return "ie7";
        } else if (agent.indexOf("msie 8") > 0) {
            return "ie8";
        } else if (agent.indexOf("msie 9") > 0) {
            return "ie9";
        } else if (agent.indexOf("msie 10") > 0) {
            return "ie10";
        } else if (agent.indexOf("msie") > 0) {
            return "ie";
        } else if (agent.indexOf("opera") > 0) {
            return "opera";
        } else if (agent.indexOf("opera") > 0) {
            return "opera";
        } else if (agent.indexOf("firefox") > 0) {
            return "firefox";
        } else if (agent.indexOf("webkit") > 0) {
            return "webkit";
        } else {
            return agent.indexOf("gecko") > 0 && agent.indexOf("rv:11") > 0 ? "ie11" : "Others";
        }
    }

    @RequestMapping({"/404"})
    public String error404(HttpServletRequest request) {
        String forwardName = "/user/404";
        return forwardName;
    }

    @RequestMapping({"/500"})
    public String error500(HttpServletRequest request) {
        String forwardName = "/user/500";
        return forwardName;
    }

    @RequestMapping({"/ie"})
    public String ie(HttpServletRequest request) {
        String forwardName = "/user/ie";
        return forwardName;
    }

    @RequestMapping({"/loginMsg"})
    @ResponseBody
    public Map<String, Object> loginMsg(HttpServletRequest request) {
        Map<String, Object> map = new HashMap();
        map.put("result", false);
        map.put("msg", "请重新登录！");
        return map;
    }
}
